package org.apache.commons.lang3;

import org.junit.Test;

/** 
 * Unit tests {@link org.apache.commons.lang3.StringUtils} - StartsWith/EndsWith methods
 * 
 * @version $Id$
 */
public class StringUtilsStartsEndsWithTest {
    private static final String foo = "foo";

    private static final String bar = "bar";

    private static final String foobar = "foobar";

    private static final String FOO = "FOO";

    private static final String BAR = "BAR";

    private static final String FOOBAR = "FOOBAR";

    /** 
     * Test StringUtils.startsWith()
     */
@Test
    public void testStartsWith() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStartsWith");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1096,org.apache.commons.lang3.StringUtils.startsWith(null, ((java.lang.String)(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1097,org.apache.commons.lang3.StringUtils.startsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, ((java.lang.String)(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1098,org.apache.commons.lang3.StringUtils.startsWith(null, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOO));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1099,org.apache.commons.lang3.StringUtils.startsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1100,org.apache.commons.lang3.StringUtils.startsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foo));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1101,org.apache.commons.lang3.StringUtils.startsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOO));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1102,org.apache.commons.lang3.StringUtils.startsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOO));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1103,org.apache.commons.lang3.StringUtils.startsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foo));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1104,org.apache.commons.lang3.StringUtils.startsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foo, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1105,org.apache.commons.lang3.StringUtils.startsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.bar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1106,org.apache.commons.lang3.StringUtils.startsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.bar));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1107,org.apache.commons.lang3.StringUtils.startsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.BAR));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1108,org.apache.commons.lang3.StringUtils.startsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.BAR));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1109,org.apache.commons.lang3.StringUtils.startsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.bar));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Test StringUtils.testStartsWithIgnoreCase()
     */
@Test
    public void testStartsWithIgnoreCase() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStartsWithIgnoreCase");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1119,org.apache.commons.lang3.StringUtils.startsWithIgnoreCase(null, ((java.lang.String)(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1120,org.apache.commons.lang3.StringUtils.startsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, ((java.lang.String)(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,org.apache.commons.lang3.StringUtils.startsWithIgnoreCase(null, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOO));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,org.apache.commons.lang3.StringUtils.startsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1123,org.apache.commons.lang3.StringUtils.startsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foo));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1124,org.apache.commons.lang3.StringUtils.startsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOO));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1125,org.apache.commons.lang3.StringUtils.startsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOO));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1126,org.apache.commons.lang3.StringUtils.startsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foo));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1127,org.apache.commons.lang3.StringUtils.startsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foo, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1128,org.apache.commons.lang3.StringUtils.startsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.bar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1129,org.apache.commons.lang3.StringUtils.startsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.bar));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1130,org.apache.commons.lang3.StringUtils.startsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.BAR));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1131,org.apache.commons.lang3.StringUtils.startsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.BAR));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1132,org.apache.commons.lang3.StringUtils.startsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.bar));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStartsWithAny() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStartsWithAny");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1110,org.apache.commons.lang3.StringUtils.startsWithAny(null, ((java.lang.String[])(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1111,org.apache.commons.lang3.StringUtils.startsWithAny(null, "abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1112,org.apache.commons.lang3.StringUtils.startsWithAny("abcxyz", ((java.lang.String[])(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1113,org.apache.commons.lang3.StringUtils.startsWithAny("abcxyz"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1114,org.apache.commons.lang3.StringUtils.startsWithAny("abcxyz", "abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1115,org.apache.commons.lang3.StringUtils.startsWithAny("abcxyz", null, "xyz", "abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1116,org.apache.commons.lang3.StringUtils.startsWithAny("abcxyz", null, "xyz", "abcd"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1117,org.apache.commons.lang3.StringUtils.startsWithAny("abcxyz", new java.lang.StringBuilder("xyz"), new java.lang.StringBuffer("abc")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1118,org.apache.commons.lang3.StringUtils.startsWithAny(new org.apache.commons.lang3.text.StrBuilder("abcxyz"), new java.lang.StringBuilder("xyz"), new java.lang.StringBuffer("abc")));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Test StringUtils.endsWith()
     */
@Test
    public void testEndsWith() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEndsWith");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1052,org.apache.commons.lang3.StringUtils.endsWith(null, ((java.lang.String)(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1053,org.apache.commons.lang3.StringUtils.endsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, ((java.lang.String)(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1054,org.apache.commons.lang3.StringUtils.endsWith(null, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOO));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1055,org.apache.commons.lang3.StringUtils.endsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1056,org.apache.commons.lang3.StringUtils.endsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foo));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1057,org.apache.commons.lang3.StringUtils.endsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOO));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1058,org.apache.commons.lang3.StringUtils.endsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOO));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1059,org.apache.commons.lang3.StringUtils.endsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foo));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1060,org.apache.commons.lang3.StringUtils.endsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foo, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1061,org.apache.commons.lang3.StringUtils.endsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.bar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1062,org.apache.commons.lang3.StringUtils.endsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.bar));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1063,org.apache.commons.lang3.StringUtils.endsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.BAR));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1064,org.apache.commons.lang3.StringUtils.endsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.BAR));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1065,org.apache.commons.lang3.StringUtils.endsWith(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.bar));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1066,org.apache.commons.lang3.StringUtils.endsWith("αβγδ", "δ"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1067,org.apache.commons.lang3.StringUtils.endsWith("αβγδ", "γΔ"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Test StringUtils.endsWithIgnoreCase()
     */
@Test
    public void testEndsWithIgnoreCase() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEndsWithIgnoreCase");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1077,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase(null, ((java.lang.String)(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1078,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, ((java.lang.String)(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1079,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase(null, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOO));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1080,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1081,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foo));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1082,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOO));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1083,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOO));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1084,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foo));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1085,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foo, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1086,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.bar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1087,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.bar));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1088,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.BAR));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1089,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.foobar, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.BAR));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1090,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase(org.apache.commons.lang3.StringUtilsStartsEndsWithTest.FOOBAR, org.apache.commons.lang3.StringUtilsStartsEndsWithTest.bar));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1091,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase("abcdef", "def"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1092,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase("ABCDEF", "def"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1093,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase("ABCDEF", "cde"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase("αβγδ", "Δ"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1095,org.apache.commons.lang3.StringUtils.endsWithIgnoreCase("αβγδ", "Γ"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testEndsWithAny() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEndsWithAny");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1068,org.apache.commons.lang3.StringUtils.endsWithAny(null, ((java.lang.String)(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1069,org.apache.commons.lang3.StringUtils.endsWithAny(null, new java.lang.String[]{ "abc" }));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1070,org.apache.commons.lang3.StringUtils.endsWithAny("abcxyz", ((java.lang.String)(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1071,org.apache.commons.lang3.StringUtils.endsWithAny("abcxyz", new java.lang.String[]{ "" }));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1072,org.apache.commons.lang3.StringUtils.endsWithAny("abcxyz", new java.lang.String[]{ "xyz" }));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1073,org.apache.commons.lang3.StringUtils.endsWithAny("abcxyz", new java.lang.String[]{ null , "xyz" , "abc" }));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1074,org.apache.commons.lang3.StringUtils.endsWithAny("defg", new java.lang.String[]{ null , "xyz" , "abc" }));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1075,org.apache.commons.lang3.StringUtils.endsWithAny("abcxyz", new java.lang.StringBuilder("abc"), new java.lang.StringBuffer("xyz")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1076,org.apache.commons.lang3.StringUtils.endsWithAny(new org.apache.commons.lang3.text.StrBuilder("abcxyz"), new java.lang.StringBuilder("abc"), new java.lang.StringBuffer("xyz")));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }
}

