package org.apache.commons.lang3;

import org.junit.Test;

/** 
 * Unit tests {@link org.apache.commons.lang3.StringUtils} - Trim/Empty methods
 * 
 * @version $Id$
 */
public class StringUtilsTrimEmptyTest {
    private static final String FOO = "foo";

    @Test
    public void testIsEmpty() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testIsEmpty");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2720,org.apache.commons.lang3.StringUtils.isEmpty(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2721,org.apache.commons.lang3.StringUtils.isEmpty(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2722,org.apache.commons.lang3.StringUtils.isEmpty(" "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2723,org.apache.commons.lang3.StringUtils.isEmpty("foo"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2724,org.apache.commons.lang3.StringUtils.isEmpty("  foo  "));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testIsNotEmpty() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testIsNotEmpty");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2730,org.apache.commons.lang3.StringUtils.isNotEmpty(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2731,org.apache.commons.lang3.StringUtils.isNotEmpty(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2732,org.apache.commons.lang3.StringUtils.isNotEmpty(" "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2733,org.apache.commons.lang3.StringUtils.isNotEmpty("foo"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2734,org.apache.commons.lang3.StringUtils.isNotEmpty("  foo  "));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testIsBlank() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testIsBlank");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2715,org.apache.commons.lang3.StringUtils.isBlank(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2716,org.apache.commons.lang3.StringUtils.isBlank(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2717,org.apache.commons.lang3.StringUtils.isBlank(org.apache.commons.lang3.StringUtilsTest.WHITESPACE));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2718,org.apache.commons.lang3.StringUtils.isBlank("foo"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2719,org.apache.commons.lang3.StringUtils.isBlank("  foo  "));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testIsNotBlank() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testIsNotBlank");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2725,org.apache.commons.lang3.StringUtils.isNotBlank(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2726,org.apache.commons.lang3.StringUtils.isNotBlank(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2727,org.apache.commons.lang3.StringUtils.isNotBlank(org.apache.commons.lang3.StringUtilsTest.WHITESPACE));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2728,org.apache.commons.lang3.StringUtils.isNotBlank("foo"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2729,org.apache.commons.lang3.StringUtils.isNotBlank("  foo  "));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testTrim() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTrim");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2852,org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2853,org.apache.commons.lang3.StringUtils.trim(((org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO) + "  ")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2854,org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2855,org.apache.commons.lang3.StringUtils.trim(((" " + (org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO)) + "  ")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2856,org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2857,org.apache.commons.lang3.StringUtils.trim((" " + (org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2858,org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2859,org.apache.commons.lang3.StringUtils.trim(((org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO) + "")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2860,org.apache.commons.lang3.StringUtils.trim(" \t\r\n\b "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2861,org.apache.commons.lang3.StringUtils.trim(org.apache.commons.lang3.StringUtilsTest.TRIMMABLE));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2862,org.apache.commons.lang3.StringUtilsTest.NON_TRIMMABLE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2863,org.apache.commons.lang3.StringUtils.trim(org.apache.commons.lang3.StringUtilsTest.NON_TRIMMABLE));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2864,org.apache.commons.lang3.StringUtils.trim(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2865,org.apache.commons.lang3.StringUtils.trim(null));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testTrimToNull() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTrimToNull");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2880,org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2881,org.apache.commons.lang3.StringUtils.trimToNull(((org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO) + "  ")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2882,org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2883,org.apache.commons.lang3.StringUtils.trimToNull(((" " + (org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO)) + "  ")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2884,org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2885,org.apache.commons.lang3.StringUtils.trimToNull((" " + (org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2886,org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2887,org.apache.commons.lang3.StringUtils.trimToNull(((org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO) + "")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2888,org.apache.commons.lang3.StringUtils.trimToNull(" \t\r\n\b "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2889,org.apache.commons.lang3.StringUtils.trimToNull(org.apache.commons.lang3.StringUtilsTest.TRIMMABLE));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2890,org.apache.commons.lang3.StringUtilsTest.NON_TRIMMABLE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2891,org.apache.commons.lang3.StringUtils.trimToNull(org.apache.commons.lang3.StringUtilsTest.NON_TRIMMABLE));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2892,org.apache.commons.lang3.StringUtils.trimToNull(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2893,org.apache.commons.lang3.StringUtils.trimToNull(null));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testTrimToEmpty() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTrimToEmpty");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2866,org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2867,org.apache.commons.lang3.StringUtils.trimToEmpty(((org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO) + "  ")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2868,org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2869,org.apache.commons.lang3.StringUtils.trimToEmpty(((" " + (org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO)) + "  ")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2870,org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2871,org.apache.commons.lang3.StringUtils.trimToEmpty((" " + (org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2872,org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2873,org.apache.commons.lang3.StringUtils.trimToEmpty(((org.apache.commons.lang3.StringUtilsTrimEmptyTest.FOO) + "")));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2874,org.apache.commons.lang3.StringUtils.trimToEmpty(" \t\r\n\b "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2875,org.apache.commons.lang3.StringUtils.trimToEmpty(org.apache.commons.lang3.StringUtilsTest.TRIMMABLE));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2876,org.apache.commons.lang3.StringUtilsTest.NON_TRIMMABLE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2877,org.apache.commons.lang3.StringUtils.trimToEmpty(org.apache.commons.lang3.StringUtilsTest.NON_TRIMMABLE));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2878,org.apache.commons.lang3.StringUtils.trimToEmpty(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2879,org.apache.commons.lang3.StringUtils.trimToEmpty(null));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStrip_String() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStrip_String");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2823,org.apache.commons.lang3.StringUtils.strip(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2824,org.apache.commons.lang3.StringUtils.strip(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2825,org.apache.commons.lang3.StringUtils.strip("        "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2826,org.apache.commons.lang3.StringUtils.strip("  abc  "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2827,org.apache.commons.lang3.StringUtilsTest.NON_WHITESPACE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2828,org.apache.commons.lang3.StringUtils.strip((((org.apache.commons.lang3.StringUtilsTest.WHITESPACE) + (org.apache.commons.lang3.StringUtilsTest.NON_WHITESPACE)) + (org.apache.commons.lang3.StringUtilsTest.WHITESPACE))));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripToNull_String() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripToNull_String");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2816,org.apache.commons.lang3.StringUtils.stripToNull(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2817,org.apache.commons.lang3.StringUtils.stripToNull(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2818,org.apache.commons.lang3.StringUtils.stripToNull("        "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2819,org.apache.commons.lang3.StringUtils.stripToNull(org.apache.commons.lang3.StringUtilsTest.WHITESPACE));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2820,org.apache.commons.lang3.StringUtils.stripToNull("  ab c  "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2821,org.apache.commons.lang3.StringUtilsTest.NON_WHITESPACE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2822,org.apache.commons.lang3.StringUtils.stripToNull((((org.apache.commons.lang3.StringUtilsTest.WHITESPACE) + (org.apache.commons.lang3.StringUtilsTest.NON_WHITESPACE)) + (org.apache.commons.lang3.StringUtilsTest.WHITESPACE))));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripToEmpty_String() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripToEmpty_String");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2809,org.apache.commons.lang3.StringUtils.stripToEmpty(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2810,org.apache.commons.lang3.StringUtils.stripToEmpty(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2811,org.apache.commons.lang3.StringUtils.stripToEmpty("        "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2812,org.apache.commons.lang3.StringUtils.stripToEmpty(org.apache.commons.lang3.StringUtilsTest.WHITESPACE));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2813,org.apache.commons.lang3.StringUtils.stripToEmpty("  ab c  "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2814,org.apache.commons.lang3.StringUtilsTest.NON_WHITESPACE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2815,org.apache.commons.lang3.StringUtils.stripToEmpty((((org.apache.commons.lang3.StringUtilsTest.WHITESPACE) + (org.apache.commons.lang3.StringUtilsTest.NON_WHITESPACE)) + (org.apache.commons.lang3.StringUtilsTest.WHITESPACE))));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStrip_StringString() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStrip_StringString");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2829,org.apache.commons.lang3.StringUtils.strip(null, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2830,org.apache.commons.lang3.StringUtils.strip("", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2831,org.apache.commons.lang3.StringUtils.strip("        ", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2832,org.apache.commons.lang3.StringUtils.strip("  abc  ", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2833,org.apache.commons.lang3.StringUtilsTest.NON_WHITESPACE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2834,org.apache.commons.lang3.StringUtils.strip((((org.apache.commons.lang3.StringUtilsTest.WHITESPACE) + (org.apache.commons.lang3.StringUtilsTest.NON_WHITESPACE)) + (org.apache.commons.lang3.StringUtilsTest.WHITESPACE)), null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2835,org.apache.commons.lang3.StringUtils.strip(null, ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2836,org.apache.commons.lang3.StringUtils.strip("", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2837,org.apache.commons.lang3.StringUtils.strip("        ", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2838,org.apache.commons.lang3.StringUtils.strip("  abc  ", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2839,org.apache.commons.lang3.StringUtilsTest.WHITESPACE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2840,org.apache.commons.lang3.StringUtils.strip(org.apache.commons.lang3.StringUtilsTest.WHITESPACE, ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2841,org.apache.commons.lang3.StringUtils.strip(null, " "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2842,org.apache.commons.lang3.StringUtils.strip("", " "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2843,org.apache.commons.lang3.StringUtils.strip("        ", " "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2844,org.apache.commons.lang3.StringUtils.strip("  abc  ", " "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2845,org.apache.commons.lang3.StringUtils.strip(null, "ab"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2846,org.apache.commons.lang3.StringUtils.strip("", "ab"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2847,org.apache.commons.lang3.StringUtils.strip("        ", "ab"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2848,org.apache.commons.lang3.StringUtils.strip("  abc  ", "ab"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2849,org.apache.commons.lang3.StringUtils.strip("abcabab", "ab"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2850,org.apache.commons.lang3.StringUtilsTest.WHITESPACE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2851,org.apache.commons.lang3.StringUtils.strip(org.apache.commons.lang3.StringUtilsTest.WHITESPACE, ""));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripStart_StringString() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripStart_StringString");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2786,org.apache.commons.lang3.StringUtils.stripStart(null, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2787,org.apache.commons.lang3.StringUtils.stripStart("", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2788,org.apache.commons.lang3.StringUtils.stripStart("        ", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2789,org.apache.commons.lang3.StringUtils.stripStart("  abc  ", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2790,((org.apache.commons.lang3.StringUtilsTest.NON_WHITESPACE) + (org.apache.commons.lang3.StringUtilsTest.WHITESPACE)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2791,org.apache.commons.lang3.StringUtils.stripStart((((org.apache.commons.lang3.StringUtilsTest.WHITESPACE) + (org.apache.commons.lang3.StringUtilsTest.NON_WHITESPACE)) + (org.apache.commons.lang3.StringUtilsTest.WHITESPACE)), null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2792,org.apache.commons.lang3.StringUtils.stripStart(null, ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2793,org.apache.commons.lang3.StringUtils.stripStart("", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2794,org.apache.commons.lang3.StringUtils.stripStart("        ", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2795,org.apache.commons.lang3.StringUtils.stripStart("  abc  ", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2796,org.apache.commons.lang3.StringUtilsTest.WHITESPACE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2797,org.apache.commons.lang3.StringUtils.stripStart(org.apache.commons.lang3.StringUtilsTest.WHITESPACE, ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2798,org.apache.commons.lang3.StringUtils.stripStart(null, " "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2799,org.apache.commons.lang3.StringUtils.stripStart("", " "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2800,org.apache.commons.lang3.StringUtils.stripStart("        ", " "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2801,org.apache.commons.lang3.StringUtils.stripStart("  abc  ", " "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2802,org.apache.commons.lang3.StringUtils.stripStart(null, "ab"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2803,org.apache.commons.lang3.StringUtils.stripStart("", "ab"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2804,org.apache.commons.lang3.StringUtils.stripStart("        ", "ab"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2805,org.apache.commons.lang3.StringUtils.stripStart("  abc  ", "ab"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2806,org.apache.commons.lang3.StringUtils.stripStart("abcabab", "ab"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2807,org.apache.commons.lang3.StringUtilsTest.WHITESPACE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2808,org.apache.commons.lang3.StringUtils.stripStart(org.apache.commons.lang3.StringUtilsTest.WHITESPACE, ""));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripEnd_StringString() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripEnd_StringString");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2763,org.apache.commons.lang3.StringUtils.stripEnd(null, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2764,org.apache.commons.lang3.StringUtils.stripEnd("", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2765,org.apache.commons.lang3.StringUtils.stripEnd("        ", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2766,org.apache.commons.lang3.StringUtils.stripEnd("  abc  ", null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2767,((org.apache.commons.lang3.StringUtilsTest.WHITESPACE) + (org.apache.commons.lang3.StringUtilsTest.NON_WHITESPACE)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2768,org.apache.commons.lang3.StringUtils.stripEnd((((org.apache.commons.lang3.StringUtilsTest.WHITESPACE) + (org.apache.commons.lang3.StringUtilsTest.NON_WHITESPACE)) + (org.apache.commons.lang3.StringUtilsTest.WHITESPACE)), null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2769,org.apache.commons.lang3.StringUtils.stripEnd(null, ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2770,org.apache.commons.lang3.StringUtils.stripEnd("", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2771,org.apache.commons.lang3.StringUtils.stripEnd("        ", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2772,org.apache.commons.lang3.StringUtils.stripEnd("  abc  ", ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2773,org.apache.commons.lang3.StringUtilsTest.WHITESPACE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2774,org.apache.commons.lang3.StringUtils.stripEnd(org.apache.commons.lang3.StringUtilsTest.WHITESPACE, ""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2775,org.apache.commons.lang3.StringUtils.stripEnd(null, " "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2776,org.apache.commons.lang3.StringUtils.stripEnd("", " "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2777,org.apache.commons.lang3.StringUtils.stripEnd("        ", " "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2778,org.apache.commons.lang3.StringUtils.stripEnd("  abc  ", " "));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2779,org.apache.commons.lang3.StringUtils.stripEnd(null, "ab"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2780,org.apache.commons.lang3.StringUtils.stripEnd("", "ab"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2781,org.apache.commons.lang3.StringUtils.stripEnd("        ", "ab"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2782,org.apache.commons.lang3.StringUtils.stripEnd("  abc  ", "ab"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2783,org.apache.commons.lang3.StringUtils.stripEnd("abcabab", "ab"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2784,org.apache.commons.lang3.StringUtilsTest.WHITESPACE);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2785,org.apache.commons.lang3.StringUtils.stripEnd(org.apache.commons.lang3.StringUtilsTest.WHITESPACE, ""));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripAll() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripAll");
            final String[] empty = new String[1];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2759,empty);
            final String[] fooSpace = new String[]{ ("  " + (FOO)) + "  " , "  " + (FOO) , (FOO) + "  " };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2760,fooSpace);
            final String[] fooDots = new String[]{ (".." + (FOO)) + ".." , ".." + (FOO) , (FOO) + ".." };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2761,fooDots);
            final String[] foo = new String[]{ FOO , FOO , FOO };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2762,foo);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2745,org.apache.commons.lang3.StringUtils.stripAll(((java.lang.String[])(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2746,empty);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2747,org.apache.commons.lang3.StringUtils.stripAll());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2748,new java.lang.String[]{ null });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2749,org.apache.commons.lang3.StringUtils.stripAll(((java.lang.String)(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2750,empty);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2751,org.apache.commons.lang3.StringUtils.stripAll(empty));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2752,foo);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2753,org.apache.commons.lang3.StringUtils.stripAll(fooSpace));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2754,org.apache.commons.lang3.StringUtils.stripAll(null, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2755,foo);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2756,org.apache.commons.lang3.StringUtils.stripAll(fooSpace, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2757,foo);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2758,org.apache.commons.lang3.StringUtils.stripAll(fooDots, "."));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripAll_literalMutation754() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripAll_literalMutation754");
            final String[] empty = new String[-1];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2759,empty);
            final String[] fooSpace = new String[]{ ("  " + (FOO)) + "  " , "  " + (FOO) , (FOO) + "  " };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2760,fooSpace);
            final String[] fooDots = new String[]{ (".." + (FOO)) + ".." , ".." + (FOO) , (FOO) + ".." };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2761,fooDots);
            final String[] foo = new String[]{ FOO , FOO , FOO };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2762,foo);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2745,org.apache.commons.lang3.StringUtils.stripAll(((java.lang.String[])(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2746,empty);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2747,org.apache.commons.lang3.StringUtils.stripAll());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2748,new java.lang.String[]{ null });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2749,org.apache.commons.lang3.StringUtils.stripAll(((java.lang.String)(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2750,empty);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2751,org.apache.commons.lang3.StringUtils.stripAll(empty));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2752,foo);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2753,org.apache.commons.lang3.StringUtils.stripAll(fooSpace));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2754,org.apache.commons.lang3.StringUtils.stripAll(null, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2755,foo);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2756,org.apache.commons.lang3.StringUtils.stripAll(fooSpace, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2757,foo);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2758,org.apache.commons.lang3.StringUtils.stripAll(fooDots, "."));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripAll_literalMutation755() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripAll_literalMutation755");
            final String[] empty = new String[0];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2759,empty);
            final String[] fooSpace = new String[]{ ("  " + (FOO)) + "  " , "  " + (FOO) , (FOO) + "  " };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2760,fooSpace);
            final String[] fooDots = new String[]{ (".." + (FOO)) + ".." , ".." + (FOO) , (FOO) + ".." };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2761,fooDots);
            final String[] foo = new String[]{ FOO , FOO , FOO };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2762,foo);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2745,org.apache.commons.lang3.StringUtils.stripAll(((java.lang.String[])(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2746,empty);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2747,org.apache.commons.lang3.StringUtils.stripAll());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2748,new java.lang.String[]{ null });
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2749,org.apache.commons.lang3.StringUtils.stripAll(((java.lang.String)(null))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2750,empty);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2751,org.apache.commons.lang3.StringUtils.stripAll(empty));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2752,foo);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2753,org.apache.commons.lang3.StringUtils.stripAll(fooSpace));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2754,org.apache.commons.lang3.StringUtils.stripAll(null, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2755,foo);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2756,org.apache.commons.lang3.StringUtils.stripAll(fooSpace, null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2757,foo);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2758,org.apache.commons.lang3.StringUtils.stripAll(fooDots, "."));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripAccents() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripAccents");
            final String cue = "úê";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,cue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2735,("Failed to strip accents from " + cue));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2736,org.apache.commons.lang3.StringUtils.stripAccents(cue));
            final String lots = "ÀÁÂÃÄÅÇÈÉ" + ("ÊËÌÍÎÏÑÒÓ" + "ÔÕÖÙÚÛÜÝ");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,lots);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2737,("Failed to strip accents from " + lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2738,org.apache.commons.lang3.StringUtils.stripAccents(lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2739,org.apache.commons.lang3.StringUtils.stripAccents(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2740,org.apache.commons.lang3.StringUtils.stripAccents(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2741,org.apache.commons.lang3.StringUtils.stripAccents("control"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2742,org.apache.commons.lang3.StringUtils.stripAccents("éclair"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripAccents_literalMutation742() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripAccents_literalMutation742");
            final String cue = "ÇÚúê";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,cue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2735,("Failed to strip accents from " + cue));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2736,org.apache.commons.lang3.StringUtils.stripAccents(cue));
            final String lots = "ÀÁÂÃÄÅÇÈÉ" + ("ÊËÌÍÎÏÑÒÓ" + "ÔÕÖÙÚÛÜÝ");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,lots);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2737,("Failed to strip accents from " + lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2738,org.apache.commons.lang3.StringUtils.stripAccents(lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2739,org.apache.commons.lang3.StringUtils.stripAccents(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2740,org.apache.commons.lang3.StringUtils.stripAccents(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2741,org.apache.commons.lang3.StringUtils.stripAccents("control"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2742,org.apache.commons.lang3.StringUtils.stripAccents("éclair"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripAccents_literalMutation743() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripAccents_literalMutation743");
            final String cue = "Çê";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,cue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2735,("Failed to strip accents from " + cue));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2736,org.apache.commons.lang3.StringUtils.stripAccents(cue));
            final String lots = "ÀÁÂÃÄÅÇÈÉ" + ("ÊËÌÍÎÏÑÒÓ" + "ÔÕÖÙÚÛÜÝ");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,lots);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2737,("Failed to strip accents from " + lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2738,org.apache.commons.lang3.StringUtils.stripAccents(lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2739,org.apache.commons.lang3.StringUtils.stripAccents(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2740,org.apache.commons.lang3.StringUtils.stripAccents(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2741,org.apache.commons.lang3.StringUtils.stripAccents("control"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2742,org.apache.commons.lang3.StringUtils.stripAccents("éclair"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripAccents_literalMutation744() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripAccents_literalMutation744");
            final String cue = "Çúê";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,cue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2735,("Failed to strip accents from " + cue));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2736,org.apache.commons.lang3.StringUtils.stripAccents(cue));
            final String lots = "ÀÁ*ÃÄÅÇÈÉ" + ("ÊËÌÍÎÏÑÒÓ" + "ÔÕÖÙÚÛÜÝ");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,lots);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2737,("Failed to strip accents from " + lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2738,org.apache.commons.lang3.StringUtils.stripAccents(lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2739,org.apache.commons.lang3.StringUtils.stripAccents(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2740,org.apache.commons.lang3.StringUtils.stripAccents(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2741,org.apache.commons.lang3.StringUtils.stripAccents("control"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2742,org.apache.commons.lang3.StringUtils.stripAccents("éclair"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripAccents_literalMutation745() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripAccents_literalMutation745");
            final String cue = "Çúê";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,cue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2735,("Failed to strip accents from " + cue));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2736,org.apache.commons.lang3.StringUtils.stripAccents(cue));
            final String lots = "ÀÁÂÃÄÅÇÈÉ" + ("ÊËÌÍÎÏÑÒÓ" + "ÔÕÖÙÚÛÜÝ");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,lots);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2737,("Failed to strip accents from " + lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2738,org.apache.commons.lang3.StringUtils.stripAccents(lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2739,org.apache.commons.lang3.StringUtils.stripAccents(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2740,org.apache.commons.lang3.StringUtils.stripAccents(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2741,org.apache.commons.lang3.StringUtils.stripAccents("control"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2742,org.apache.commons.lang3.StringUtils.stripAccents("éclair"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripAccents_literalMutation746() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripAccents_literalMutation746");
            final String cue = "Çúê";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,cue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2735,("Failed to strip accents from " + cue));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2736,org.apache.commons.lang3.StringUtils.stripAccents(cue));
            final String lots = "ÀÁÂÃÅÇÈÉ" + ("ÊËÌÍÎÏÑÒÓ" + "ÔÕÖÙÚÛÜÝ");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,lots);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2737,("Failed to strip accents from " + lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2738,org.apache.commons.lang3.StringUtils.stripAccents(lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2739,org.apache.commons.lang3.StringUtils.stripAccents(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2740,org.apache.commons.lang3.StringUtils.stripAccents(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2741,org.apache.commons.lang3.StringUtils.stripAccents("control"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2742,org.apache.commons.lang3.StringUtils.stripAccents("éclair"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripAccents_literalMutation747() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripAccents_literalMutation747");
            final String cue = "Çúê";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,cue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2735,("Failed to strip accents from " + cue));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2736,org.apache.commons.lang3.StringUtils.stripAccents(cue));
            final String lots = "ÀÁÂÃÄÅÇÈÉ" + ("ÊËÌÍÎ\nÑÒÓ" + "ÔÕÖÙÚÛÜÝ");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,lots);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2737,("Failed to strip accents from " + lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2738,org.apache.commons.lang3.StringUtils.stripAccents(lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2739,org.apache.commons.lang3.StringUtils.stripAccents(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2740,org.apache.commons.lang3.StringUtils.stripAccents(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2741,org.apache.commons.lang3.StringUtils.stripAccents("control"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2742,org.apache.commons.lang3.StringUtils.stripAccents("éclair"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripAccents_literalMutation748() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripAccents_literalMutation748");
            final String cue = "Çúê";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,cue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2735,("Failed to strip accents from " + cue));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2736,org.apache.commons.lang3.StringUtils.stripAccents(cue));
            final String lots = "ÀÁÂÃÄÅÇÈÉ" + ("ÊËÌÍÎ¹ÏÑÒÓ" + "ÔÕÖÙÚÛÜÝ");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,lots);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2737,("Failed to strip accents from " + lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2738,org.apache.commons.lang3.StringUtils.stripAccents(lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2739,org.apache.commons.lang3.StringUtils.stripAccents(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2740,org.apache.commons.lang3.StringUtils.stripAccents(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2741,org.apache.commons.lang3.StringUtils.stripAccents("control"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2742,org.apache.commons.lang3.StringUtils.stripAccents("éclair"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripAccents_literalMutation749() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripAccents_literalMutation749");
            final String cue = "Çúê";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,cue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2735,("Failed to strip accents from " + cue));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2736,org.apache.commons.lang3.StringUtils.stripAccents(cue));
            final String lots = "ÀÁÂÃÄÅÇÈÉ" + ("ÊËÌÍÎÏÑÓ" + "ÔÕÖÙÚÛÜÝ");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,lots);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2737,("Failed to strip accents from " + lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2738,org.apache.commons.lang3.StringUtils.stripAccents(lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2739,org.apache.commons.lang3.StringUtils.stripAccents(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2740,org.apache.commons.lang3.StringUtils.stripAccents(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2741,org.apache.commons.lang3.StringUtils.stripAccents("control"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2742,org.apache.commons.lang3.StringUtils.stripAccents("éclair"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripAccents_literalMutation750() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripAccents_literalMutation750");
            final String cue = "Çúê";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,cue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2735,("Failed to strip accents from " + cue));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2736,org.apache.commons.lang3.StringUtils.stripAccents(cue));
            final String lots = "ÀÁÂÃÄÅÇÈÉ" + ("ÊËÌÍÎÏÑÒÓ" + "ÔÕÖÚÛÜÝ");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,lots);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2737,("Failed to strip accents from " + lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2738,org.apache.commons.lang3.StringUtils.stripAccents(lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2739,org.apache.commons.lang3.StringUtils.stripAccents(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2740,org.apache.commons.lang3.StringUtils.stripAccents(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2741,org.apache.commons.lang3.StringUtils.stripAccents("control"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2742,org.apache.commons.lang3.StringUtils.stripAccents("éclair"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripAccents_literalMutation751() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripAccents_literalMutation751");
            final String cue = "Çúê";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,cue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2735,("Failed to strip accents from " + cue));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2736,org.apache.commons.lang3.StringUtils.stripAccents(cue));
            final String lots = "ÀÁÂÃÄÅÇÈÉ" + ("ÊËÌÍÎÏÑÒÓ" + "ÔÕÓÖÙÚÛÜÝ");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,lots);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2737,("Failed to strip accents from " + lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2738,org.apache.commons.lang3.StringUtils.stripAccents(lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2739,org.apache.commons.lang3.StringUtils.stripAccents(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2740,org.apache.commons.lang3.StringUtils.stripAccents(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2741,org.apache.commons.lang3.StringUtils.stripAccents("control"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2742,org.apache.commons.lang3.StringUtils.stripAccents("éclair"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test
    public void testStripAccents_literalMutation752() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStripAccents_literalMutation752");
            final String cue = "Çúê";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2743,cue);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2735,("Failed to strip accents from " + cue));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2736,org.apache.commons.lang3.StringUtils.stripAccents(cue));
            final String lots = "ÀÁÂÃÄÅÇÈÉ" + ("ÊËÌÍÎÏÑÒÓ" + "ÔÕÙÚÛÜÝ");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2744,lots);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2737,("Failed to strip accents from " + lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2738,org.apache.commons.lang3.StringUtils.stripAccents(lots));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2739,org.apache.commons.lang3.StringUtils.stripAccents(null));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2740,org.apache.commons.lang3.StringUtils.stripAccents(""));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2741,org.apache.commons.lang3.StringUtils.stripAccents("control"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2742,org.apache.commons.lang3.StringUtils.stripAccents("éclair"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }
}

