package com.google.gson;

import java.util.List;
import org.junit.Test;
import junit.framework.TestCase;

/** 
 * @author Jesse Wilson
 */
public final class CommentsTest extends TestCase {
    /** 
     * Test for issue 212.
     */
@Test(timeout = 1000)
    public void testParseComments() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParseComments");
            String json = "[\n" + ("  // this is a comment\n" + ("  \"a\",\n" + ("  /* this is another comment */\n" + ("  \"b\",\n" + ("  # this is yet another comment\n" + ("  \"c\"\n" + "]"))))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2603,json);
            List<java.lang.String> abc = new Gson().fromJson(json, new com.google.gson.reflect.TypeToken<java.util.List<java.lang.String>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2604,abc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2601,java.util.Arrays.asList("a", "b", "c"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2602,abc);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Test for issue 212.
     */
@Test(timeout = 1000)
    public void testParseComments_remove460() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParseComments_remove460");
            String json = "[\n" + ("  // this is a comment\n" + ("  \"a\",\n" + ("  /* this is another comment */\n" + ("  \"b\",\n" + ("  # this is yet another comment\n" + ("  \"c\"\n" + "]"))))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2603,json);
            List<java.lang.String> abc = new Gson().fromJson(json, new com.google.gson.reflect.TypeToken<java.util.List<java.lang.String>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2604,abc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2601,java.util.Arrays.asList("a", "b", "c"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2602,abc);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }
}

