package com.google.gson;

import junit.framework.TestCase;

/** 
 * Unit test for the {@link LongSerializationPolicy} class.
 * 
 * @author Inderjeet Singh
 * @author Joel Leitch
 */
public class LongSerializationPolicyTest extends TestCase {
    public void testDefaultLongSerialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDefaultLongSerialization");
            JsonElement element = LongSerializationPolicy.DEFAULT.serialize(1557L);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2851,element);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2847,element.isJsonPrimitive());
            JsonPrimitive jsonPrimitive = element.getAsJsonPrimitive();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2852,jsonPrimitive);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2848,jsonPrimitive.isString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2849,jsonPrimitive.isNumber());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2850,element.getAsLong());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDefaultLongSerialization_literalMutation4198() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDefaultLongSerialization_literalMutation4198");
            JsonElement element = LongSerializationPolicy.DEFAULT.serialize(1555L);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2851,element);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2847,element.isJsonPrimitive());
            JsonPrimitive jsonPrimitive = element.getAsJsonPrimitive();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2852,jsonPrimitive);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2848,jsonPrimitive.isString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2849,jsonPrimitive.isNumber());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2850,element.getAsLong());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDefaultLongSerialization_literalMutation4199() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDefaultLongSerialization_literalMutation4199");
            JsonElement element = LongSerializationPolicy.DEFAULT.serialize(778L);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2851,element);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2847,element.isJsonPrimitive());
            JsonPrimitive jsonPrimitive = element.getAsJsonPrimitive();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2852,jsonPrimitive);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2848,jsonPrimitive.isString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2849,jsonPrimitive.isNumber());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2850,element.getAsLong());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDefaultLongSerialization_literalMutation4200() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDefaultLongSerialization_literalMutation4200");
            JsonElement element = LongSerializationPolicy.DEFAULT.serialize(3112L);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2851,element);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2847,element.isJsonPrimitive());
            JsonPrimitive jsonPrimitive = element.getAsJsonPrimitive();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2852,jsonPrimitive);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2848,jsonPrimitive.isString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2849,jsonPrimitive.isNumber());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2850,element.getAsLong());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDefaultLongSerializationIntegration() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDefaultLongSerializationIntegration");
            Gson gson = new GsonBuilder().setLongSerializationPolicy(LongSerializationPolicy.DEFAULT).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2846,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2844,gson.toJson(new long[]{ 1L }, long[].class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2845,gson.toJson(new java.lang.Long[]{ 1L }, java.lang.Long[].class));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStringLongSerialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStringLongSerialization");
            JsonElement element = LongSerializationPolicy.STRING.serialize(1557L);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2859,element);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2855,element.isJsonPrimitive());
            JsonPrimitive jsonPrimitive = element.getAsJsonPrimitive();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2860,jsonPrimitive);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2856,jsonPrimitive.isNumber());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2857,jsonPrimitive.isString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2858,element.getAsString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStringLongSerialization_literalMutation4203() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStringLongSerialization_literalMutation4203");
            JsonElement element = LongSerializationPolicy.STRING.serialize(1555L);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2859,element);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2855,element.isJsonPrimitive());
            JsonPrimitive jsonPrimitive = element.getAsJsonPrimitive();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2860,jsonPrimitive);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2856,jsonPrimitive.isNumber());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2857,jsonPrimitive.isString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2858,element.getAsString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStringLongSerialization_literalMutation4204() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStringLongSerialization_literalMutation4204");
            JsonElement element = LongSerializationPolicy.STRING.serialize(778L);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2859,element);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2855,element.isJsonPrimitive());
            JsonPrimitive jsonPrimitive = element.getAsJsonPrimitive();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2860,jsonPrimitive);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2856,jsonPrimitive.isNumber());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2857,jsonPrimitive.isString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2858,element.getAsString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStringLongSerialization_literalMutation4205() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStringLongSerialization_literalMutation4205");
            JsonElement element = LongSerializationPolicy.STRING.serialize(3112L);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2859,element);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2855,element.isJsonPrimitive());
            JsonPrimitive jsonPrimitive = element.getAsJsonPrimitive();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2860,jsonPrimitive);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2856,jsonPrimitive.isNumber());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2857,jsonPrimitive.isString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2858,element.getAsString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testStringLongSerializationIntegration() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testStringLongSerializationIntegration");
            Gson gson = new GsonBuilder().setLongSerializationPolicy(LongSerializationPolicy.STRING).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),428,gson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2853,gson.toJson(new long[]{ 1L }, long[].class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2854,gson.toJson(new java.lang.Long[]{ 1L }, java.lang.Long[].class));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }
}

