package com.google.gson;

import java.io.IOException;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import java.util.List;
import java.io.StringReader;
import java.io.StringWriter;
import org.junit.Test;
import junit.framework.TestCase;
import java.lang.reflect.Type;
import com.google.gson.reflect.TypeToken;

public final class MixedStreamTest extends TestCase {
    private static final Car BLUE_MUSTANG = new Car("mustang" , 255);

    private static final Car BLACK_BMW = new Car("bmw" , 0);

    private static final Car RED_MIATA = new Car("miata" , 16711680);

    private static final String CARS_JSON = "[\n" + ("  {\n" + ("    \"name\": \"mustang\",\n" + ("    \"color\": 255\n" + ("  },\n" + ("  {\n" + ("    \"name\": \"bmw\",\n" + ("    \"color\": 0\n" + ("  },\n" + ("  {\n" + ("    \"name\": \"miata\",\n" + ("    \"color\": 16711680\n" + ("  }\n" + "]"))))))))))));

    @Test(timeout = 1000)
    public void testWriteMixedStreamed() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteMixedStreamed");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2896,stringWriter);
            JsonWriter jsonWriter = new JsonWriter(stringWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2897,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.beginArray();
            jsonWriter.setIndent("  ");
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            gson.toJson(BLACK_BMW, Car.class, jsonWriter);
            gson.toJson(RED_MIATA, Car.class, jsonWriter);
            jsonWriter.endArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2894,com.google.gson.MixedStreamTest.CARS_JSON);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2895,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteMixedStreamed_add654() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteMixedStreamed_add654");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2896,stringWriter);
            JsonWriter jsonWriter = new JsonWriter(stringWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2897,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setIndent("  ");
            jsonWriter.setIndent("  ");
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            gson.toJson(BLACK_BMW, Car.class, jsonWriter);
            gson.toJson(RED_MIATA, Car.class, jsonWriter);
            jsonWriter.endArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2894,com.google.gson.MixedStreamTest.CARS_JSON);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2895,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteMixedStreamed_add655() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteMixedStreamed_add655");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2896,stringWriter);
            JsonWriter jsonWriter = new JsonWriter(stringWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2897,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setIndent("  ");
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            gson.toJson(BLACK_BMW, Car.class, jsonWriter);
            gson.toJson(RED_MIATA, Car.class, jsonWriter);
            jsonWriter.endArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2894,com.google.gson.MixedStreamTest.CARS_JSON);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2895,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteMixedStreamed_add656() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteMixedStreamed_add656");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2896,stringWriter);
            JsonWriter jsonWriter = new JsonWriter(stringWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2897,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setIndent("  ");
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            gson.toJson(BLACK_BMW, Car.class, jsonWriter);
            gson.toJson(BLACK_BMW, Car.class, jsonWriter);
            gson.toJson(RED_MIATA, Car.class, jsonWriter);
            jsonWriter.endArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2894,com.google.gson.MixedStreamTest.CARS_JSON);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2895,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteMixedStreamed_add657() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteMixedStreamed_add657");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2896,stringWriter);
            JsonWriter jsonWriter = new JsonWriter(stringWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2897,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setIndent("  ");
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            gson.toJson(BLACK_BMW, Car.class, jsonWriter);
            gson.toJson(RED_MIATA, Car.class, jsonWriter);
            gson.toJson(RED_MIATA, Car.class, jsonWriter);
            jsonWriter.endArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2894,com.google.gson.MixedStreamTest.CARS_JSON);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2895,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteMixedStreamed_add658() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteMixedStreamed_add658");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2896,stringWriter);
            JsonWriter jsonWriter = new JsonWriter(stringWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2897,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setIndent("  ");
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            gson.toJson(BLACK_BMW, Car.class, jsonWriter);
            gson.toJson(RED_MIATA, Car.class, jsonWriter);
            jsonWriter.endArray();
            jsonWriter.endArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2894,com.google.gson.MixedStreamTest.CARS_JSON);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2895,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteMixedStreamed_remove533() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteMixedStreamed_remove533");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2896,stringWriter);
            JsonWriter jsonWriter = new JsonWriter(stringWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2897,jsonWriter);
            jsonWriter.setIndent("  ");
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            gson.toJson(BLACK_BMW, Car.class, jsonWriter);
            gson.toJson(RED_MIATA, Car.class, jsonWriter);
            jsonWriter.endArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2894,com.google.gson.MixedStreamTest.CARS_JSON);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2895,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteMixedStreamed_remove534() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteMixedStreamed_remove534");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2896,stringWriter);
            JsonWriter jsonWriter = new JsonWriter(stringWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2897,jsonWriter);
            jsonWriter.beginArray();
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            gson.toJson(BLACK_BMW, Car.class, jsonWriter);
            gson.toJson(RED_MIATA, Car.class, jsonWriter);
            jsonWriter.endArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2894,com.google.gson.MixedStreamTest.CARS_JSON);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2895,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteMixedStreamed_remove535() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteMixedStreamed_remove535");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2896,stringWriter);
            JsonWriter jsonWriter = new JsonWriter(stringWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2897,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setIndent("  ");
            gson.toJson(BLACK_BMW, Car.class, jsonWriter);
            gson.toJson(RED_MIATA, Car.class, jsonWriter);
            jsonWriter.endArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2894,com.google.gson.MixedStreamTest.CARS_JSON);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2895,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteMixedStreamed_remove536() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteMixedStreamed_remove536");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2896,stringWriter);
            JsonWriter jsonWriter = new JsonWriter(stringWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2897,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setIndent("  ");
            gson.toJson(BLACK_BMW, Car.class, jsonWriter);
            gson.toJson(RED_MIATA, Car.class, jsonWriter);
            jsonWriter.endArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2894,com.google.gson.MixedStreamTest.CARS_JSON);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2895,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteMixedStreamed_remove537() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteMixedStreamed_remove537");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2896,stringWriter);
            JsonWriter jsonWriter = new JsonWriter(stringWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2897,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setIndent("  ");
            gson.toJson(BLACK_BMW, Car.class, jsonWriter);
            gson.toJson(RED_MIATA, Car.class, jsonWriter);
            jsonWriter.endArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2894,com.google.gson.MixedStreamTest.CARS_JSON);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2895,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteMixedStreamed_remove538() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteMixedStreamed_remove538");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1134,gson);
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2896,stringWriter);
            JsonWriter jsonWriter = new JsonWriter(stringWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2897,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setIndent("  ");
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            gson.toJson(BLACK_BMW, Car.class, jsonWriter);
            gson.toJson(RED_MIATA, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2894,com.google.gson.MixedStreamTest.CARS_JSON);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2895,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReadMixedStreamed() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadMixedStreamed");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),879,gson);
            StringReader stringReader = new StringReader(CARS_JSON);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2869,stringReader);
            JsonReader jsonReader = new JsonReader(stringReader);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2870,jsonReader);
            jsonReader.beginArray();
            jsonReader.beginArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2863,com.google.gson.MixedStreamTest.BLUE_MUSTANG);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2864,gson.fromJson(jsonReader, com.google.gson.MixedStreamTest.Car.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2865,com.google.gson.MixedStreamTest.BLACK_BMW);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2866,gson.fromJson(jsonReader, com.google.gson.MixedStreamTest.Car.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2867,com.google.gson.MixedStreamTest.RED_MIATA);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2868,gson.fromJson(jsonReader, com.google.gson.MixedStreamTest.Car.class));
            jsonReader.endArray();
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReadMixedStreamed_add626() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadMixedStreamed_add626");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),879,gson);
            StringReader stringReader = new StringReader(CARS_JSON);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2869,stringReader);
            JsonReader jsonReader = new JsonReader(stringReader);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2870,jsonReader);
            jsonReader.beginArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2863,com.google.gson.MixedStreamTest.BLUE_MUSTANG);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2864,gson.fromJson(jsonReader, com.google.gson.MixedStreamTest.Car.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2865,com.google.gson.MixedStreamTest.BLACK_BMW);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2866,gson.fromJson(jsonReader, com.google.gson.MixedStreamTest.Car.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2867,com.google.gson.MixedStreamTest.RED_MIATA);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2868,gson.fromJson(jsonReader, com.google.gson.MixedStreamTest.Car.class));
            jsonReader.endArray();
            jsonReader.endArray();
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReadMixedStreamed_remove510() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadMixedStreamed_remove510");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),879,gson);
            StringReader stringReader = new StringReader(CARS_JSON);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2869,stringReader);
            JsonReader jsonReader = new JsonReader(stringReader);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2870,jsonReader);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2863,com.google.gson.MixedStreamTest.BLUE_MUSTANG);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2864,gson.fromJson(jsonReader, com.google.gson.MixedStreamTest.Car.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2865,com.google.gson.MixedStreamTest.BLACK_BMW);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2866,gson.fromJson(jsonReader, com.google.gson.MixedStreamTest.Car.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2867,com.google.gson.MixedStreamTest.RED_MIATA);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2868,gson.fromJson(jsonReader, com.google.gson.MixedStreamTest.Car.class));
            jsonReader.endArray();
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReadMixedStreamed_remove511() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadMixedStreamed_remove511");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),879,gson);
            StringReader stringReader = new StringReader(CARS_JSON);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2869,stringReader);
            JsonReader jsonReader = new JsonReader(stringReader);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2870,jsonReader);
            jsonReader.beginArray();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2863,com.google.gson.MixedStreamTest.BLUE_MUSTANG);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2864,gson.fromJson(jsonReader, com.google.gson.MixedStreamTest.Car.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2865,com.google.gson.MixedStreamTest.BLACK_BMW);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2866,gson.fromJson(jsonReader, com.google.gson.MixedStreamTest.Car.class));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2867,com.google.gson.MixedStreamTest.RED_MIATA);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2868,gson.fromJson(jsonReader, com.google.gson.MixedStreamTest.Car.class));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReaderDoesNotMutateState_add629() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReaderDoesNotMutateState_add629");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2874,jsonReader);
            jsonReader.beginArray();
            jsonReader.beginArray();
            jsonReader.setLenient(false);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2872,jsonReader.isLenient());
            jsonReader.setLenient(true);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2873,jsonReader.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReaderDoesNotMutateState_add630() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReaderDoesNotMutateState_add630");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2874,jsonReader);
            jsonReader.beginArray();
            jsonReader.setLenient(false);
            jsonReader.setLenient(false);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2872,jsonReader.isLenient());
            jsonReader.setLenient(true);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2873,jsonReader.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReaderDoesNotMutateState_add631() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReaderDoesNotMutateState_add631");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2874,jsonReader);
            jsonReader.beginArray();
            jsonReader.setLenient(false);
            gson.fromJson(jsonReader, Car.class);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2872,jsonReader.isLenient());
            jsonReader.setLenient(true);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2873,jsonReader.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReaderDoesNotMutateState_add632() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReaderDoesNotMutateState_add632");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2874,jsonReader);
            jsonReader.beginArray();
            jsonReader.setLenient(false);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2872,jsonReader.isLenient());
            jsonReader.setLenient(true);
            jsonReader.setLenient(true);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2873,jsonReader.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReaderDoesNotMutateState_add633() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReaderDoesNotMutateState_add633");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2874,jsonReader);
            jsonReader.beginArray();
            jsonReader.setLenient(false);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2872,jsonReader.isLenient());
            jsonReader.setLenient(true);
            gson.fromJson(jsonReader, Car.class);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2873,jsonReader.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testReaderDoesNotMutateState() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReaderDoesNotMutateState");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2874,jsonReader);
            jsonReader.beginArray();
            jsonReader.setLenient(true);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2872,jsonReader.isLenient());
            jsonReader.setLenient(true);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2873,jsonReader.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReaderDoesNotMutateState_remove512() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReaderDoesNotMutateState_remove512");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2874,jsonReader);
            jsonReader.setLenient(false);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2872,jsonReader.isLenient());
            jsonReader.setLenient(true);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2873,jsonReader.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReaderDoesNotMutateState_remove513() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReaderDoesNotMutateState_remove513");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2874,jsonReader);
            jsonReader.beginArray();
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2872,jsonReader.isLenient());
            jsonReader.setLenient(true);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2873,jsonReader.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReaderDoesNotMutateState_remove514() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReaderDoesNotMutateState_remove514");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2874,jsonReader);
            jsonReader.beginArray();
            jsonReader.setLenient(false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2872,jsonReader.isLenient());
            jsonReader.setLenient(true);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2873,jsonReader.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReaderDoesNotMutateState_remove515() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReaderDoesNotMutateState_remove515");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2874,jsonReader);
            jsonReader.beginArray();
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2872,jsonReader.isLenient());
            jsonReader.setLenient(true);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2873,jsonReader.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReaderDoesNotMutateState_remove516() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReaderDoesNotMutateState_remove516");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1121,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2874,jsonReader);
            jsonReader.beginArray();
            jsonReader.setLenient(false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2872,jsonReader.isLenient());
            jsonReader.setLenient(true);
            gson.fromJson(jsonReader, Car.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2873,jsonReader.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteDoesNotMutateState_add638() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteDoesNotMutateState_add638");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2881,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.beginArray();
            jsonWriter.setHtmlSafe(true);
            jsonWriter.setLenient(true);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2877,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2878,jsonWriter.isLenient());
            jsonWriter.setHtmlSafe(false);
            jsonWriter.setLenient(false);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2879,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2880,jsonWriter.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteDoesNotMutateState_add639() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteDoesNotMutateState_add639");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2881,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setHtmlSafe(true);
            jsonWriter.setHtmlSafe(true);
            jsonWriter.setLenient(true);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2877,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2878,jsonWriter.isLenient());
            jsonWriter.setHtmlSafe(false);
            jsonWriter.setLenient(false);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2879,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2880,jsonWriter.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteDoesNotMutateState_add640() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteDoesNotMutateState_add640");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2881,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setHtmlSafe(true);
            jsonWriter.setLenient(true);
            jsonWriter.setLenient(true);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2877,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2878,jsonWriter.isLenient());
            jsonWriter.setHtmlSafe(false);
            jsonWriter.setLenient(false);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2879,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2880,jsonWriter.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteDoesNotMutateState_add641() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteDoesNotMutateState_add641");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2881,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setHtmlSafe(true);
            jsonWriter.setLenient(true);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2877,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2878,jsonWriter.isLenient());
            jsonWriter.setHtmlSafe(false);
            jsonWriter.setLenient(false);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2879,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2880,jsonWriter.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteDoesNotMutateState_add642() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteDoesNotMutateState_add642");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2881,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setHtmlSafe(true);
            jsonWriter.setLenient(true);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2877,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2878,jsonWriter.isLenient());
            jsonWriter.setHtmlSafe(false);
            jsonWriter.setHtmlSafe(false);
            jsonWriter.setLenient(false);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2879,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2880,jsonWriter.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteDoesNotMutateState_add643() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteDoesNotMutateState_add643");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2881,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setHtmlSafe(true);
            jsonWriter.setLenient(true);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2877,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2878,jsonWriter.isLenient());
            jsonWriter.setHtmlSafe(false);
            jsonWriter.setLenient(false);
            jsonWriter.setLenient(false);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2879,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2880,jsonWriter.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteDoesNotMutateState_add644() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteDoesNotMutateState_add644");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2881,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setHtmlSafe(true);
            jsonWriter.setLenient(true);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2877,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2878,jsonWriter.isLenient());
            jsonWriter.setHtmlSafe(false);
            jsonWriter.setLenient(false);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2879,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2880,jsonWriter.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWriteDoesNotMutateState() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteDoesNotMutateState");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2881,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setHtmlSafe(true);
            jsonWriter.setLenient(true);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2877,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2878,jsonWriter.isLenient());
            jsonWriter.setHtmlSafe(true);
            jsonWriter.setLenient(false);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2879,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2880,jsonWriter.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWriteDoesNotMutateState_literalMutation4217() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteDoesNotMutateState_literalMutation4217");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2881,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setHtmlSafe(true);
            jsonWriter.setLenient(true);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2877,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2878,jsonWriter.isLenient());
            jsonWriter.setHtmlSafe(false);
            jsonWriter.setLenient(true);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2879,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2880,jsonWriter.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteDoesNotMutateState_remove520() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteDoesNotMutateState_remove520");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2881,jsonWriter);
            jsonWriter.setHtmlSafe(true);
            jsonWriter.setLenient(true);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2877,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2878,jsonWriter.isLenient());
            jsonWriter.setHtmlSafe(false);
            jsonWriter.setLenient(false);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2879,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2880,jsonWriter.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteDoesNotMutateState_remove521() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteDoesNotMutateState_remove521");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2881,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setLenient(true);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2877,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2878,jsonWriter.isLenient());
            jsonWriter.setHtmlSafe(false);
            jsonWriter.setLenient(false);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2879,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2880,jsonWriter.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteDoesNotMutateState_remove522() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteDoesNotMutateState_remove522");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2881,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setHtmlSafe(true);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2877,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2878,jsonWriter.isLenient());
            jsonWriter.setHtmlSafe(false);
            jsonWriter.setLenient(false);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2879,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2880,jsonWriter.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteDoesNotMutateState_remove523() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteDoesNotMutateState_remove523");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2881,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setHtmlSafe(true);
            jsonWriter.setLenient(true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2877,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2878,jsonWriter.isLenient());
            jsonWriter.setHtmlSafe(false);
            jsonWriter.setLenient(false);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2879,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2880,jsonWriter.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteDoesNotMutateState_remove524() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteDoesNotMutateState_remove524");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2881,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setLenient(true);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2877,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2878,jsonWriter.isLenient());
            jsonWriter.setHtmlSafe(false);
            jsonWriter.setLenient(false);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2879,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2880,jsonWriter.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteDoesNotMutateState_remove525() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteDoesNotMutateState_remove525");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2881,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setHtmlSafe(true);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2877,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2878,jsonWriter.isLenient());
            jsonWriter.setHtmlSafe(false);
            jsonWriter.setLenient(false);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2879,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2880,jsonWriter.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteDoesNotMutateState_remove526() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteDoesNotMutateState_remove526");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),318,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2881,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.setHtmlSafe(true);
            jsonWriter.setLenient(true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2877,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2878,jsonWriter.isLenient());
            jsonWriter.setHtmlSafe(false);
            jsonWriter.setLenient(false);
            gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2879,jsonWriter.isHtmlSafe());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2880,jsonWriter.isLenient());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReadInvalidState() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadInvalidState");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),422,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2862,jsonReader);
            jsonReader.beginArray();
            jsonReader.beginArray();
            jsonReader.beginObject();
            try {
                gson.fromJson(jsonReader, String.class);
            } catch (JsonParseException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReadInvalidState_add623() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadInvalidState_add623");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),422,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2862,jsonReader);
            jsonReader.beginArray();
            jsonReader.beginObject();
            jsonReader.beginObject();
            try {
                gson.fromJson(jsonReader, String.class);
            } catch (JsonParseException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReadInvalidState_add624() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadInvalidState_add624");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),422,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2862,jsonReader);
            jsonReader.beginArray();
            jsonReader.beginObject();
            try {
                gson.fromJson(jsonReader, String.class);
                gson.fromJson(jsonReader, String.class);
            } catch (JsonParseException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReadInvalidState_remove508() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadInvalidState_remove508");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),422,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2862,jsonReader);
            jsonReader.beginObject();
            try {
                gson.fromJson(jsonReader, String.class);
            } catch (JsonParseException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReadInvalidState_remove509() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadInvalidState_remove509");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),422,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2862,jsonReader);
            jsonReader.beginArray();
            try {
                gson.fromJson(jsonReader, String.class);
            } catch (JsonParseException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReadClosed() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadClosed");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),418,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2861,jsonReader);
            jsonReader.close();
            jsonReader.close();
            try {
                gson.fromJson(jsonReader, new TypeToken<java.util.List<Car>>() {                }.getType());
            } catch (JsonParseException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReadClosed_add620() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadClosed_add620");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),418,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2861,jsonReader);
            jsonReader.close();
            try {
                gson.fromJson(jsonReader, new TypeToken<java.util.List<Car>>() {                }.getType());
                gson.fromJson(jsonReader, new TypeToken<java.util.List<Car>>() {                }.getType());
            } catch (JsonParseException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReadClosed_add621() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadClosed_add621");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),418,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2861,jsonReader);
            jsonReader.close();
            try {
                gson.fromJson(jsonReader, new TypeToken<java.util.List<Car>>() {                }.getType());
            } catch (JsonParseException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReadClosed_remove507() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadClosed_remove507");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),418,gson);
            JsonReader jsonReader = new JsonReader(new StringReader(CARS_JSON));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2861,jsonReader);
            try {
                gson.fromJson(jsonReader, new TypeToken<java.util.List<Car>>() {                }.getType());
            } catch (JsonParseException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteInvalidState() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteInvalidState");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2887,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2888,jsonWriter);
            jsonWriter.beginObject();
            jsonWriter.beginObject();
            try {
                gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            } catch (IllegalStateException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteInvalidState_add649() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteInvalidState_add649");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2887,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2888,jsonWriter);
            jsonWriter.beginObject();
            try {
                gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
                gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            } catch (IllegalStateException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteInvalidState_remove530() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteInvalidState_remove530");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2887,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2888,jsonWriter);
            try {
                gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            } catch (IllegalStateException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteClosed() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteClosed");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2875,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2876,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.beginArray();
            jsonWriter.endArray();
            jsonWriter.close();
            try {
                gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            } catch (IllegalStateException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteClosed_add635() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteClosed_add635");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2875,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2876,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.endArray();
            jsonWriter.endArray();
            jsonWriter.close();
            try {
                gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            } catch (IllegalStateException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteClosed_add636() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteClosed_add636");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2875,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2876,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.endArray();
            jsonWriter.close();
            jsonWriter.close();
            try {
                gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            } catch (IllegalStateException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteClosed_add637() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteClosed_add637");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2875,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2876,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.endArray();
            jsonWriter.close();
            try {
                gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
                gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            } catch (IllegalStateException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteClosed_remove517() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteClosed_remove517");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2875,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2876,jsonWriter);
            jsonWriter.endArray();
            jsonWriter.close();
            try {
                gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            } catch (IllegalStateException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteClosed_remove518() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteClosed_remove518");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2875,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2876,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.close();
            try {
                gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            } catch (IllegalStateException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteClosed_remove519() throws IOException {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteClosed_remove519");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2875,gson);
            JsonWriter jsonWriter = new JsonWriter(new StringWriter());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2876,jsonWriter);
            jsonWriter.beginArray();
            jsonWriter.endArray();
            try {
                gson.toJson(BLUE_MUSTANG, Car.class, jsonWriter);
            } catch (IllegalStateException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteNulls_add659() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteNulls_add659");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2899,gson);
            try {
                gson.toJson(new com.google.gson.JsonPrimitive("hello"), ((JsonWriter)(null)));
                gson.toJson(new com.google.gson.JsonPrimitive("hello"), ((JsonWriter)(null)));
            } catch (NullPointerException expected) {
            }
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2900,stringWriter);
            gson.toJson(null, new JsonWriter(stringWriter));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2898,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteNulls_add660() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteNulls_add660");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2899,gson);
            try {
                gson.toJson(new com.google.gson.JsonPrimitive("hello"), ((JsonWriter)(null)));
            } catch (NullPointerException expected) {
            }
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2900,stringWriter);
            gson.toJson(null, new JsonWriter(stringWriter));
            gson.toJson(null, new JsonWriter(stringWriter));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2898,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWriteNulls() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteNulls");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2899,gson);
            try {
                gson.toJson(new com.google.gson.JsonPrimitive("àello"), ((JsonWriter)(null)));
            } catch (NullPointerException expected) {
            }
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2900,stringWriter);
            gson.toJson(null, new JsonWriter(stringWriter));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2898,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWriteNulls_literalMutation4232() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteNulls_literalMutation4232");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2899,gson);
            try {
                gson.toJson(new com.google.gson.JsonPrimitive("hwello"), ((JsonWriter)(null)));
            } catch (NullPointerException expected) {
            }
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2900,stringWriter);
            gson.toJson(null, new JsonWriter(stringWriter));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2898,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWriteNulls_literalMutation4233() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteNulls_literalMutation4233");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2899,gson);
            try {
                gson.toJson(new com.google.gson.JsonPrimitive("helo"), ((JsonWriter)(null)));
            } catch (NullPointerException expected) {
            }
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2900,stringWriter);
            gson.toJson(null, new JsonWriter(stringWriter));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2898,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteNulls_remove539() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteNulls_remove539");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2899,gson);
            try {
                gson.toJson(new com.google.gson.JsonPrimitive("hello"), ((JsonWriter)(null)));
            } catch (NullPointerException expected) {
            }
            StringWriter stringWriter = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2900,stringWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2898,stringWriter.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReadNulls_add627() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadNulls_add627");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2871,gson);
            try {
                gson.fromJson(((JsonReader)(null)), java.lang.Integer.class);
                gson.fromJson(((JsonReader)(null)), java.lang.Integer.class);
            } catch (NullPointerException expected) {
            }
            try {
                gson.fromJson(new JsonReader(new StringReader("true")), null);
            } catch (NullPointerException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testReadNulls_add628() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadNulls_add628");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2871,gson);
            try {
                gson.fromJson(((JsonReader)(null)), java.lang.Integer.class);
            } catch (NullPointerException expected) {
            }
            try {
                gson.fromJson(new JsonReader(new StringReader("true")), null);
                gson.fromJson(new JsonReader(new StringReader("true")), null);
            } catch (NullPointerException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testReadNulls() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadNulls");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2871,gson);
            try {
                gson.fromJson(((JsonReader)(null)), java.lang.Integer.class);
            } catch (NullPointerException expected) {
            }
            try {
                gson.fromJson(new JsonReader(new StringReader("ôrue")), null);
            } catch (NullPointerException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testReadNulls_literalMutation4209() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadNulls_literalMutation4209");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2871,gson);
            try {
                gson.fromJson(((JsonReader)(null)), java.lang.Integer.class);
            } catch (NullPointerException expected) {
            }
            try {
                gson.fromJson(new JsonReader(new StringReader("têrue")), null);
            } catch (NullPointerException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testReadNulls_literalMutation4210() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testReadNulls_literalMutation4210");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2871,gson);
            try {
                gson.fromJson(((JsonReader)(null)), java.lang.Integer.class);
            } catch (NullPointerException expected) {
            }
            try {
                gson.fromJson(new JsonReader(new StringReader("tue")), null);
            } catch (NullPointerException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteHtmlSafe() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteHtmlSafe");
            List<java.lang.String> contents = java.util.Arrays.asList("<", ">", "&", "=", "\'");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2885,contents);
            Type type = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1380,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2886,writer);
            new Gson().toJson(contents, type, new JsonWriter(writer));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2882,writer.toString());
            writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2884,writer);
            new GsonBuilder().disableHtmlEscaping().create().toJson(contents, type, new JsonWriter(writer));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2883,writer.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteHtmlSafe_add646() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteHtmlSafe_add646");
            List<java.lang.String> contents = java.util.Arrays.asList("<", ">", "&", "=", "\'");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2885,contents);
            Type type = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1380,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2886,writer);
            new Gson().toJson(contents, type, new JsonWriter(writer));
            new Gson().toJson(contents, type, new JsonWriter(writer));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2882,writer.toString());
            writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2884,writer);
            new GsonBuilder().disableHtmlEscaping().create().toJson(contents, type, new JsonWriter(writer));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2883,writer.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteHtmlSafe_add647() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteHtmlSafe_add647");
            List<java.lang.String> contents = java.util.Arrays.asList("<", ">", "&", "=", "\'");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2885,contents);
            Type type = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1380,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2886,writer);
            new Gson().toJson(contents, type, new JsonWriter(writer));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2882,writer.toString());
            writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2884,writer);
            new GsonBuilder().disableHtmlEscaping().create().toJson(contents, type, new JsonWriter(writer));
            new GsonBuilder().disableHtmlEscaping().create().toJson(contents, type, new JsonWriter(writer));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2883,writer.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteHtmlSafe_remove527() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteHtmlSafe_remove527");
            List<java.lang.String> contents = java.util.Arrays.asList("<", ">", "&", "=", "\'");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2885,contents);
            Type type = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1380,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2886,writer);
            new Gson().toJson(contents, type, new JsonWriter(writer));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2882,writer.toString());
            writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2884,writer);
            new GsonBuilder().disableHtmlEscaping().create().toJson(contents, type, new JsonWriter(writer));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2883,writer.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteHtmlSafe_remove528() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteHtmlSafe_remove528");
            List<java.lang.String> contents = java.util.Arrays.asList("<", ">", "&", "=", "\'");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2885,contents);
            Type type = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1380,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2886,writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2882,writer.toString());
            writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2884,writer);
            new GsonBuilder().disableHtmlEscaping().create().toJson(contents, type, new JsonWriter(writer));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2883,writer.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteHtmlSafe_remove529() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteHtmlSafe_remove529");
            List<java.lang.String> contents = java.util.Arrays.asList("<", ">", "&", "=", "\'");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2885,contents);
            Type type = new TypeToken<java.util.List<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1380,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2886,writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2882,writer.toString());
            writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2884,writer);
            new GsonBuilder().disableHtmlEscaping().create().toJson(contents, type, new JsonWriter(writer));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2883,writer.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteLenient_add650() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteLenient_add650");
            List<java.lang.Double> doubles = java.util.Arrays.asList(Double.NaN, Double.NEGATIVE_INFINITY, Double.POSITIVE_INFINITY, 1.0, 0.5, 0.0);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2890,doubles);
            Type type = new TypeToken<java.util.List<java.lang.Double>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2891,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2892,writer);
            JsonWriter jsonWriter = new JsonWriter(writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2893,jsonWriter);
            new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(doubles, type, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2889,writer.toString());
            try {
                new Gson().toJson(doubles, type, new JsonWriter(new StringWriter()));
            } catch (IllegalArgumentException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteLenient_add651() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteLenient_add651");
            List<java.lang.Double> doubles = java.util.Arrays.asList(Double.NaN, Double.NEGATIVE_INFINITY, Double.POSITIVE_INFINITY, 1.0, 0.5, 0.0);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2890,doubles);
            Type type = new TypeToken<java.util.List<java.lang.Double>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2891,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2892,writer);
            JsonWriter jsonWriter = new JsonWriter(writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2893,jsonWriter);
            new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(doubles, type, jsonWriter);
            new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(doubles, type, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2889,writer.toString());
            try {
                new Gson().toJson(doubles, type, new JsonWriter(new StringWriter()));
            } catch (IllegalArgumentException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteLenient_add652() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteLenient_add652");
            List<java.lang.Double> doubles = java.util.Arrays.asList(Double.NaN, Double.NEGATIVE_INFINITY, Double.POSITIVE_INFINITY, 1.0, 0.5, 0.0);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2890,doubles);
            Type type = new TypeToken<java.util.List<java.lang.Double>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2891,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2892,writer);
            JsonWriter jsonWriter = new JsonWriter(writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2893,jsonWriter);
            new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(doubles, type, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2889,writer.toString());
            try {
                new Gson().toJson(doubles, type, new JsonWriter(new StringWriter()));
                new Gson().toJson(doubles, type, new JsonWriter(new StringWriter()));
            } catch (IllegalArgumentException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWriteLenient() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteLenient");
            List<java.lang.Double> doubles = java.util.Arrays.asList(Double.NaN, Double.NEGATIVE_INFINITY, Double.POSITIVE_INFINITY, -1.0, 0.5, 0.0);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2890,doubles);
            Type type = new TypeToken<java.util.List<java.lang.Double>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2891,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2892,writer);
            JsonWriter jsonWriter = new JsonWriter(writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2893,jsonWriter);
            new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(doubles, type, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2889,writer.toString());
            try {
                new Gson().toJson(doubles, type, new JsonWriter(new StringWriter()));
            } catch (IllegalArgumentException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWriteLenient_literalMutation4219() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteLenient_literalMutation4219");
            List<java.lang.Double> doubles = java.util.Arrays.asList(Double.NaN, Double.NEGATIVE_INFINITY, Double.POSITIVE_INFINITY, -1.0, 0.5, 0.0);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2890,doubles);
            Type type = new TypeToken<java.util.List<java.lang.Double>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2891,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2892,writer);
            JsonWriter jsonWriter = new JsonWriter(writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2893,jsonWriter);
            new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(doubles, type, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2889,writer.toString());
            try {
                new Gson().toJson(doubles, type, new JsonWriter(new StringWriter()));
            } catch (IllegalArgumentException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWriteLenient_literalMutation4220() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteLenient_literalMutation4220");
            List<java.lang.Double> doubles = java.util.Arrays.asList(Double.NaN, Double.NEGATIVE_INFINITY, Double.POSITIVE_INFINITY, 0.0, 0.5, 0.0);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2890,doubles);
            Type type = new TypeToken<java.util.List<java.lang.Double>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2891,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2892,writer);
            JsonWriter jsonWriter = new JsonWriter(writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2893,jsonWriter);
            new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(doubles, type, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2889,writer.toString());
            try {
                new Gson().toJson(doubles, type, new JsonWriter(new StringWriter()));
            } catch (IllegalArgumentException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWriteLenient_literalMutation4222() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteLenient_literalMutation4222");
            List<java.lang.Double> doubles = java.util.Arrays.asList(Double.NaN, Double.NEGATIVE_INFINITY, Double.POSITIVE_INFINITY, 1.0, -0.5, 0.0);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2890,doubles);
            Type type = new TypeToken<java.util.List<java.lang.Double>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2891,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2892,writer);
            JsonWriter jsonWriter = new JsonWriter(writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2893,jsonWriter);
            new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(doubles, type, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2889,writer.toString());
            try {
                new Gson().toJson(doubles, type, new JsonWriter(new StringWriter()));
            } catch (IllegalArgumentException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWriteLenient_literalMutation4223() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteLenient_literalMutation4223");
            List<java.lang.Double> doubles = java.util.Arrays.asList(Double.NaN, Double.NEGATIVE_INFINITY, Double.POSITIVE_INFINITY, 1.0, 0.25, 0.0);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2890,doubles);
            Type type = new TypeToken<java.util.List<java.lang.Double>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2891,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2892,writer);
            JsonWriter jsonWriter = new JsonWriter(writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2893,jsonWriter);
            new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(doubles, type, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2889,writer.toString());
            try {
                new Gson().toJson(doubles, type, new JsonWriter(new StringWriter()));
            } catch (IllegalArgumentException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWriteLenient_literalMutation4224() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteLenient_literalMutation4224");
            List<java.lang.Double> doubles = java.util.Arrays.asList(Double.NaN, Double.NEGATIVE_INFINITY, Double.POSITIVE_INFINITY, 1.0, 1.0, 0.0);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2890,doubles);
            Type type = new TypeToken<java.util.List<java.lang.Double>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2891,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2892,writer);
            JsonWriter jsonWriter = new JsonWriter(writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2893,jsonWriter);
            new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(doubles, type, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2889,writer.toString());
            try {
                new Gson().toJson(doubles, type, new JsonWriter(new StringWriter()));
            } catch (IllegalArgumentException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWriteLenient_literalMutation4225() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteLenient_literalMutation4225");
            List<java.lang.Double> doubles = java.util.Arrays.asList(Double.NaN, Double.NEGATIVE_INFINITY, Double.POSITIVE_INFINITY, 1.0, 1.5, 0.0);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2890,doubles);
            Type type = new TypeToken<java.util.List<java.lang.Double>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2891,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2892,writer);
            JsonWriter jsonWriter = new JsonWriter(writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2893,jsonWriter);
            new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(doubles, type, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2889,writer.toString());
            try {
                new Gson().toJson(doubles, type, new JsonWriter(new StringWriter()));
            } catch (IllegalArgumentException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWriteLenient_literalMutation4227() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteLenient_literalMutation4227");
            List<java.lang.Double> doubles = java.util.Arrays.asList(Double.NaN, Double.NEGATIVE_INFINITY, Double.POSITIVE_INFINITY, 1.0, 0.5, 1.0);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2890,doubles);
            Type type = new TypeToken<java.util.List<java.lang.Double>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2891,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2892,writer);
            JsonWriter jsonWriter = new JsonWriter(writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2893,jsonWriter);
            new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(doubles, type, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2889,writer.toString());
            try {
                new Gson().toJson(doubles, type, new JsonWriter(new StringWriter()));
            } catch (IllegalArgumentException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWriteLenient_literalMutation4228() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteLenient_literalMutation4228");
            List<java.lang.Double> doubles = java.util.Arrays.asList(Double.NaN, Double.NEGATIVE_INFINITY, Double.POSITIVE_INFINITY, 1.0, 0.5, -1.0);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2890,doubles);
            Type type = new TypeToken<java.util.List<java.lang.Double>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2891,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2892,writer);
            JsonWriter jsonWriter = new JsonWriter(writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2893,jsonWriter);
            new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(doubles, type, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2889,writer.toString());
            try {
                new Gson().toJson(doubles, type, new JsonWriter(new StringWriter()));
            } catch (IllegalArgumentException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testWriteLenient_literalMutation4229() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteLenient_literalMutation4229");
            List<java.lang.Double> doubles = java.util.Arrays.asList(Double.NaN, Double.NEGATIVE_INFINITY, Double.POSITIVE_INFINITY, 1.0, 0.5, 0.0);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2890,doubles);
            Type type = new TypeToken<java.util.List<java.lang.Double>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2891,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2892,writer);
            JsonWriter jsonWriter = new JsonWriter(writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2893,jsonWriter);
            new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(doubles, type, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2889,writer.toString());
            try {
                new Gson().toJson(doubles, type, new JsonWriter(new StringWriter()));
            } catch (IllegalArgumentException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteLenient_remove531() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteLenient_remove531");
            List<java.lang.Double> doubles = java.util.Arrays.asList(Double.NaN, Double.NEGATIVE_INFINITY, Double.POSITIVE_INFINITY, 1.0, 0.5, 0.0);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2890,doubles);
            Type type = new TypeToken<java.util.List<java.lang.Double>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2891,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2892,writer);
            JsonWriter jsonWriter = new JsonWriter(writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2893,jsonWriter);
            new GsonBuilder().serializeSpecialFloatingPointValues().create().toJson(doubles, type, jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2889,writer.toString());
            try {
                new Gson().toJson(doubles, type, new JsonWriter(new StringWriter()));
            } catch (IllegalArgumentException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testWriteLenient_remove532() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testWriteLenient_remove532");
            List<java.lang.Double> doubles = java.util.Arrays.asList(Double.NaN, Double.NEGATIVE_INFINITY, Double.POSITIVE_INFINITY, 1.0, 0.5, 0.0);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2890,doubles);
            Type type = new TypeToken<java.util.List<java.lang.Double>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2891,type);
            StringWriter writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2892,writer);
            JsonWriter jsonWriter = new JsonWriter(writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2893,jsonWriter);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2889,writer.toString());
            try {
                new Gson().toJson(doubles, type, new JsonWriter(new StringWriter()));
            } catch (IllegalArgumentException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    static final class Car {
        String name;

        int color;

        Car(String name ,int color) {
            this.name = name;
            this.color = color;
        }

        Car() {
        }

        @Override
        public int hashCode() {
            return (name.hashCode()) ^ (color);
        }

        @Override
        public boolean equals(Object o) {
            return ((o instanceof Car) && (((Car)(o)).name.equals(name))) && ((((Car)(o)).color) == (color));
        }
    }
}

