package com.google.gson.functional;

import java.util.ArrayList;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.google.gson.JsonObject;
import java.util.List;
import org.junit.Test;
import junit.framework.TestCase;

/** 
 * Functional tests for print formatting.
 * 
 * @author Inderjeet Singh
 * @author Joel Leitch
 */
public class PrintFormattingTest extends TestCase {
    private Gson gson;

    @Override
    protected void setUp() throws Exception {
        super.setUp();
        gson = new Gson();
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),36,gson);
    }

    @SuppressWarnings(value = { "unchecked" , "rawtypes" })
    @Test(timeout = 1000)
    public void testCompactFormattingLeavesNoWhiteSpace_add453() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCompactFormattingLeavesNoWhiteSpace_add453");
            List list = new ArrayList();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2111,list);
            list.add(new com.google.gson.common.TestTypes.BagOfPrimitives());
            list.add(new com.google.gson.common.TestTypes.BagOfPrimitives());
            list.add(new com.google.gson.common.TestTypes.Nested());
            list.add(new com.google.gson.common.TestTypes.PrimitiveArray());
            list.add(new com.google.gson.common.TestTypes.ClassWithTransientFields());
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            PrintFormattingTest.assertContainsNoWhiteSpace(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "unchecked" , "rawtypes" })
    @Test(timeout = 1000)
    public void testCompactFormattingLeavesNoWhiteSpace_add454() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCompactFormattingLeavesNoWhiteSpace_add454");
            List list = new ArrayList();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2111,list);
            list.add(new com.google.gson.common.TestTypes.BagOfPrimitives());
            list.add(new com.google.gson.common.TestTypes.Nested());
            list.add(new com.google.gson.common.TestTypes.Nested());
            list.add(new com.google.gson.common.TestTypes.PrimitiveArray());
            list.add(new com.google.gson.common.TestTypes.ClassWithTransientFields());
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            PrintFormattingTest.assertContainsNoWhiteSpace(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "unchecked" , "rawtypes" })
    @Test(timeout = 1000)
    public void testCompactFormattingLeavesNoWhiteSpace_add455() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCompactFormattingLeavesNoWhiteSpace_add455");
            List list = new ArrayList();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2111,list);
            list.add(new com.google.gson.common.TestTypes.BagOfPrimitives());
            list.add(new com.google.gson.common.TestTypes.Nested());
            list.add(new com.google.gson.common.TestTypes.PrimitiveArray());
            list.add(new com.google.gson.common.TestTypes.PrimitiveArray());
            list.add(new com.google.gson.common.TestTypes.ClassWithTransientFields());
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            PrintFormattingTest.assertContainsNoWhiteSpace(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "unchecked" , "rawtypes" })
    @Test(timeout = 1000)
    public void testCompactFormattingLeavesNoWhiteSpace_add456() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCompactFormattingLeavesNoWhiteSpace_add456");
            List list = new ArrayList();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2111,list);
            list.add(new com.google.gson.common.TestTypes.BagOfPrimitives());
            list.add(new com.google.gson.common.TestTypes.Nested());
            list.add(new com.google.gson.common.TestTypes.PrimitiveArray());
            list.add(new com.google.gson.common.TestTypes.ClassWithTransientFields());
            list.add(new com.google.gson.common.TestTypes.ClassWithTransientFields());
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            PrintFormattingTest.assertContainsNoWhiteSpace(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "unchecked" , "rawtypes" })
    @Test(timeout = 1000)
    public void testCompactFormattingLeavesNoWhiteSpace_add457() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCompactFormattingLeavesNoWhiteSpace_add457");
            List list = new ArrayList();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2111,list);
            list.add(new com.google.gson.common.TestTypes.BagOfPrimitives());
            list.add(new com.google.gson.common.TestTypes.Nested());
            list.add(new com.google.gson.common.TestTypes.PrimitiveArray());
            list.add(new com.google.gson.common.TestTypes.ClassWithTransientFields());
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            PrintFormattingTest.assertContainsNoWhiteSpace(json);
            PrintFormattingTest.assertContainsNoWhiteSpace(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "un¾hecked" , "rawtypes" })
    public void testCompactFormattingLeavesNoWhiteSpace() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCompactFormattingLeavesNoWhiteSpace");
            List list = new ArrayList();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2111,list);
            list.add(new com.google.gson.common.TestTypes.BagOfPrimitives());
            list.add(new com.google.gson.common.TestTypes.Nested());
            list.add(new com.google.gson.common.TestTypes.PrimitiveArray());
            list.add(new com.google.gson.common.TestTypes.ClassWithTransientFields());
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            PrintFormattingTest.assertContainsNoWhiteSpace(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "un[checked" , "rawtypes" })
    public void testCompactFormattingLeavesNoWhiteSpace_literalMutation3126() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCompactFormattingLeavesNoWhiteSpace_literalMutation3126");
            List list = new ArrayList();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2111,list);
            list.add(new com.google.gson.common.TestTypes.BagOfPrimitives());
            list.add(new com.google.gson.common.TestTypes.Nested());
            list.add(new com.google.gson.common.TestTypes.PrimitiveArray());
            list.add(new com.google.gson.common.TestTypes.ClassWithTransientFields());
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            PrintFormattingTest.assertContainsNoWhiteSpace(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "uncecked" , "rawtypes" })
    public void testCompactFormattingLeavesNoWhiteSpace_literalMutation3127() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCompactFormattingLeavesNoWhiteSpace_literalMutation3127");
            List list = new ArrayList();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2111,list);
            list.add(new com.google.gson.common.TestTypes.BagOfPrimitives());
            list.add(new com.google.gson.common.TestTypes.Nested());
            list.add(new com.google.gson.common.TestTypes.PrimitiveArray());
            list.add(new com.google.gson.common.TestTypes.ClassWithTransientFields());
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            PrintFormattingTest.assertContainsNoWhiteSpace(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "unchecked" , "rdwtypes" })
    public void testCompactFormattingLeavesNoWhiteSpace_literalMutation3128() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCompactFormattingLeavesNoWhiteSpace_literalMutation3128");
            List list = new ArrayList();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2111,list);
            list.add(new com.google.gson.common.TestTypes.BagOfPrimitives());
            list.add(new com.google.gson.common.TestTypes.Nested());
            list.add(new com.google.gson.common.TestTypes.PrimitiveArray());
            list.add(new com.google.gson.common.TestTypes.ClassWithTransientFields());
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            PrintFormattingTest.assertContainsNoWhiteSpace(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "unchecked" , "rawtypes" })
    public void testCompactFormattingLeavesNoWhiteSpace_literalMutation3129() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCompactFormattingLeavesNoWhiteSpace_literalMutation3129");
            List list = new ArrayList();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2111,list);
            list.add(new com.google.gson.common.TestTypes.BagOfPrimitives());
            list.add(new com.google.gson.common.TestTypes.Nested());
            list.add(new com.google.gson.common.TestTypes.PrimitiveArray());
            list.add(new com.google.gson.common.TestTypes.ClassWithTransientFields());
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            PrintFormattingTest.assertContainsNoWhiteSpace(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "unchecked" , "rwtypes" })
    public void testCompactFormattingLeavesNoWhiteSpace_literalMutation3130() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCompactFormattingLeavesNoWhiteSpace_literalMutation3130");
            List list = new ArrayList();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2111,list);
            list.add(new com.google.gson.common.TestTypes.BagOfPrimitives());
            list.add(new com.google.gson.common.TestTypes.Nested());
            list.add(new com.google.gson.common.TestTypes.PrimitiveArray());
            list.add(new com.google.gson.common.TestTypes.ClassWithTransientFields());
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            PrintFormattingTest.assertContainsNoWhiteSpace(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "unchecked" , "rawtypes" })
    @Test(timeout = 1000)
    public void testCompactFormattingLeavesNoWhiteSpace_remove382() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCompactFormattingLeavesNoWhiteSpace_remove382");
            List list = new ArrayList();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2111,list);
            list.add(new com.google.gson.common.TestTypes.Nested());
            list.add(new com.google.gson.common.TestTypes.PrimitiveArray());
            list.add(new com.google.gson.common.TestTypes.ClassWithTransientFields());
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            PrintFormattingTest.assertContainsNoWhiteSpace(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "unchecked" , "rawtypes" })
    @Test(timeout = 1000)
    public void testCompactFormattingLeavesNoWhiteSpace_remove383() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCompactFormattingLeavesNoWhiteSpace_remove383");
            List list = new ArrayList();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2111,list);
            list.add(new com.google.gson.common.TestTypes.Nested());
            list.add(new com.google.gson.common.TestTypes.PrimitiveArray());
            list.add(new com.google.gson.common.TestTypes.ClassWithTransientFields());
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            PrintFormattingTest.assertContainsNoWhiteSpace(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "unchecked" , "rawtypes" })
    @Test(timeout = 1000)
    public void testCompactFormattingLeavesNoWhiteSpace_remove384() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCompactFormattingLeavesNoWhiteSpace_remove384");
            List list = new ArrayList();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2111,list);
            list.add(new com.google.gson.common.TestTypes.Nested());
            list.add(new com.google.gson.common.TestTypes.PrimitiveArray());
            list.add(new com.google.gson.common.TestTypes.ClassWithTransientFields());
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            PrintFormattingTest.assertContainsNoWhiteSpace(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "unchecked" , "rawtypes" })
    @Test(timeout = 1000)
    public void testCompactFormattingLeavesNoWhiteSpace_remove385() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCompactFormattingLeavesNoWhiteSpace_remove385");
            List list = new ArrayList();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2111,list);
            list.add(new com.google.gson.common.TestTypes.Nested());
            list.add(new com.google.gson.common.TestTypes.PrimitiveArray());
            list.add(new com.google.gson.common.TestTypes.ClassWithTransientFields());
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
            PrintFormattingTest.assertContainsNoWhiteSpace(json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = { "unchecked" , "rawtypes" })
    @Test(timeout = 1000)
    public void testCompactFormattingLeavesNoWhiteSpace_remove386() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCompactFormattingLeavesNoWhiteSpace_remove386");
            List list = new ArrayList();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2111,list);
            list.add(new com.google.gson.common.TestTypes.BagOfPrimitives());
            list.add(new com.google.gson.common.TestTypes.Nested());
            list.add(new com.google.gson.common.TestTypes.PrimitiveArray());
            list.add(new com.google.gson.common.TestTypes.ClassWithTransientFields());
            String json = gson.toJson(list);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1422,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testJsonObjectWithNullValues_add458() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValues_add458");
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1151,obj);
            obj.addProperty("field1", "value1");
            obj.addProperty("field1", "value1");
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2116,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2117,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testJsonObjectWithNullValues_add459() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValues_add459");
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1151,obj);
            obj.addProperty("field1", "value1");
            obj.addProperty("field2", ((String)(null)));
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2116,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2117,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValues() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValues");
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1151,obj);
            obj.addProperty("ield1", "value1");
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2116,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2117,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValues_literalMutation3132() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValues_literalMutation3132");
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1151,obj);
            obj.addProperty("fiel~d1", "value1");
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2116,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2117,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValues_literalMutation3133() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValues_literalMutation3133");
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1151,obj);
            obj.addProperty("fiel1", "value1");
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2116,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2117,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValues_literalMutation3134() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValues_literalMutation3134");
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1151,obj);
            obj.addProperty("field1", "vylue1");
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2116,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2117,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValues_literalMutation3135() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValues_literalMutation3135");
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1151,obj);
            obj.addProperty("field1", "value1");
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2116,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2117,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValues_literalMutation3136() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValues_literalMutation3136");
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1151,obj);
            obj.addProperty("field1", "vlue1");
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2116,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2117,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValues_literalMutation3137() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValues_literalMutation3137");
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1151,obj);
            obj.addProperty("field1", "value1");
            obj.addProperty("fiÇld2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2116,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2117,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValues_literalMutation3138() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValues_literalMutation3138");
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1151,obj);
            obj.addProperty("field1", "value1");
            obj.addProperty("fieìld2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2116,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2117,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValues_literalMutation3139() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValues_literalMutation3139");
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1151,obj);
            obj.addProperty("field1", "value1");
            obj.addProperty("fild2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2116,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2117,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testJsonObjectWithNullValues_remove387() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValues_remove387");
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1151,obj);
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2116,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2117,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testJsonObjectWithNullValues_remove388() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValues_remove388");
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1151,obj);
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),762,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2116,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2117,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testJsonObjectWithNullValuesSerialized_add460() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValuesSerialized_add460");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2114,gson);
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2115,obj);
            obj.addProperty("field1", "value1");
            obj.addProperty("field1", "value1");
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2112,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2113,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testJsonObjectWithNullValuesSerialized_add461() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValuesSerialized_add461");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2114,gson);
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2115,obj);
            obj.addProperty("field1", "value1");
            obj.addProperty("field2", ((String)(null)));
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2112,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2113,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValuesSerialized() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValuesSerialized");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2114,gson);
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2115,obj);
            obj.addProperty("fi[ld1", "value1");
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2112,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2113,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValuesSerialized_literalMutation3142() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValuesSerialized_literalMutation3142");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2114,gson);
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2115,obj);
            obj.addProperty("fiÊeld1", "value1");
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2112,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2113,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValuesSerialized_literalMutation3143() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValuesSerialized_literalMutation3143");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2114,gson);
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2115,obj);
            obj.addProperty("fild1", "value1");
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2112,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2113,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValuesSerialized_literalMutation3144() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValuesSerialized_literalMutation3144");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2114,gson);
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2115,obj);
            obj.addProperty("field1", "val_e1");
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2112,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2113,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValuesSerialized_literalMutation3145() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValuesSerialized_literalMutation3145");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2114,gson);
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2115,obj);
            obj.addProperty("field1", "value1");
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2112,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2113,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValuesSerialized_literalMutation3146() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValuesSerialized_literalMutation3146");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2114,gson);
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2115,obj);
            obj.addProperty("field1", "valu1");
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2112,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2113,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValuesSerialized_literalMutation3147() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValuesSerialized_literalMutation3147");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2114,gson);
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2115,obj);
            obj.addProperty("field1", "value1");
            obj.addProperty("fied2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2112,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2113,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValuesSerialized_literalMutation3148() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValuesSerialized_literalMutation3148");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2114,gson);
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2115,obj);
            obj.addProperty("field1", "value1");
            obj.addProperty("fielád2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2112,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2113,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testJsonObjectWithNullValuesSerialized_literalMutation3149() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValuesSerialized_literalMutation3149");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2114,gson);
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2115,obj);
            obj.addProperty("field1", "value1");
            obj.addProperty("fild2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2112,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2113,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testJsonObjectWithNullValuesSerialized_remove389() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValuesSerialized_remove389");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2114,gson);
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2115,obj);
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2112,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2113,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testJsonObjectWithNullValuesSerialized_remove390() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testJsonObjectWithNullValuesSerialized_remove390");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2114,gson);
            JsonObject obj = new JsonObject();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2115,obj);
            obj.addProperty("field2", ((String)(null)));
            String json = gson.toJson(obj);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),241,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2112,json.contains("field1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2113,json.contains("field2"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    private static void assertContainsNoWhiteSpace(String str) {
        for (char c : str.toCharArray()) {
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2110,java.lang.Character.isWhitespace(c));
        }
    }
}

