package com.google.gson.functional;

import java.util.Collection;
import com.google.gson.Gson;
import org.junit.Test;
import junit.framework.TestCase;

/** 
 * Unit tests to validate serialization of parameterized types without explicit types
 * 
 * @author Inderjeet Singh
 */
public class RawSerializationTest extends TestCase {
    private Gson gson;

    @Override
    protected void setUp() throws Exception {
        super.setUp();
        gson = new Gson();
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),823,gson);
    }

    public void testCollectionOfPrimitives() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(2, 2, 3, 4, 5);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfPrimitives_literalMutation3160() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives_literalMutation3160");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(0, 2, 3, 4, 5);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfPrimitives_literalMutation3161() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives_literalMutation3161");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(0, 2, 3, 4, 5);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfPrimitives_literalMutation3163() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives_literalMutation3163");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(1, 1, 3, 4, 5);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfPrimitives_literalMutation3164() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives_literalMutation3164");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(1, 4, 3, 4, 5);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfPrimitives_literalMutation3165() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives_literalMutation3165");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(1, 3, 3, 4, 5);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfPrimitives_literalMutation3167() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives_literalMutation3167");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(1, 2, 4, 4, 5);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfPrimitives_literalMutation3168() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives_literalMutation3168");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(1, 2, 2, 4, 5);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfPrimitives_literalMutation3169() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives_literalMutation3169");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(1, 2, 1, 4, 5);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfPrimitives_literalMutation3170() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives_literalMutation3170");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(1, 2, 6, 4, 5);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfPrimitives_literalMutation3172() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives_literalMutation3172");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(1, 2, 3, 2, 5);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfPrimitives_literalMutation3173() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives_literalMutation3173");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(1, 2, 3, 8, 5);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfPrimitives_literalMutation3174() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives_literalMutation3174");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(1, 2, 3, 5, 5);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfPrimitives_literalMutation3175() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives_literalMutation3175");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(1, 2, 3, 3, 5);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfPrimitives_literalMutation3177() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives_literalMutation3177");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(1, 2, 3, 4, 4);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfPrimitives_literalMutation3178() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives_literalMutation3178");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(1, 2, 3, 4, 2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfPrimitives_literalMutation3179() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives_literalMutation3179");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(1, 2, 3, 4, 10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfPrimitives_literalMutation3180() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfPrimitives_literalMutation3180");
            Collection<java.lang.Integer> ints = java.util.Arrays.asList(1, 2, 3, 4, 6);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2121,ints);
            String json = gson.toJson(ints);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2120,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjects() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjects");
            Collection<Foo> foos = java.util.Arrays.asList(new Foo(2), new Foo(2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2118,foos);
            String json = gson.toJson(foos);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2119,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),932,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjects_literalMutation3152() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjects_literalMutation3152");
            Collection<Foo> foos = java.util.Arrays.asList(new Foo(0), new Foo(2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2118,foos);
            String json = gson.toJson(foos);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2119,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),932,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjects_literalMutation3153() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjects_literalMutation3153");
            Collection<Foo> foos = java.util.Arrays.asList(new Foo(0), new Foo(2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2118,foos);
            String json = gson.toJson(foos);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2119,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),932,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjects_literalMutation3155() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjects_literalMutation3155");
            Collection<Foo> foos = java.util.Arrays.asList(new Foo(1), new Foo(1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2118,foos);
            String json = gson.toJson(foos);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2119,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),932,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjects_literalMutation3156() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjects_literalMutation3156");
            Collection<Foo> foos = java.util.Arrays.asList(new Foo(1), new Foo(4));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2118,foos);
            String json = gson.toJson(foos);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2119,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),932,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testCollectionOfObjects_literalMutation3157() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testCollectionOfObjects_literalMutation3157");
            Collection<Foo> foos = java.util.Arrays.asList(new Foo(1), new Foo(3));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2118,foos);
            String json = gson.toJson(foos);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2119,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),932,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedObject_add462() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedObject_add462");
            Bar<Foo> bar = new Bar<Foo>(new Foo(1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2127,bar);
            String expectedJson = "{\"t\":{\"b\":1}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2128,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1782,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2123,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Foo>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2126,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2124,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2125,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedObject() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedObject");
            Bar<Foo> bar = new Bar<Foo>(new Foo(2));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2127,bar);
            String expectedJson = "{\"t\":{\"b\":1}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2128,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1782,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2123,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Foo>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2126,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2124,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2125,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedObject_literalMutation3183() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedObject_literalMutation3183");
            Bar<Foo> bar = new Bar<Foo>(new Foo(0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2127,bar);
            String expectedJson = "{\"t\":{\"b\":1}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2128,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1782,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2123,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Foo>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2126,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2124,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2125,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedObject_literalMutation3184() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedObject_literalMutation3184");
            Bar<Foo> bar = new Bar<Foo>(new Foo(0));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2127,bar);
            String expectedJson = "{\"t\":{\"b\":1}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2128,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1782,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2123,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Foo>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2126,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2124,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2125,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedObject_literalMutation3186() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedObject_literalMutation3186");
            Bar<Foo> bar = new Bar<Foo>(new Foo(1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2127,bar);
            String expectedJson = "{\"Ù\":{\"b\":1}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2128,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1782,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2123,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Foo>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2126,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2124,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2125,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedObject_literalMutation3187() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedObject_literalMutation3187");
            Bar<Foo> bar = new Bar<Foo>(new Foo(1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2127,bar);
            String expectedJson = "{\"t\":{\"b»\":1}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2128,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1782,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2123,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Foo>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2126,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2124,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2125,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedObject_literalMutation3188() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedObject_literalMutation3188");
            Bar<Foo> bar = new Bar<Foo>(new Foo(1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2127,bar);
            String expectedJson = "{\"t\":{\"b\":1}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2128,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1782,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2123,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Foo>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2126,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2124,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2125,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedObject_remove391() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedObject_remove391");
            Bar<Foo> bar = new Bar<Foo>(new Foo(1));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2127,bar);
            String expectedJson = "{\"t\":{\"b\":1}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2128,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1782,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2123,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Foo>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2126,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2124,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2125,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTwoLevelParameterizedObject_add464() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTwoLevelParameterizedObject_add464");
            Bar<Bar<Foo>> bar = new Bar<Bar<Foo>>(new Bar<Foo>(new Foo(1)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2137,bar);
            String expectedJson = "{\"t\":{\"t\":{\"b\":1}}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2138,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2139,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2134,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1012,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Bar<Foo>>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2136,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2135,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1123,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTwoLevelParameterizedObject() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTwoLevelParameterizedObject");
            Bar<Bar<Foo>> bar = new Bar<Bar<Foo>>(new Bar<Foo>(new Foo(2)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2137,bar);
            String expectedJson = "{\"t\":{\"t\":{\"b\":1}}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2138,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2139,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2134,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1012,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Bar<Foo>>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2136,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2135,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1123,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTwoLevelParameterizedObject_literalMutation3197() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTwoLevelParameterizedObject_literalMutation3197");
            Bar<Bar<Foo>> bar = new Bar<Bar<Foo>>(new Bar<Foo>(new Foo(0)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2137,bar);
            String expectedJson = "{\"t\":{\"t\":{\"b\":1}}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2138,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2139,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2134,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1012,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Bar<Foo>>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2136,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2135,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1123,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTwoLevelParameterizedObject_literalMutation3198() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTwoLevelParameterizedObject_literalMutation3198");
            Bar<Bar<Foo>> bar = new Bar<Bar<Foo>>(new Bar<Foo>(new Foo(0)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2137,bar);
            String expectedJson = "{\"t\":{\"t\":{\"b\":1}}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2138,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2139,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2134,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1012,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Bar<Foo>>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2136,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2135,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1123,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTwoLevelParameterizedObject_literalMutation3200() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTwoLevelParameterizedObject_literalMutation3200");
            Bar<Bar<Foo>> bar = new Bar<Bar<Foo>>(new Bar<Foo>(new Foo(1)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2137,bar);
            String expectedJson = "{\"t\":{\"t\":{\"b\":D}}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2138,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2139,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2134,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1012,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Bar<Foo>>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2136,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2135,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1123,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTwoLevelParameterizedObject_literalMutation3201() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTwoLevelParameterizedObject_literalMutation3201");
            Bar<Bar<Foo>> bar = new Bar<Bar<Foo>>(new Bar<Foo>(new Foo(1)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2137,bar);
            String expectedJson = "{\"t\":{\"t\":{\"b\":1M}}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2138,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2139,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2134,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1012,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Bar<Foo>>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2136,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2135,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1123,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTwoLevelParameterizedObject_literalMutation3202() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTwoLevelParameterizedObject_literalMutation3202");
            Bar<Bar<Foo>> bar = new Bar<Bar<Foo>>(new Bar<Foo>(new Foo(1)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2137,bar);
            String expectedJson = "{\"t\":{\"t\":{\"b\":1}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2138,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2139,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2134,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1012,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Bar<Foo>>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2136,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2135,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1123,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTwoLevelParameterizedObject_remove393() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTwoLevelParameterizedObject_remove393");
            Bar<Bar<Foo>> bar = new Bar<Bar<Foo>>(new Bar<Foo>(new Foo(1)));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2137,bar);
            String expectedJson = "{\"t\":{\"t\":{\"b\":1}}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2138,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2139,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2134,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1012,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Bar<Foo>>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2136,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2135,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1123,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testThreeLevelParameterizedObject_add463() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testThreeLevelParameterizedObject_add463");
            Bar<Bar<Bar<Foo>>> bar = new Bar<Bar<Bar<Foo>>>(new Bar<Bar<Foo>>(new Bar<Foo>(new Foo(1))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2132,bar);
            String expectedJson = "{\"t\":{\"t\":{\"t\":{\"b\":1}}}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2133,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2129,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1119,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Bar<Bar<Foo>>>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2131,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2130,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testThreeLevelParameterizedObject() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testThreeLevelParameterizedObject");
            Bar<Bar<Bar<Foo>>> bar = new Bar<Bar<Bar<Foo>>>(new Bar<Bar<Foo>>(new Bar<Foo>(new Foo(2))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2132,bar);
            String expectedJson = "{\"t\":{\"t\":{\"t\":{\"b\":1}}}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2133,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2129,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1119,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Bar<Bar<Foo>>>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2131,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2130,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testThreeLevelParameterizedObject_literalMutation3190() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testThreeLevelParameterizedObject_literalMutation3190");
            Bar<Bar<Bar<Foo>>> bar = new Bar<Bar<Bar<Foo>>>(new Bar<Bar<Foo>>(new Bar<Foo>(new Foo(0))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2132,bar);
            String expectedJson = "{\"t\":{\"t\":{\"t\":{\"b\":1}}}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2133,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2129,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1119,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Bar<Bar<Foo>>>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2131,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2130,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testThreeLevelParameterizedObject_literalMutation3191() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testThreeLevelParameterizedObject_literalMutation3191");
            Bar<Bar<Bar<Foo>>> bar = new Bar<Bar<Bar<Foo>>>(new Bar<Bar<Foo>>(new Bar<Foo>(new Foo(0))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2132,bar);
            String expectedJson = "{\"t\":{\"t\":{\"t\":{\"b\":1}}}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2133,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2129,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1119,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Bar<Bar<Foo>>>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2131,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2130,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testThreeLevelParameterizedObject_literalMutation3193() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testThreeLevelParameterizedObject_literalMutation3193");
            Bar<Bar<Bar<Foo>>> bar = new Bar<Bar<Bar<Foo>>>(new Bar<Bar<Foo>>(new Bar<Foo>(new Foo(1))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2132,bar);
            String expectedJson = "{_t\":{\"t\":{\"t\":{\"b\":1}}}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2133,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2129,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1119,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Bar<Bar<Foo>>>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2131,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2130,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testThreeLevelParameterizedObject_literalMutation3194() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testThreeLevelParameterizedObject_literalMutation3194");
            Bar<Bar<Bar<Foo>>> bar = new Bar<Bar<Bar<Foo>>>(new Bar<Bar<Foo>>(new Bar<Foo>(new Foo(1))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2132,bar);
            String expectedJson = "{\"t\":{\"It\":{\"t\":{\"b\":1}}}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2133,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2129,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1119,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Bar<Bar<Foo>>>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2131,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2130,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testThreeLevelParameterizedObject_literalMutation3195() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testThreeLevelParameterizedObject_literalMutation3195");
            Bar<Bar<Bar<Foo>>> bar = new Bar<Bar<Bar<Foo>>>(new Bar<Bar<Foo>>(new Bar<Foo>(new Foo(1))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2132,bar);
            String expectedJson = "{\"t\":{\"t:{\"t\":{\"b\":1}}}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2133,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2129,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1119,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Bar<Bar<Foo>>>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2131,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2130,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testThreeLevelParameterizedObject_remove392() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testThreeLevelParameterizedObject_remove392");
            Bar<Bar<Bar<Foo>>> bar = new Bar<Bar<Bar<Foo>>>(new Bar<Bar<Foo>>(new Bar<Foo>(new Foo(1))));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2132,bar);
            String expectedJson = "{\"t\":{\"t\":{\"t\":{\"b\":1}}}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2133,expectedJson);
            String json = gson.toJson(bar);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2129,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1119,json);
            json = gson.toJson(bar, new com.google.gson.reflect.TypeToken<Bar<Bar<Bar<Foo>>>>() {            }.getType());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2131,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2130,expectedJson);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1094,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    private static class Foo {
        @SuppressWarnings(value = "unused")
        int b;

        Foo(int b) {
            this.b = b;
        }
    }

    private static class Bar<T> {
        @SuppressWarnings(value = "unused")
        T t;

        Bar(T t) {
            this.t = t;
        }
    }
}

