package com.google.gson.functional;

import com.google.gson.Gson;
import java.io.IOException;
import com.google.gson.annotations.SerializedName;
import junit.framework.TestCase;

@SuppressWarnings(value = "serial")
public final class ThrowableFunctionalTest extends TestCase {
    private final Gson gson = new Gson();

    public void testExceptionWithoutCause() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testExceptionWithoutCause");
            RuntimeException e = new RuntimeException("âello");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2356,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2357,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2353,json.contains("hello"));
            e = gson.fromJson("{\'detailMessage\':\'hello\'}", RuntimeException.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2355,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2354,e.getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testExceptionWithoutCause_literalMutation3465() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testExceptionWithoutCause_literalMutation3465");
            RuntimeException e = new RuntimeException("helålo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2356,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2357,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2353,json.contains("hello"));
            e = gson.fromJson("{\'detailMessage\':\'hello\'}", RuntimeException.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2355,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2354,e.getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testExceptionWithoutCause_literalMutation3466() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testExceptionWithoutCause_literalMutation3466");
            RuntimeException e = new RuntimeException("helo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2356,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2357,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2353,json.contains("hello"));
            e = gson.fromJson("{\'detailMessage\':\'hello\'}", RuntimeException.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2355,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2354,e.getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testExceptionWithoutCause_literalMutation3467() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testExceptionWithoutCause_literalMutation3467");
            RuntimeException e = new RuntimeException("hello");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2356,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2357,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2353,json.contains("hello"));
            e = gson.fromJson("{\'detailMessage\':\'hllo\'}", RuntimeException.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2355,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2354,e.getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testExceptionWithoutCause_literalMutation3468() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testExceptionWithoutCause_literalMutation3468");
            RuntimeException e = new RuntimeException("hello");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2356,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2357,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2353,json.contains("hello"));
            e = gson.fromJson("{\'detailMessage\':\'hello\'}", RuntimeException.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2355,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2354,e.getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testExceptionWithoutCause_literalMutation3469() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testExceptionWithoutCause_literalMutation3469");
            RuntimeException e = new RuntimeException("hello");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2356,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2357,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2353,json.contains("hello"));
            e = gson.fromJson("{\'detailMessage\':\'helo\'}", RuntimeException.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2355,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2354,e.getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testExceptionWithCause() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testExceptionWithCause");
            Exception e = new Exception("top l±vel" , new IOException("io error"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2351,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2352,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2346,json.contains("{\"detailMessage\":\"top level\",\"cause\":{\"detailMessage\":\"io error\""));
            e = gson.fromJson("{\'detailMessage\':\'top level\',\'cause\':{\'detailMessage\':\'io error\'}}", Exception.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2350,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2347,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2348,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2349,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testExceptionWithCause_literalMutation3456() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testExceptionWithCause_literalMutation3456");
            Exception e = new Exception("top levµel" , new IOException("io error"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2351,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2352,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2346,json.contains("{\"detailMessage\":\"top level\",\"cause\":{\"detailMessage\":\"io error\""));
            e = gson.fromJson("{\'detailMessage\':\'top level\',\'cause\':{\'detailMessage\':\'io error\'}}", Exception.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2350,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2347,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2348,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2349,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testExceptionWithCause_literalMutation3457() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testExceptionWithCause_literalMutation3457");
            Exception e = new Exception("toplevel" , new IOException("io error"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2351,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2352,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2346,json.contains("{\"detailMessage\":\"top level\",\"cause\":{\"detailMessage\":\"io error\""));
            e = gson.fromJson("{\'detailMessage\':\'top level\',\'cause\':{\'detailMessage\':\'io error\'}}", Exception.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2350,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2347,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2348,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2349,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testExceptionWithCause_literalMutation3458() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testExceptionWithCause_literalMutation3458");
            Exception e = new Exception("top level" , new IOException("io eror"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2351,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2352,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2346,json.contains("{\"detailMessage\":\"top level\",\"cause\":{\"detailMessage\":\"io error\""));
            e = gson.fromJson("{\'detailMessage\':\'top level\',\'cause\':{\'detailMessage\':\'io error\'}}", Exception.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2350,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2347,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2348,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2349,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testExceptionWithCause_literalMutation3459() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testExceptionWithCause_literalMutation3459");
            Exception e = new Exception("top level" , new IOException("io error"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2351,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2352,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2346,json.contains("{\"detailMessage\":\"top level\",\"cause\":{\"detailMessage\":\"io error\""));
            e = gson.fromJson("{\'detailMessage\':\'top level\',\'cause\':{\'detailMessage\':\'io error\'}}", Exception.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2350,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2347,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2348,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2349,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testExceptionWithCause_literalMutation3460() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testExceptionWithCause_literalMutation3460");
            Exception e = new Exception("top level" , new IOException("io eror"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2351,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2352,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2346,json.contains("{\"detailMessage\":\"top level\",\"cause\":{\"detailMessage\":\"io error\""));
            e = gson.fromJson("{\'detailMessage\':\'top level\',\'cause\':{\'detailMessage\':\'io error\'}}", Exception.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2350,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2347,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2348,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2349,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testExceptionWithCause_literalMutation3461() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testExceptionWithCause_literalMutation3461");
            Exception e = new Exception("top level" , new IOException("io error"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2351,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2352,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2346,json.contains("{\"detailMessage\":\"top level\",\"cause\":{\"detailMessage\":\"io error\""));
            e = gson.fromJson("{\'detailMessage\':\'top level\',\'cause\'/{\'detailMessage\':\'io error\'}}", Exception.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2350,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2347,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2348,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2349,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testExceptionWithCause_literalMutation3462() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testExceptionWithCause_literalMutation3462");
            Exception e = new Exception("top level" , new IOException("io error"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2351,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2352,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2346,json.contains("{\"detailMessage\":\"top level\",\"cause\":{\"detailMessage\":\"io error\""));
            e = gson.fromJson("{\'detailMessage\':\'top level\',\'caus¶e\':{\'detailMessage\':\'io error\'}}", Exception.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2350,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2347,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2348,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2349,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testExceptionWithCause_literalMutation3463() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testExceptionWithCause_literalMutation3463");
            Exception e = new Exception("top level" , new IOException("io error"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2351,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2352,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2346,json.contains("{\"detailMessage\":\"top level\",\"cause\":{\"detailMessage\":\"io error\""));
            e = gson.fromJson("{\'detailMessage\':\'top level\',\'cause\':{detailMessage\':\'io error\'}}", Exception.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2350,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2347,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2348,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2349,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSerializedNameOnExceptionFields() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSerializedNameOnExceptionFields");
            MyException e = new MyException();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2359,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2360,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2358,json.contains("{\"my_custom_name\":\"myCustomMessageValue\""));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testErrorWithoutCause() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testErrorWithoutCause");
            OutOfMemoryError e = new OutOfMemoryError("òello");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2337,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2334,json.contains("hello"));
            e = gson.fromJson("{\'detailMessage\':\'hello\'}", OutOfMemoryError.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2336,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2335,e.getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testErrorWithoutCause_literalMutation3441() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testErrorWithoutCause_literalMutation3441");
            OutOfMemoryError e = new OutOfMemoryError("hÅello");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2337,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2334,json.contains("hello"));
            e = gson.fromJson("{\'detailMessage\':\'hello\'}", OutOfMemoryError.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2336,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2335,e.getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testErrorWithoutCause_literalMutation3442() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testErrorWithoutCause_literalMutation3442");
            OutOfMemoryError e = new OutOfMemoryError("hllo");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2337,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2334,json.contains("hello"));
            e = gson.fromJson("{\'detailMessage\':\'hello\'}", OutOfMemoryError.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2336,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2335,e.getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testErrorWithoutCause_literalMutation3443() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testErrorWithoutCause_literalMutation3443");
            OutOfMemoryError e = new OutOfMemoryError("hello");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2337,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2334,json.contains("hello"));
            e = gson.fromJson("{\'detailMesage\':\'hello\'}", OutOfMemoryError.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2336,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2335,e.getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testErrorWithoutCause_literalMutation3444() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testErrorWithoutCause_literalMutation3444");
            OutOfMemoryError e = new OutOfMemoryError("hello");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2337,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2334,json.contains("hello"));
            e = gson.fromJson("{\'detailMessage\':\'hello\'}", OutOfMemoryError.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2336,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2335,e.getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testErrorWithoutCause_literalMutation3445() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testErrorWithoutCause_literalMutation3445");
            OutOfMemoryError e = new OutOfMemoryError("hello");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2337,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2122,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2334,json.contains("hello"));
            e = gson.fromJson("{\'detalMessage\':\'hello\'}", OutOfMemoryError.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2336,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2335,e.getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testErrornWithCause() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testErrornWithCause");
            Error e = new Error("top }evel" , new IOException("io error"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2344,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2345,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2338,json.contains("top level"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2339,json.contains("io error"));
            e = gson.fromJson("{\'detailMessage\':\'top level\',\'cause\':{\'detailMessage\':\'io error\'}}", Error.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2343,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2340,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2341,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2342,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testErrornWithCause_literalMutation3447() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testErrornWithCause_literalMutation3447");
            Error e = new Error("tÐop level" , new IOException("io error"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2344,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2345,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2338,json.contains("top level"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2339,json.contains("io error"));
            e = gson.fromJson("{\'detailMessage\':\'top level\',\'cause\':{\'detailMessage\':\'io error\'}}", Error.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2343,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2340,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2341,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2342,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testErrornWithCause_literalMutation3448() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testErrornWithCause_literalMutation3448");
            Error e = new Error("toplevel" , new IOException("io error"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2344,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2345,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2338,json.contains("top level"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2339,json.contains("io error"));
            e = gson.fromJson("{\'detailMessage\':\'top level\',\'cause\':{\'detailMessage\':\'io error\'}}", Error.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2343,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2340,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2341,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2342,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testErrornWithCause_literalMutation3449() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testErrornWithCause_literalMutation3449");
            Error e = new Error("top level" , new IOException("iS error"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2344,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2345,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2338,json.contains("top level"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2339,json.contains("io error"));
            e = gson.fromJson("{\'detailMessage\':\'top level\',\'cause\':{\'detailMessage\':\'io error\'}}", Error.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2343,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2340,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2341,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2342,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testErrornWithCause_literalMutation3450() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testErrornWithCause_literalMutation3450");
            Error e = new Error("top level" , new IOException("io erËror"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2344,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2345,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2338,json.contains("top level"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2339,json.contains("io error"));
            e = gson.fromJson("{\'detailMessage\':\'top level\',\'cause\':{\'detailMessage\':\'io error\'}}", Error.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2343,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2340,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2341,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2342,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testErrornWithCause_literalMutation3451() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testErrornWithCause_literalMutation3451");
            Error e = new Error("top level" , new IOException("io eror"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2344,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2345,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2338,json.contains("top level"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2339,json.contains("io error"));
            e = gson.fromJson("{\'detailMessage\':\'top level\',\'cause\':{\'detailMessage\':\'io error\'}}", Error.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2343,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2340,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2341,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2342,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testErrornWithCause_literalMutation3452() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testErrornWithCause_literalMutation3452");
            Error e = new Error("top level" , new IOException("io error"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2344,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2345,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2338,json.contains("top level"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2339,json.contains("io error"));
            e = gson.fromJson("{\'detailMessage\':\'top level\',\'cause\':{\'detailMÇssage\':\'io error\'}}", Error.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2343,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2340,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2341,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2342,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testErrornWithCause_literalMutation3453() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testErrornWithCause_literalMutation3453");
            Error e = new Error("top level" , new IOException("io error"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2344,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2345,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2338,json.contains("top level"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2339,json.contains("io error"));
            e = gson.fromJson("{\'detailMessage\':\'topF level\',\'cause\':{\'detailMessage\':\'io error\'}}", Error.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2343,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2340,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2341,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2342,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testErrornWithCause_literalMutation3454() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testErrornWithCause_literalMutation3454");
            Error e = new Error("top level" , new IOException("io error"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2344,e);
            String json = gson.toJson(e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2345,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2338,json.contains("top level"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2339,json.contains("io error"));
            e = gson.fromJson("{\'detailessage\':\'top level\',\'cause\':{\'detailMessage\':\'io error\'}}", Error.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2343,e);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2340,e.getMessage());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2341,((e.getCause()) instanceof java.lang.Throwable));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2342,e.getCause().getMessage());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    private static final class MyException extends Throwable {
        @SerializedName(value = "my_custom_name")
        String myCustomMessage = "myCustomMessageValue";
    }
}

