package com.google.gson.functional;

import java.util.ArrayList;
import com.google.gson.Gson;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.junit.Test;
import junit.framework.TestCase;
import java.lang.reflect.Type;
import com.google.gson.reflect.TypeToken;

/** 
 * Functional test for Gson serialization and deserialization of
 * classes with type variables.
 * 
 * @author Joel Leitch
 */
public class TypeVariableTest extends TestCase {
    @Test(timeout = 1000)
    public void testAdvancedTypeVariables_add498() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_add498");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAdvancedTypeVariables_add499() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_add499");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAdvancedTypeVariables_add500() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_add500");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAdvancedTypeVariables_add501() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_add501");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAdvancedTypeVariables_add502() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_add502");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("s/meString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3619() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3619");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("so¦meString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3620() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3620");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someStrig" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3621() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3621");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 2 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3622() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3622");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 0 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3623() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3623");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 0 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3626() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3626");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(2);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3627() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3627");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(0);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3628() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3628");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(0);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3630() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3630");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(1);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3631() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3631");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(4);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3632() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3632");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(3);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3634() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3634");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(4);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3635() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3635");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(2);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3636() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3636");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(1);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3637() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3637");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(6);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3639() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3639");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("ey1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3640() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3640");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3641() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3641");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("ky1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3642() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3642");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("kBy2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3643() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3643");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("k\bey2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testAdvancedTypeVariables_literalMutation3644() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_literalMutation3644");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("ke2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAdvancedTypeVariables_remove421() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_remove421");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAdvancedTypeVariables_remove422() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_remove422");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAdvancedTypeVariables_remove423() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_remove423");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key1", arrayList);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAdvancedTypeVariables_remove424() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_remove424");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testAdvancedTypeVariables_remove425() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testAdvancedTypeVariables_remove425");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),966,gson);
            Bar bar1 = new Bar("someString" , 1 , true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2443,bar1);
            ArrayList<java.lang.Integer> arrayList = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2444,arrayList);
            arrayList.add(1);
            arrayList.add(2);
            arrayList.add(3);
            bar1.map.put("key2", new ArrayList<java.lang.Integer>());
            String json = gson.toJson(bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2445,json);
            Bar bar2 = gson.fromJson(json, Bar.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2446,bar2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2441,bar1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2442,bar2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTypeVariablesViaTypeParameter() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypeVariablesViaTypeParameter");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2456,gson);
            Foo<java.lang.String, java.lang.Integer> original = new Foo<java.lang.String, java.lang.Integer>("e" , 5 , false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2457,original);
            original.map.put("f", java.util.Arrays.asList(6, 7));
            original.map.put("f", java.util.Arrays.asList(6, 7));
            Type type = new TypeToken<Foo<java.lang.String, java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2458,type);
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1856,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2453,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2454,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2455,gson.<com.google.gson.functional.TypeVariableTest.Foo<java.lang.String, java.lang.Integer>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTypeVariablesViaTypeParameter_add504() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypeVariablesViaTypeParameter_add504");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2456,gson);
            Foo<java.lang.String, java.lang.Integer> original = new Foo<java.lang.String, java.lang.Integer>("e" , 5 , false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2457,original);
            original.map.put("f", java.util.Arrays.asList(6, 7));
            Type type = new TypeToken<Foo<java.lang.String, java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2458,type);
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1856,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2453,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2454,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2455,gson.<com.google.gson.functional.TypeVariableTest.Foo<java.lang.String, java.lang.Integer>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTypeVariablesViaTypeParameter_remove426() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypeVariablesViaTypeParameter_remove426");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2456,gson);
            Foo<java.lang.String, java.lang.Integer> original = new Foo<java.lang.String, java.lang.Integer>("e" , 5 , false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2457,original);
            Type type = new TypeToken<Foo<java.lang.String, java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2458,type);
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1856,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2453,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2454,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2455,gson.<com.google.gson.functional.TypeVariableTest.Foo<java.lang.String, java.lang.Integer>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTypeVariablesViaTypeParameter_remove427() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypeVariablesViaTypeParameter_remove427");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2456,gson);
            Foo<java.lang.String, java.lang.Integer> original = new Foo<java.lang.String, java.lang.Integer>("e" , 5 , false);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2457,original);
            original.map.put("f", java.util.Arrays.asList(6, 7));
            Type type = new TypeToken<Foo<java.lang.String, java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2458,type);
            String json = gson.toJson(original, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1856,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2453,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2454,original);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2455,gson.<com.google.gson.functional.TypeVariableTest.Foo<java.lang.String, java.lang.Integer>>fromJson(json, type));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testBasicTypeVariables() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testBasicTypeVariables");
            Gson gson = new Gson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2449,gson);
            Blue blue1 = new Blue(true);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2450,blue1);
            String json = gson.toJson(blue1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2451,json);
            Blue blue2 = gson.fromJson(json, Blue.class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2452,blue2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2447,blue1);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2448,blue2);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public static class Blue extends Red<java.lang.Boolean> {
        public Blue() {
            super(false);
        }

        public Blue(boolean value) {
            super(value);
        }

        @Override
        public boolean equals(Object o) {
            if (!(o instanceof Blue)) {
                return false;
            } 
            Blue blue = ((Blue)(o));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2439,blue);
            return redField.equals(blue.redField);
        }
    }

    public static class Red<S> {
        protected S redField;

        public Red() {
        }

        public Red(S redField) {
            this.redField = redField;
        }
    }

    public static class Foo<S, T> extends Red<java.lang.Boolean> {
        private S someSField;

        private T someTField;

        public final Map<S, java.util.List<T>> map = new HashMap<S, java.util.List<T>>();

        public Foo() {
        }

        public Foo(S sValue ,T tValue ,Boolean redField) {
            super(redField);
            this.someSField = sValue;
            this.someTField = tValue;
        }

        @Override
        @SuppressWarnings(value = "unchecked")
        public boolean equals(Object o) {
            if (!(o instanceof Foo<?, ?>)) {
                return false;
            } 
            Foo<S, T> realFoo = ((Foo<S, T>)(o));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),2440,realFoo);
            return (((redField.equals(realFoo.redField)) && (someTField.equals(realFoo.someTField))) && (someSField.equals(realFoo.someSField))) && (map.equals(realFoo.map));
        }
    }

    public static class Bar extends Foo<java.lang.String, java.lang.Integer> {
        public Bar() {
            this("", 0, false);
        }

        public Bar(String s ,Integer i ,boolean b) {
            super(s, i, b);
        }
    }
}

