package com.google.gson.functional;

import java.util.ArrayList;
import java.util.Collection;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.google.gson.JsonParseException;
import org.junit.Test;
import junit.framework.TestCase;
import com.google.gson.common.TestTypes;
import java.lang.reflect.Type;
import com.google.gson.reflect.TypeToken;

/** 
 * Functional tests for Json serialization and deserialization of arrays.
 * 
 * @author Inderjeet Singh
 * @author Joel Leitch
 */
public class ArrayTest extends TestCase {
    private Gson gson;

    @Override
    protected void setUp() throws Exception {
        super.setUp();
        gson = new Gson();
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),36,gson);
    }

    public void testTopLevelArrayOfIntsSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization");
            int[] target = new int[]{ 2 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation257() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation257");
            int[] target = new int[]{ 0 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation258() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation258");
            int[] target = new int[]{ 0 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation260() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation260");
            int[] target = new int[]{ 1 , 1 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation261() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation261");
            int[] target = new int[]{ 1 , 4 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation262() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation262");
            int[] target = new int[]{ 1 , 3 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation264() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation264");
            int[] target = new int[]{ 1 , 2 , 4 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation265() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation265");
            int[] target = new int[]{ 1 , 2 , 2 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation266() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation266");
            int[] target = new int[]{ 1 , 2 , 1 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation267() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation267");
            int[] target = new int[]{ 1 , 2 , 6 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation269() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation269");
            int[] target = new int[]{ 1 , 2 , 3 , 2 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation270() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation270");
            int[] target = new int[]{ 1 , 2 , 3 , 8 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation271() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation271");
            int[] target = new int[]{ 1 , 2 , 3 , 5 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation272() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation272");
            int[] target = new int[]{ 1 , 2 , 3 , 3 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation274() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation274");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 4 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation275() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation275");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 2 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation276() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation276");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 10 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation277() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation277");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 6 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation279() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation279");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 5 , 5 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation280() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation280");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 5 , 3 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation281() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation281");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 5 , 12 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation282() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation282");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 5 , 7 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation284() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation284");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 8 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation285() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation285");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 6 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation286() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation286");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 3 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation287() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation287");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 14 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation289() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation289");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 4 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation290() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation290");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 16 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation291() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation291");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 9 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation292() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation292");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 7 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation294() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation294");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 8 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation295() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation295");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 4 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation296() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation296");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 18 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsSerialization_literalMutation297() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsSerialization_literalMutation297");
            int[] target = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 10 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),140,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),139,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTopLevelArrayOfIntsDeserialization_add11() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_add11");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization");
            int[] expected = new int[]{ 2 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation211() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation211");
            int[] expected = new int[]{ 0 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation212() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation212");
            int[] expected = new int[]{ 0 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation214() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation214");
            int[] expected = new int[]{ 1 , 1 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation215() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation215");
            int[] expected = new int[]{ 1 , 4 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation216() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation216");
            int[] expected = new int[]{ 1 , 3 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation218() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation218");
            int[] expected = new int[]{ 1 , 2 , 4 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation219() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation219");
            int[] expected = new int[]{ 1 , 2 , 2 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation220() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation220");
            int[] expected = new int[]{ 1 , 2 , 1 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation221() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation221");
            int[] expected = new int[]{ 1 , 2 , 6 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation223() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation223");
            int[] expected = new int[]{ 1 , 2 , 3 , 2 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation224() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation224");
            int[] expected = new int[]{ 1 , 2 , 3 , 8 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation225() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation225");
            int[] expected = new int[]{ 1 , 2 , 3 , 5 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation226() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation226");
            int[] expected = new int[]{ 1 , 2 , 3 , 3 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation228() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation228");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 4 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation229() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation229");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 2 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation230() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation230");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 10 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation231() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation231");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 6 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation233() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation233");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 5 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation234() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation234");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 3 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation235() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation235");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 12 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation236() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation236");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 7 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation238() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation238");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 8 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation239() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation239");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 6 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation240() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation240");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 3 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation241() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation241");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 14 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation243() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation243");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 4 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation244() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation244");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 16 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation245() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation245");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 9 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation246() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation246");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 7 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation248() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation248");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 8 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation249() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation249");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 4 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation250() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation250");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 18 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation251() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation251");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 10 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation253() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation253");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,É,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation254() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation254");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,Ø8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTopLevelArrayOfIntsDeserialization_literalMutation255() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_literalMutation255");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
            com.google.gson.common.MoreAsserts.assertEquals(expected, actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTopLevelArrayOfIntsDeserialization_remove10() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTopLevelArrayOfIntsDeserialization_remove10");
            int[] expected = new int[]{ 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),137,expected);
            int[] actual = gson.fromJson("[1,2,3,4,5,6,7,8,9]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),138,actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testInvalidArrayDeserialization_add10() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testInvalidArrayDeserialization_add10");
            String json = "[1, 2 3, 4, 5]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),85,json);
            try {
                gson.fromJson(json, int[].class);
                gson.fromJson(json, int[].class);
            } catch (JsonParseException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testInvalidArrayDeserialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testInvalidArrayDeserialization");
            String json = "1, 2 3, 4, 5]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),85,json);
            try {
                gson.fromJson(json, int[].class);
            } catch (JsonParseException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testInvalidArrayDeserialization_literalMutation87() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testInvalidArrayDeserialization_literalMutation87");
            String json = "[1, 2 3, 4, 5]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),85,json);
            try {
                gson.fromJson(json, int[].class);
            } catch (JsonParseException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testInvalidArrayDeserialization_literalMutation88() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testInvalidArrayDeserialization_literalMutation88");
            String json = "[1, 2 3, , 5]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),85,json);
            try {
                gson.fromJson(json, int[].class);
            } catch (JsonParseException expected) {
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testEmptyArraySerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEmptyArraySerialization");
            int[] target = new int[]{  };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),84,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),83,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testEmptyArrayDeserialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testEmptyArrayDeserialization");
            int[] actualObject = gson.fromJson("[]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),81,actualObject);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),77,((actualObject.length) == 0));
            Integer[] actualObject2 = gson.fromJson("[]", Integer[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),82,actualObject2);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),78,((actualObject2.length) == 0));
            actualObject = gson.fromJson("[ ]", int[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),80,actualObject);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),79,((actualObject.length) == 0));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArraySerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArraySerialization");
            String[] array = new String[]{ "Noo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),105,array);
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),106,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),107,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),103,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),104,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArraySerialization_literalMutation173() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArraySerialization_literalMutation173");
            String[] array = new String[]{ "fúoo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),105,array);
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),106,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),107,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),103,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),104,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArraySerialization_literalMutation174() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArraySerialization_literalMutation174");
            String[] array = new String[]{ "fo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),105,array);
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),106,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),107,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),103,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),104,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArraySerialization_literalMutation176() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArraySerialization_literalMutation176");
            String[] array = new String[]{ "foo" , null , "Rar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),105,array);
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),106,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),107,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),103,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),104,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArraySerialization_literalMutation177() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArraySerialization_literalMutation177");
            String[] array = new String[]{ "foo" , null , "bear" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),105,array);
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),106,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),107,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),103,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),104,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArraySerialization_literalMutation178() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArraySerialization_literalMutation178");
            String[] array = new String[]{ "foo" , null , "br" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),105,array);
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),106,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),107,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),103,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),104,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArraySerialization_literalMutation179() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArraySerialization_literalMutation179");
            String[] array = new String[]{ "foo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),105,array);
            String expected = "[\"foo\",nu:l,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),106,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),107,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),103,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),104,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArraySerialization_literalMutation180() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArraySerialization_literalMutation180");
            String[] array = new String[]{ "foo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),105,array);
            String expected = "[\"foo\",null,\"baWr\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),106,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),107,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),103,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),104,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArraySerialization_literalMutation181() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArraySerialization_literalMutation181");
            String[] array = new String[]{ "foo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),105,array);
            String expected = "[\"foo\",ull,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),106,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),107,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),103,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),104,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayDeserialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayDeserialization");
            String json = "[\"foo\",null,\"bår\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),100,json);
            String[] expected = new String[]{ "foo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),101,expected);
            String[] target = gson.fromJson(json, expected.getClass());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),102,target);
            for (int i = 0 ; i < (expected.length) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),98,expected[i]);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),99,target[i]);
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayDeserialization_literalMutation159() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayDeserialization_literalMutation159");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),100,json);
            String[] expected = new String[]{ "foo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),101,expected);
            String[] target = gson.fromJson(json, expected.getClass());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),102,target);
            for (int i = 0 ; i < (expected.length) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),98,expected[i]);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),99,target[i]);
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayDeserialization_literalMutation160() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayDeserialization_literalMutation160");
            String json = "[\"foo\",nul,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),100,json);
            String[] expected = new String[]{ "foo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),101,expected);
            String[] target = gson.fromJson(json, expected.getClass());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),102,target);
            for (int i = 0 ; i < (expected.length) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),98,expected[i]);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),99,target[i]);
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayDeserialization_literalMutation161() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayDeserialization_literalMutation161");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),100,json);
            String[] expected = new String[]{ "6oo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),101,expected);
            String[] target = gson.fromJson(json, expected.getClass());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),102,target);
            for (int i = 0 ; i < (expected.length) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),98,expected[i]);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),99,target[i]);
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayDeserialization_literalMutation162() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayDeserialization_literalMutation162");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),100,json);
            String[] expected = new String[]{ "f×oo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),101,expected);
            String[] target = gson.fromJson(json, expected.getClass());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),102,target);
            for (int i = 0 ; i < (expected.length) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),98,expected[i]);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),99,target[i]);
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayDeserialization_literalMutation163() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayDeserialization_literalMutation163");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),100,json);
            String[] expected = new String[]{ "fo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),101,expected);
            String[] target = gson.fromJson(json, expected.getClass());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),102,target);
            for (int i = 0 ; i < (expected.length) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),98,expected[i]);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),99,target[i]);
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayDeserialization_literalMutation165() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayDeserialization_literalMutation165");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),100,json);
            String[] expected = new String[]{ "foo" , null , "÷ar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),101,expected);
            String[] target = gson.fromJson(json, expected.getClass());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),102,target);
            for (int i = 0 ; i < (expected.length) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),98,expected[i]);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),99,target[i]);
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayDeserialization_literalMutation166() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayDeserialization_literalMutation166");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),100,json);
            String[] expected = new String[]{ "foo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),101,expected);
            String[] target = gson.fromJson(json, expected.getClass());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),102,target);
            for (int i = 0 ; i < (expected.length) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),98,expected[i]);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),99,target[i]);
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayDeserialization_literalMutation167() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayDeserialization_literalMutation167");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),100,json);
            String[] expected = new String[]{ "foo" , null , "br" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),101,expected);
            String[] target = gson.fromJson(json, expected.getClass());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),102,target);
            for (int i = 0 ; i < (expected.length) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),98,expected[i]);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),99,target[i]);
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayDeserialization_literalMutation168() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayDeserialization_literalMutation168");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),100,json);
            String[] expected = new String[]{ "foo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),101,expected);
            String[] target = gson.fromJson(json, expected.getClass());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),102,target);
            for (int i = 1 ; i < (expected.length) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),98,expected[i]);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),99,target[i]);
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayDeserialization_literalMutation169() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayDeserialization_literalMutation169");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),100,json);
            String[] expected = new String[]{ "foo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),101,expected);
            String[] target = gson.fromJson(json, expected.getClass());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),102,target);
            for (int i = -1 ; i < (expected.length) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),98,expected[i]);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),99,target[i]);
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayDeserialization_literalMutation170() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayDeserialization_literalMutation170");
            String json = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),100,json);
            String[] expected = new String[]{ "foo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),101,expected);
            String[] target = gson.fromJson(json, expected.getClass());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),102,target);
            for (int i = 0 ; i < (expected.length) ; ++i) {
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),98,expected[i]);
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),99,target[i]);
            }
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSingleNullInArraySerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSingleNullInArraySerialization");
            TestTypes.BagOfPrimitives[] array = new TestTypes.BagOfPrimitives[2];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),126,array);
            array[0] = null;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),125,array[0]);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),127,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),124,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSingleNullInArraySerialization_literalMutation196() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSingleNullInArraySerialization_literalMutation196");
            TestTypes.BagOfPrimitives[] array = new TestTypes.BagOfPrimitives[0];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),126,array);
            array[0] = null;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),125,array[0]);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),127,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),124,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSingleNullInArraySerialization_literalMutation197() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSingleNullInArraySerialization_literalMutation197");
            TestTypes.BagOfPrimitives[] array = new TestTypes.BagOfPrimitives[0];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),126,array);
            array[0] = null;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),125,array[0]);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),127,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),124,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSingleNullInArraySerialization_literalMutation199() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSingleNullInArraySerialization_literalMutation199");
            TestTypes.BagOfPrimitives[] array = new TestTypes.BagOfPrimitives[1];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),126,array);
            array[1] = null;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),128,array[1]);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),127,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),124,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSingleNullInArraySerialization_literalMutation200() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSingleNullInArraySerialization_literalMutation200");
            TestTypes.BagOfPrimitives[] array = new TestTypes.BagOfPrimitives[1];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),126,array);
            array[-1] = null;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),129,array[-1]);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),127,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),124,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSingleNullInArraySerialization_literalMutation201() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSingleNullInArraySerialization_literalMutation201");
            TestTypes.BagOfPrimitives[] array = new TestTypes.BagOfPrimitives[1];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),126,array);
            array[0] = null;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),125,array[0]);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),127,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),124,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSingleNullInArrayDeserialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSingleNullInArrayDeserialization");
            TestTypes.BagOfPrimitives[] array = gson.fromJson("[nuÌl]", TestTypes.BagOfPrimitives[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),123,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),122,array[0]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSingleNullInArrayDeserialization_literalMutation193() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSingleNullInArrayDeserialization_literalMutation193");
            TestTypes.BagOfPrimitives[] array = gson.fromJson("[n°ull]", TestTypes.BagOfPrimitives[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),123,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),122,array[0]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSingleNullInArrayDeserialization_literalMutation194() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSingleNullInArrayDeserialization_literalMutation194");
            TestTypes.BagOfPrimitives[] array = gson.fromJson("[nul]", TestTypes.BagOfPrimitives[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),123,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),122,array[0]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayWithSerializeNullPropertySetSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayWithSerializeNullPropertySetSerialization");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),110,gson);
            String[] array = new String[]{ "¶oo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),111,array);
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),112,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),113,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),108,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),109,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayWithSerializeNullPropertySetSerialization_literalMutation183() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayWithSerializeNullPropertySetSerialization_literalMutation183");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),110,gson);
            String[] array = new String[]{ "f¨oo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),111,array);
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),112,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),113,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),108,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),109,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayWithSerializeNullPropertySetSerialization_literalMutation184() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayWithSerializeNullPropertySetSerialization_literalMutation184");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),110,gson);
            String[] array = new String[]{ "fo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),111,array);
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),112,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),113,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),108,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),109,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayWithSerializeNullPropertySetSerialization_literalMutation186() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayWithSerializeNullPropertySetSerialization_literalMutation186");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),110,gson);
            String[] array = new String[]{ "foo" , null , "Gar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),111,array);
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),112,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),113,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),108,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),109,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayWithSerializeNullPropertySetSerialization_literalMutation187() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayWithSerializeNullPropertySetSerialization_literalMutation187");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),110,gson);
            String[] array = new String[]{ "foo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),111,array);
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),112,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),113,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),108,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),109,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayWithSerializeNullPropertySetSerialization_literalMutation188() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayWithSerializeNullPropertySetSerialization_literalMutation188");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),110,gson);
            String[] array = new String[]{ "foo" , null , "br" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),111,array);
            String expected = "[\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),112,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),113,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),108,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),109,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayWithSerializeNullPropertySetSerialization_literalMutation189() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayWithSerializeNullPropertySetSerialization_literalMutation189");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),110,gson);
            String[] array = new String[]{ "foo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),111,array);
            String expected = "[\"foo\",nullV\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),112,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),113,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),108,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),109,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayWithSerializeNullPropertySetSerialization_literalMutation190() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayWithSerializeNullPropertySetSerialization_literalMutation190");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),110,gson);
            String[] array = new String[]{ "foo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),111,array);
            String expected = "[È\"foo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),112,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),113,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),108,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),109,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testNullsInArrayWithSerializeNullPropertySetSerialization_literalMutation191() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testNullsInArrayWithSerializeNullPropertySetSerialization_literalMutation191");
            gson = new GsonBuilder().serializeNulls().create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),110,gson);
            String[] array = new String[]{ "foo" , null , "bar" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),111,array);
            String expected = "[\"fo\",null,\"bar\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),112,expected);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),113,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),108,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),109,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfStringsSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfStringsSerialization");
            String[] target = new String[]{ "He~lo" , "World" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),76,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),75,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfStringsSerialization_literalMutation81() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfStringsSerialization_literalMutation81");
            String[] target = new String[]{ "Hmello" , "World" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),76,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),75,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfStringsSerialization_literalMutation82() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfStringsSerialization_literalMutation82");
            String[] target = new String[]{ "Hllo" , "World" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),76,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),75,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfStringsSerialization_literalMutation83() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfStringsSerialization_literalMutation83");
            String[] target = new String[]{ "Hello" , "Wo4ld" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),76,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),75,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfStringsSerialization_literalMutation84() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfStringsSerialization_literalMutation84");
            String[] target = new String[]{ "Hello" , "WÍorld" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),76,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),75,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfStringsSerialization_literalMutation85() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfStringsSerialization_literalMutation85");
            String[] target = new String[]{ "Hello" , "Wrld" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),76,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),75,gson.toJson(target));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfStringsDeserialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfStringsDeserialization");
            String json = "[\"Hell\",\"World\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),73,json);
            String[] target = gson.fromJson(json, String[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),74,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),71,target[0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),72,target[1]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfStringsDeserialization_literalMutation78() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfStringsDeserialization_literalMutation78");
            String json = "[\"Hello\",\"Worldj\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),73,json);
            String[] target = gson.fromJson(json, String[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),74,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),71,target[0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),72,target[1]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfStringsDeserialization_literalMutation79() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfStringsDeserialization_literalMutation79");
            String json = "[\"Hello\",\"Wrld\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),73,json);
            String[] target = gson.fromJson(json, String[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),74,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),71,target[0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),72,target[1]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSingleStringArraySerialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSingleStringArraySerialization");
            String[] s = new String[]{ "heïlo" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),135,s);
            String output = gson.toJson(s);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),136,output);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),134,output);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSingleStringArraySerialization_literalMutation208() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSingleStringArraySerialization_literalMutation208");
            String[] s = new String[]{ "helâlo" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),135,s);
            String output = gson.toJson(s);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),136,output);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),134,output);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSingleStringArraySerialization_literalMutation209() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSingleStringArraySerialization_literalMutation209");
            String[] s = new String[]{ "helo" };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),135,s);
            String output = gson.toJson(s);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),136,output);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),134,output);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSingleStringArrayDeserialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSingleStringArrayDeserialization");
            String json = "[\"h8llo\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),132,json);
            String[] arrayType = gson.fromJson(json, String[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),133,arrayType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),130,arrayType.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),131,arrayType[0]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSingleStringArrayDeserialization_literalMutation205() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSingleStringArrayDeserialization_literalMutation205");
            String json = "[\"hellpo\"]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),132,json);
            String[] arrayType = gson.fromJson(json, String[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),133,arrayType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),130,arrayType.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),131,arrayType[0]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testSingleStringArrayDeserialization_literalMutation206() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testSingleStringArrayDeserialization_literalMutation206");
            String json = "[\"hello]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),132,json);
            String[] arrayType = gson.fromJson(json, String[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),133,arrayType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),130,arrayType.length);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),131,arrayType[0]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testArrayOfCollectionSerialization_add4() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionSerialization_add4");
            StringBuilder sb = new StringBuilder("[");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),46,sb);
            int arraySize = 3;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),47,arraySize);
            Type typeToSerialize = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),48,typeToSerialize);
            Collection<java.lang.Integer>[] arrayOfCollection = new ArrayList[arraySize];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),49,arrayOfCollection);
            for (int i = 0 ; i < arraySize ; ++i) {
                int startValue = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),50,startValue);
                sb.append('[').append(startValue).append(',').append((startValue + 1)).append(']');
                ArrayList<java.lang.Integer> tmpList = new ArrayList<java.lang.Integer>();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),51,tmpList);
                tmpList.add(startValue);
                tmpList.add((startValue + 1));
                arrayOfCollection[i] = tmpList;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),45,arrayOfCollection[i]);
                if (i < (arraySize - 1)) {
                    sb.append(',');
                } 
            }
            sb.append(']');
            String json = gson.toJson(arrayOfCollection, typeToSerialize);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),52,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),43,sb.toString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),44,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testArrayOfCollectionSerialization_add5() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionSerialization_add5");
            StringBuilder sb = new StringBuilder("[");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),46,sb);
            int arraySize = 3;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),47,arraySize);
            Type typeToSerialize = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),48,typeToSerialize);
            Collection<java.lang.Integer>[] arrayOfCollection = new ArrayList[arraySize];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),49,arrayOfCollection);
            for (int i = 0 ; i < arraySize ; ++i) {
                int startValue = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),50,startValue);
                sb.append('[').append(startValue).append(',').append((startValue + 1)).append(']');
                sb.append('[').append(startValue).append(',').append((startValue + 1)).append(']');
                ArrayList<java.lang.Integer> tmpList = new ArrayList<java.lang.Integer>();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),51,tmpList);
                tmpList.add(startValue);
                tmpList.add((startValue + 1));
                arrayOfCollection[i] = tmpList;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),45,arrayOfCollection[i]);
                if (i < (arraySize - 1)) {
                    sb.append(',');
                } 
            }
            sb.append(']');
            String json = gson.toJson(arrayOfCollection, typeToSerialize);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),52,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),43,sb.toString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),44,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testArrayOfCollectionSerialization_add6() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionSerialization_add6");
            StringBuilder sb = new StringBuilder("[");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),46,sb);
            int arraySize = 3;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),47,arraySize);
            Type typeToSerialize = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),48,typeToSerialize);
            Collection<java.lang.Integer>[] arrayOfCollection = new ArrayList[arraySize];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),49,arrayOfCollection);
            for (int i = 0 ; i < arraySize ; ++i) {
                int startValue = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),50,startValue);
                sb.append('[').append(startValue).append(',').append((startValue + 1)).append(']');
                ArrayList<java.lang.Integer> tmpList = new ArrayList<java.lang.Integer>();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),51,tmpList);
                tmpList.add(startValue);
                tmpList.add(startValue);
                tmpList.add((startValue + 1));
                arrayOfCollection[i] = tmpList;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),45,arrayOfCollection[i]);
                if (i < (arraySize - 1)) {
                    sb.append(',');
                } 
            }
            sb.append(']');
            String json = gson.toJson(arrayOfCollection, typeToSerialize);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),52,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),43,sb.toString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),44,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testArrayOfCollectionSerialization_add7() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionSerialization_add7");
            StringBuilder sb = new StringBuilder("[");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),46,sb);
            int arraySize = 3;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),47,arraySize);
            Type typeToSerialize = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),48,typeToSerialize);
            Collection<java.lang.Integer>[] arrayOfCollection = new ArrayList[arraySize];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),49,arrayOfCollection);
            for (int i = 0 ; i < arraySize ; ++i) {
                int startValue = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),50,startValue);
                sb.append('[').append(startValue).append(',').append((startValue + 1)).append(']');
                ArrayList<java.lang.Integer> tmpList = new ArrayList<java.lang.Integer>();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),51,tmpList);
                tmpList.add(startValue);
                tmpList.add((startValue + 1));
                tmpList.add((startValue + 1));
                arrayOfCollection[i] = tmpList;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),45,arrayOfCollection[i]);
                if (i < (arraySize - 1)) {
                    sb.append(',');
                } 
            }
            sb.append(']');
            String json = gson.toJson(arrayOfCollection, typeToSerialize);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),52,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),43,sb.toString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),44,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testArrayOfCollectionSerialization_add8() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionSerialization_add8");
            StringBuilder sb = new StringBuilder("[");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),46,sb);
            int arraySize = 3;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),47,arraySize);
            Type typeToSerialize = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),48,typeToSerialize);
            Collection<java.lang.Integer>[] arrayOfCollection = new ArrayList[arraySize];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),49,arrayOfCollection);
            for (int i = 0 ; i < arraySize ; ++i) {
                int startValue = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),50,startValue);
                sb.append('[').append(startValue).append(',').append((startValue + 1)).append(']');
                ArrayList<java.lang.Integer> tmpList = new ArrayList<java.lang.Integer>();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),51,tmpList);
                tmpList.add(startValue);
                tmpList.add((startValue + 1));
                arrayOfCollection[i] = tmpList;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),45,arrayOfCollection[i]);
                if (i < (arraySize - 1)) {
                    sb.append(',');
                    sb.append(',');
                } 
            }
            sb.append(']');
            String json = gson.toJson(arrayOfCollection, typeToSerialize);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),52,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),43,sb.toString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),44,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testArrayOfCollectionSerialization_add9() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionSerialization_add9");
            StringBuilder sb = new StringBuilder("[");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),46,sb);
            int arraySize = 3;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),47,arraySize);
            Type typeToSerialize = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),48,typeToSerialize);
            Collection<java.lang.Integer>[] arrayOfCollection = new ArrayList[arraySize];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),49,arrayOfCollection);
            for (int i = 0 ; i < arraySize ; ++i) {
                int startValue = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),50,startValue);
                sb.append('[').append(startValue).append(',').append((startValue + 1)).append(']');
                ArrayList<java.lang.Integer> tmpList = new ArrayList<java.lang.Integer>();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),51,tmpList);
                tmpList.add(startValue);
                tmpList.add((startValue + 1));
                arrayOfCollection[i] = tmpList;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),45,arrayOfCollection[i]);
                if (i < (arraySize - 1)) {
                    sb.append(',');
                } 
            }
            sb.append(']');
            sb.append(']');
            String json = gson.toJson(arrayOfCollection, typeToSerialize);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),52,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),43,sb.toString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),44,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "Inchecked")
    public void testArrayOfCollectionSerialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionSerialization");
            StringBuilder sb = new StringBuilder("[");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),46,sb);
            int arraySize = 3;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),47,arraySize);
            Type typeToSerialize = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),48,typeToSerialize);
            Collection<java.lang.Integer>[] arrayOfCollection = new ArrayList[arraySize];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),49,arrayOfCollection);
            for (int i = 0 ; i < arraySize ; ++i) {
                int startValue = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),50,startValue);
                sb.append('[').append(startValue).append(',').append((startValue + 1)).append(']');
                ArrayList<java.lang.Integer> tmpList = new ArrayList<java.lang.Integer>();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),51,tmpList);
                tmpList.add(startValue);
                tmpList.add((startValue + 1));
                arrayOfCollection[i] = tmpList;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),45,arrayOfCollection[i]);
                if (i < (arraySize - 1)) {
                    sb.append(',');
                } 
            }
            sb.append(']');
            String json = gson.toJson(arrayOfCollection, typeToSerialize);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),52,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),43,sb.toString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),44,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unche[cked")
    public void testArrayOfCollectionSerialization_literalMutation51() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionSerialization_literalMutation51");
            StringBuilder sb = new StringBuilder("[");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),46,sb);
            int arraySize = 3;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),47,arraySize);
            Type typeToSerialize = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),48,typeToSerialize);
            Collection<java.lang.Integer>[] arrayOfCollection = new ArrayList[arraySize];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),49,arrayOfCollection);
            for (int i = 0 ; i < arraySize ; ++i) {
                int startValue = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),50,startValue);
                sb.append('[').append(startValue).append(',').append((startValue + 1)).append(']');
                ArrayList<java.lang.Integer> tmpList = new ArrayList<java.lang.Integer>();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),51,tmpList);
                tmpList.add(startValue);
                tmpList.add((startValue + 1));
                arrayOfCollection[i] = tmpList;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),45,arrayOfCollection[i]);
                if (i < (arraySize - 1)) {
                    sb.append(',');
                } 
            }
            sb.append(']');
            String json = gson.toJson(arrayOfCollection, typeToSerialize);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),52,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),43,sb.toString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),44,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchcked")
    public void testArrayOfCollectionSerialization_literalMutation52() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionSerialization_literalMutation52");
            StringBuilder sb = new StringBuilder("[");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),46,sb);
            int arraySize = 3;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),47,arraySize);
            Type typeToSerialize = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),48,typeToSerialize);
            Collection<java.lang.Integer>[] arrayOfCollection = new ArrayList[arraySize];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),49,arrayOfCollection);
            for (int i = 0 ; i < arraySize ; ++i) {
                int startValue = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),50,startValue);
                sb.append('[').append(startValue).append(',').append((startValue + 1)).append(']');
                ArrayList<java.lang.Integer> tmpList = new ArrayList<java.lang.Integer>();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),51,tmpList);
                tmpList.add(startValue);
                tmpList.add((startValue + 1));
                arrayOfCollection[i] = tmpList;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),45,arrayOfCollection[i]);
                if (i < (arraySize - 1)) {
                    sb.append(',');
                } 
            }
            sb.append(']');
            String json = gson.toJson(arrayOfCollection, typeToSerialize);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),52,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),43,sb.toString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),44,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testArrayOfCollectionSerialization_remove4() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionSerialization_remove4");
            StringBuilder sb = new StringBuilder("[");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),46,sb);
            int arraySize = 3;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),47,arraySize);
            Type typeToSerialize = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),48,typeToSerialize);
            Collection<java.lang.Integer>[] arrayOfCollection = new ArrayList[arraySize];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),49,arrayOfCollection);
            for (int i = 0 ; i < arraySize ; ++i) {
                int startValue = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),50,startValue);
                sb.append('[').append(startValue).append(',').append((startValue + 1)).append(']');
                ArrayList<java.lang.Integer> tmpList = new ArrayList<java.lang.Integer>();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),51,tmpList);
                tmpList.add(startValue);
                tmpList.add((startValue + 1));
                arrayOfCollection[i] = tmpList;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),45,arrayOfCollection[i]);
                if (i < (arraySize - 1)) {
                    sb.append(',');
                } 
            }
            sb.append(']');
            String json = gson.toJson(arrayOfCollection, typeToSerialize);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),52,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),43,sb.toString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),44,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testArrayOfCollectionSerialization_remove5() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionSerialization_remove5");
            StringBuilder sb = new StringBuilder("[");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),46,sb);
            int arraySize = 3;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),47,arraySize);
            Type typeToSerialize = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),48,typeToSerialize);
            Collection<java.lang.Integer>[] arrayOfCollection = new ArrayList[arraySize];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),49,arrayOfCollection);
            for (int i = 0 ; i < arraySize ; ++i) {
                int startValue = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),50,startValue);
                ArrayList<java.lang.Integer> tmpList = new ArrayList<java.lang.Integer>();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),51,tmpList);
                tmpList.add(startValue);
                tmpList.add((startValue + 1));
                arrayOfCollection[i] = tmpList;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),45,arrayOfCollection[i]);
                if (i < (arraySize - 1)) {
                    sb.append(',');
                } 
            }
            sb.append(']');
            String json = gson.toJson(arrayOfCollection, typeToSerialize);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),52,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),43,sb.toString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),44,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testArrayOfCollectionSerialization_remove6() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionSerialization_remove6");
            StringBuilder sb = new StringBuilder("[");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),46,sb);
            int arraySize = 3;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),47,arraySize);
            Type typeToSerialize = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),48,typeToSerialize);
            Collection<java.lang.Integer>[] arrayOfCollection = new ArrayList[arraySize];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),49,arrayOfCollection);
            for (int i = 0 ; i < arraySize ; ++i) {
                int startValue = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),50,startValue);
                sb.append('[').append(startValue).append(',').append((startValue + 1)).append(']');
                ArrayList<java.lang.Integer> tmpList = new ArrayList<java.lang.Integer>();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),51,tmpList);
                tmpList.add((startValue + 1));
                arrayOfCollection[i] = tmpList;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),45,arrayOfCollection[i]);
                if (i < (arraySize - 1)) {
                    sb.append(',');
                } 
            }
            sb.append(']');
            String json = gson.toJson(arrayOfCollection, typeToSerialize);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),52,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),43,sb.toString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),44,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testArrayOfCollectionSerialization_remove7() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionSerialization_remove7");
            StringBuilder sb = new StringBuilder("[");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),46,sb);
            int arraySize = 3;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),47,arraySize);
            Type typeToSerialize = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),48,typeToSerialize);
            Collection<java.lang.Integer>[] arrayOfCollection = new ArrayList[arraySize];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),49,arrayOfCollection);
            for (int i = 0 ; i < arraySize ; ++i) {
                int startValue = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),50,startValue);
                sb.append('[').append(startValue).append(',').append((startValue + 1)).append(']');
                ArrayList<java.lang.Integer> tmpList = new ArrayList<java.lang.Integer>();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),51,tmpList);
                tmpList.add((startValue + 1));
                arrayOfCollection[i] = tmpList;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),45,arrayOfCollection[i]);
                if (i < (arraySize - 1)) {
                    sb.append(',');
                } 
            }
            sb.append(']');
            String json = gson.toJson(arrayOfCollection, typeToSerialize);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),52,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),43,sb.toString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),44,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testArrayOfCollectionSerialization_remove8() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionSerialization_remove8");
            StringBuilder sb = new StringBuilder("[");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),46,sb);
            int arraySize = 3;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),47,arraySize);
            Type typeToSerialize = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),48,typeToSerialize);
            Collection<java.lang.Integer>[] arrayOfCollection = new ArrayList[arraySize];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),49,arrayOfCollection);
            for (int i = 0 ; i < arraySize ; ++i) {
                int startValue = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),50,startValue);
                sb.append('[').append(startValue).append(',').append((startValue + 1)).append(']');
                ArrayList<java.lang.Integer> tmpList = new ArrayList<java.lang.Integer>();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),51,tmpList);
                tmpList.add(startValue);
                tmpList.add((startValue + 1));
                arrayOfCollection[i] = tmpList;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),45,arrayOfCollection[i]);
                if (i < (arraySize - 1)) {
                } 
            }
            sb.append(']');
            String json = gson.toJson(arrayOfCollection, typeToSerialize);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),52,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),43,sb.toString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),44,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testArrayOfCollectionSerialization_remove9() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionSerialization_remove9");
            StringBuilder sb = new StringBuilder("[");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),46,sb);
            int arraySize = 3;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),47,arraySize);
            Type typeToSerialize = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),48,typeToSerialize);
            Collection<java.lang.Integer>[] arrayOfCollection = new ArrayList[arraySize];
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),49,arrayOfCollection);
            for (int i = 0 ; i < arraySize ; ++i) {
                int startValue = (3 * i) + 1;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),50,startValue);
                sb.append('[').append(startValue).append(',').append((startValue + 1)).append(']');
                ArrayList<java.lang.Integer> tmpList = new ArrayList<java.lang.Integer>();
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),51,tmpList);
                tmpList.add(startValue);
                tmpList.add((startValue + 1));
                arrayOfCollection[i] = tmpList;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),45,arrayOfCollection[i]);
                if (i < (arraySize - 1)) {
                    sb.append(',');
                } 
            }
            String json = gson.toJson(arrayOfCollection, typeToSerialize);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),52,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),43,sb.toString());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),44,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testArrayOfCollectionDeserialization_add1() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_add1");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testArrayOfCollectionDeserialization_add2() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_add2");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testArrayOfCollectionDeserialization_add3() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_add3");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization");
            String json = "[[1º2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation14() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation14");
            String json = "[[1,2]t,[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation15() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation15");
            String json = "[[1,2],[3,4]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation16() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation16");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 2 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation17() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation17");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 0 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation18() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation18");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 0 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation20() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation20");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 1 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation21() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation21");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 4 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation22() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation22");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 3 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation24() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation24");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[1].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation25() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation25");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[-1].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation26() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation26");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation28() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation28");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[1]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation29() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation29");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[-1]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation30() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation30");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation32() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation32");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 4 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation33() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation33");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 2 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation34() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation34");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation35() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation35");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 6 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation37() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation37");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 2 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation38() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation38");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 8 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation39() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation39");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 5 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation40() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation40");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 3 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation42() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation42");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[2].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation43() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation43");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[0].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation44() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation44");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[0].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation46() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation46");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[1]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation47() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation47");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[-1]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfCollectionDeserialization_literalMutation48() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_literalMutation48");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testArrayOfCollectionDeserialization_remove1() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_remove1");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 1 , 2 }, target[0].toArray(new Integer[0]));
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testArrayOfCollectionDeserialization_remove2() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_remove2");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testArrayOfCollectionDeserialization_remove3() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfCollectionDeserialization_remove3");
            String json = "[[1,2],[3,4]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),40,json);
            Type type = new TypeToken<java.util.Collection<java.lang.Integer>[]>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),41,type);
            Collection<java.lang.Integer>[] target = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),42,target);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),39,target.length);
            com.google.gson.common.MoreAsserts.assertEquals(new Integer[]{ 3 , 4 }, target[1].toArray(new Integer[0]));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfPrimitivesAsObjectsSerialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfPrimitivesAsObjectsSerialization");
            Object[] objs = new Object[]{ 2 , "abc" , 0.3F , 5L };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),69,objs);
            String json = gson.toJson(objs);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),70,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),66,json.contains("abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),67,json.contains("0.3"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),68,json.contains("5"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfPrimitivesAsObjectsSerialization_literalMutation61() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfPrimitivesAsObjectsSerialization_literalMutation61");
            Object[] objs = new Object[]{ 0 , "abc" , 0.3F , 5L };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),69,objs);
            String json = gson.toJson(objs);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),70,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),66,json.contains("abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),67,json.contains("0.3"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),68,json.contains("5"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfPrimitivesAsObjectsSerialization_literalMutation62() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfPrimitivesAsObjectsSerialization_literalMutation62");
            Object[] objs = new Object[]{ 0 , "abc" , 0.3F , 5L };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),69,objs);
            String json = gson.toJson(objs);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),70,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),66,json.contains("abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),67,json.contains("0.3"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),68,json.contains("5"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfPrimitivesAsObjectsSerialization_literalMutation64() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfPrimitivesAsObjectsSerialization_literalMutation64");
            Object[] objs = new Object[]{ 1 , "bc" , 0.3F , 5L };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),69,objs);
            String json = gson.toJson(objs);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),70,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),66,json.contains("abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),67,json.contains("0.3"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),68,json.contains("5"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfPrimitivesAsObjectsSerialization_literalMutation65() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfPrimitivesAsObjectsSerialization_literalMutation65");
            Object[] objs = new Object[]{ 1 , "aÍbc" , 0.3F , 5L };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),69,objs);
            String json = gson.toJson(objs);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),70,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),66,json.contains("abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),67,json.contains("0.3"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),68,json.contains("5"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfPrimitivesAsObjectsSerialization_literalMutation66() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfPrimitivesAsObjectsSerialization_literalMutation66");
            Object[] objs = new Object[]{ 1 , "ac" , 0.3F , 5L };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),69,objs);
            String json = gson.toJson(objs);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),70,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),66,json.contains("abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),67,json.contains("0.3"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),68,json.contains("5"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfPrimitivesAsObjectsSerialization_literalMutation67() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfPrimitivesAsObjectsSerialization_literalMutation67");
            Object[] objs = new Object[]{ 1 , "abc" , -0.7F , 5L };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),69,objs);
            String json = gson.toJson(objs);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),70,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),66,json.contains("abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),67,json.contains("0.3"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),68,json.contains("5"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfPrimitivesAsObjectsSerialization_literalMutation68() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfPrimitivesAsObjectsSerialization_literalMutation68");
            Object[] objs = new Object[]{ 1 , "abc" , 0.15F , 5L };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),69,objs);
            String json = gson.toJson(objs);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),70,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),66,json.contains("abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),67,json.contains("0.3"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),68,json.contains("5"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfPrimitivesAsObjectsSerialization_literalMutation69() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfPrimitivesAsObjectsSerialization_literalMutation69");
            Object[] objs = new Object[]{ 1 , "abc" , 0.6F , 5L };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),69,objs);
            String json = gson.toJson(objs);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),70,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),66,json.contains("abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),67,json.contains("0.3"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),68,json.contains("5"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfPrimitivesAsObjectsSerialization_literalMutation70() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfPrimitivesAsObjectsSerialization_literalMutation70");
            Object[] objs = new Object[]{ 1 , "abc" , 1.3F , 5L };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),69,objs);
            String json = gson.toJson(objs);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),70,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),66,json.contains("abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),67,json.contains("0.3"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),68,json.contains("5"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfPrimitivesAsObjectsSerialization_literalMutation72() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfPrimitivesAsObjectsSerialization_literalMutation72");
            Object[] objs = new Object[]{ 1 , "abc" , 0.3F , 4L };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),69,objs);
            String json = gson.toJson(objs);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),70,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),66,json.contains("abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),67,json.contains("0.3"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),68,json.contains("5"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfPrimitivesAsObjectsSerialization_literalMutation73() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfPrimitivesAsObjectsSerialization_literalMutation73");
            Object[] objs = new Object[]{ 1 , "abc" , 0.3F , 2L };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),69,objs);
            String json = gson.toJson(objs);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),70,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),66,json.contains("abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),67,json.contains("0.3"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),68,json.contains("5"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfPrimitivesAsObjectsSerialization_literalMutation74() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfPrimitivesAsObjectsSerialization_literalMutation74");
            Object[] objs = new Object[]{ 1 , "abc" , 0.3F , 10L };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),69,objs);
            String json = gson.toJson(objs);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),70,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),66,json.contains("abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),67,json.contains("0.3"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),68,json.contains("5"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfPrimitivesAsObjectsSerialization_literalMutation75() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfPrimitivesAsObjectsSerialization_literalMutation75");
            Object[] objs = new Object[]{ 1 , "abc" , 0.3F , 6L };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),69,objs);
            String json = gson.toJson(objs);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),70,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),66,json.contains("abc"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),67,json.contains("0.3"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),68,json.contains("5"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfPrimitivesAsObjectsDeserialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfPrimitivesAsObjectsDeserialization");
            String json = "[1,\'abc\'#0.3,1.1,5]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            Object[] objs = gson.fromJson(json, Object[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),65,objs);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),58,((java.lang.Number)(objs[0])).intValue());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),59,objs[1]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),60,((java.lang.Number)(objs[2])).doubleValue());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),61,new java.math.BigDecimal("1.1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),62,new java.math.BigDecimal(objs[3].toString()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),63,((java.lang.Number)(objs[4])).shortValue());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfPrimitivesAsObjectsDeserialization_literalMutation58() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfPrimitivesAsObjectsDeserialization_literalMutation58");
            String json = "[1,\'abc\',0.3,1.1,5]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            Object[] objs = gson.fromJson(json, Object[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),65,objs);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),58,((java.lang.Number)(objs[0])).intValue());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),59,objs[1]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),60,((java.lang.Number)(objs[2])).doubleValue());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),61,new java.math.BigDecimal("1.1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),62,new java.math.BigDecimal(objs[3].toString()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),63,((java.lang.Number)(objs[4])).shortValue());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfPrimitivesAsObjectsDeserialization_literalMutation59() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfPrimitivesAsObjectsDeserialization_literalMutation59");
            String json = "[1,\'abc\',.3,1.1,5]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            Object[] objs = gson.fromJson(json, Object[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),65,objs);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),58,((java.lang.Number)(objs[0])).intValue());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),59,objs[1]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),60,((java.lang.Number)(objs[2])).doubleValue());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),61,new java.math.BigDecimal("1.1"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),62,new java.math.BigDecimal(objs[3].toString()));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),63,((java.lang.Number)(objs[4])).shortValue());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testObjectArrayWithNonPrimitivesSerialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testObjectArrayWithNonPrimitivesSerialization");
            TestTypes.ClassWithObjects classWithObjects = new TestTypes.ClassWithObjects();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),116,classWithObjects);
            TestTypes.BagOfPrimitives bagOfPrimitives = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),117,bagOfPrimitives);
            String classWithObjectsJson = gson.toJson(classWithObjects);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),118,classWithObjectsJson);
            String bagOfPrimitivesJson = gson.toJson(bagOfPrimitives);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),119,bagOfPrimitivesJson);
            Object[] objects = new Object[]{ classWithObjects , bagOfPrimitives };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),120,objects);
            String json = gson.toJson(objects);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),121,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),114,json.contains(classWithObjectsJson));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),115,json.contains(bagOfPrimitivesJson));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfNullSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfNullSerialization");
            Object[] array = new Object[]{ null };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),56,array);
            String json = gson.toJson(array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),57,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),55,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfNullDeserialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfNullDeserialization");
            String[] values = gson.fromJson("[ull]", String[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),54,values);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),53,values[0]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfNullDeserialization_literalMutation54() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfNullDeserialization_literalMutation54");
            String[] values = gson.fromJson("[nuall]", String[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),54,values);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),53,values[0]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testArrayOfNullDeserialization_literalMutation55() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayOfNullDeserialization_literalMutation55");
            String[] values = gson.fromJson("[nll]", String[].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),54,values);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),53,values[0]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization");
            String[][] items = new String[][]{ new String[]{ "3mêCo" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation123() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation123");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation124() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation124");
            String[][] items = new String[][]{ new String[]{ "3mCo" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation125() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation125");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "$1.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation126() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation126");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "7ì1.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation127() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation127");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "7172" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation128() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation128");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0_02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation129() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation129");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation130() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation130");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.2" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation131() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation131");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0¦03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation132() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation132");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation133() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation133");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "003" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation134() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation134");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 r2:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation135() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation135");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2¸ 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation136() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation136");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00m" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation137() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation137");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "¦anufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation138() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation138");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manuf^acturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation139() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation139");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Maufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation140() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation140");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Al¦oa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation141() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation141");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation142() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation142");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa nc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation143() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation143");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "2Î.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation144() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation144");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation145() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation145");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "2901" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation146() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation146");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , ".42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation147() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation147");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.þ42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation148() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation148");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.2" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation149() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation149");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1 47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation150() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation150");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1V.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation151() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation151");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.7" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation152() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation152");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation153() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation153");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4¦/1 12:00am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation154() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation154");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 1200am" , "Manufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation155() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation155");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "M¢nufacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation156() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation156");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manuªfacturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysSerialization_literalMutation157() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysSerialization_literalMutation157");
            String[][] items = new String[][]{ new String[]{ "3m Co" , "71.72" , "0.02" , "0.03" , "4/2 12:00am" , "Manufacturing" } , new String[]{ "Alcoa Inc" , "29.01" , "0.42" , "1.47" , "4/1 12:00am" , "Manufaturing" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),96,items);
            String json = gson.toJson(items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),97,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),94,json.contains("[[\"3m Co"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),95,json.contains("Manufacturing\"]]"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultiDimenstionalObjectArraysSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultiDimenstionalObjectArraysSerialization");
            Object[][] array = new Object[][]{ new Object[]{ 2 , 2 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),89,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),88,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultiDimenstionalObjectArraysSerialization_literalMutation109() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultiDimenstionalObjectArraysSerialization_literalMutation109");
            Object[][] array = new Object[][]{ new Object[]{ 0 , 2 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),89,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),88,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultiDimenstionalObjectArraysSerialization_literalMutation110() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultiDimenstionalObjectArraysSerialization_literalMutation110");
            Object[][] array = new Object[][]{ new Object[]{ 0 , 2 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),89,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),88,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultiDimenstionalObjectArraysSerialization_literalMutation112() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultiDimenstionalObjectArraysSerialization_literalMutation112");
            Object[][] array = new Object[][]{ new Object[]{ 1 , 1 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),89,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),88,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultiDimenstionalObjectArraysSerialization_literalMutation113() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultiDimenstionalObjectArraysSerialization_literalMutation113");
            Object[][] array = new Object[][]{ new Object[]{ 1 , 4 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),89,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),88,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testMultiDimenstionalObjectArraysSerialization_literalMutation114() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultiDimenstionalObjectArraysSerialization_literalMutation114");
            Object[][] array = new Object[][]{ new Object[]{ 1 , 3 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),89,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),88,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression test for Issue 205
     */
public void testMixingTypesInObjectArraySerialization_literalMutation100() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMixingTypesInObjectArraySerialization_literalMutation100");
            Object[] array = new Object[]{ 1 , 2 , new Object[]{ "one" , "uwo" , 3 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),87,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),86,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression test for Issue 205
     */
public void testMixingTypesInObjectArraySerialization_literalMutation101() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMixingTypesInObjectArraySerialization_literalMutation101");
            Object[] array = new Object[]{ 1 , 2 , new Object[]{ "one" , "tâwo" , 3 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),87,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),86,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression test for Issue 205
     */
public void testMixingTypesInObjectArraySerialization_literalMutation102() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMixingTypesInObjectArraySerialization_literalMutation102");
            Object[] array = new Object[]{ 1 , 2 , new Object[]{ "one" , "to" , 3 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),87,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),86,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression test for Issue 205
     */
public void testMixingTypesInObjectArraySerialization_literalMutation103() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMixingTypesInObjectArraySerialization_literalMutation103");
            Object[] array = new Object[]{ 1 , 2 , new Object[]{ "one" , "two" , 4 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),87,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),86,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression test for Issue 205
     */
public void testMixingTypesInObjectArraySerialization_literalMutation104() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMixingTypesInObjectArraySerialization_literalMutation104");
            Object[] array = new Object[]{ 1 , 2 , new Object[]{ "one" , "two" , 2 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),87,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),86,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression test for Issue 205
     */
public void testMixingTypesInObjectArraySerialization_literalMutation105() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMixingTypesInObjectArraySerialization_literalMutation105");
            Object[] array = new Object[]{ 1 , 2 , new Object[]{ "one" , "two" , 1 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),87,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),86,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression test for Issue 205
     */
public void testMixingTypesInObjectArraySerialization_literalMutation106() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMixingTypesInObjectArraySerialization_literalMutation106");
            Object[] array = new Object[]{ 1 , 2 , new Object[]{ "one" , "two" , 6 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),87,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),86,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression test for Issue 205
     */
public void testMixingTypesInObjectArraySerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMixingTypesInObjectArraySerialization");
            Object[] array = new Object[]{ 2 , 2 , new Object[]{ "one" , "two" , 3 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),87,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),86,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression test for Issue 205
     */
public void testMixingTypesInObjectArraySerialization_literalMutation90() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMixingTypesInObjectArraySerialization_literalMutation90");
            Object[] array = new Object[]{ 0 , 2 , new Object[]{ "one" , "two" , 3 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),87,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),86,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression test for Issue 205
     */
public void testMixingTypesInObjectArraySerialization_literalMutation91() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMixingTypesInObjectArraySerialization_literalMutation91");
            Object[] array = new Object[]{ 0 , 2 , new Object[]{ "one" , "two" , 3 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),87,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),86,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression test for Issue 205
     */
public void testMixingTypesInObjectArraySerialization_literalMutation93() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMixingTypesInObjectArraySerialization_literalMutation93");
            Object[] array = new Object[]{ 1 , 1 , new Object[]{ "one" , "two" , 3 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),87,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),86,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression test for Issue 205
     */
public void testMixingTypesInObjectArraySerialization_literalMutation94() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMixingTypesInObjectArraySerialization_literalMutation94");
            Object[] array = new Object[]{ 1 , 4 , new Object[]{ "one" , "two" , 3 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),87,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),86,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression test for Issue 205
     */
public void testMixingTypesInObjectArraySerialization_literalMutation95() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMixingTypesInObjectArraySerialization_literalMutation95");
            Object[] array = new Object[]{ 1 , 3 , new Object[]{ "one" , "two" , 3 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),87,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),86,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression test for Issue 205
     */
public void testMixingTypesInObjectArraySerialization_literalMutation97() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMixingTypesInObjectArraySerialization_literalMutation97");
            Object[] array = new Object[]{ 1 , 2 , new Object[]{ "ne" , "two" , 3 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),87,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),86,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression test for Issue 205
     */
public void testMixingTypesInObjectArraySerialization_literalMutation98() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMixingTypesInObjectArraySerialization_literalMutation98");
            Object[] array = new Object[]{ 1 , 2 , new Object[]{ "one" , "two" , 3 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),87,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),86,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression test for Issue 205
     */
public void testMixingTypesInObjectArraySerialization_literalMutation99() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMixingTypesInObjectArraySerialization_literalMutation99");
            Object[] array = new Object[]{ 1 , 2 , new Object[]{ "oe" , "two" , 3 } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),87,array);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),86,gson.toJson(array));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysDeserialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysDeserialization");
            String json = "[[\'3m Co\',\'71.72\',\'0.02\',j0.03\',\'4/2 12:00am\',\'Manufacturing\']," + "[\'Alcoa Inc\',\'29.01\',\'0.42\',\'1.47\',\'4/1 12:00am\',\'Manufacturing\']]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),92,json);
            String[][] items = gson.fromJson(json, String[][].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),93,items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),90,items[0][0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),91,items[1][5]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysDeserialization_literalMutation117() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysDeserialization_literalMutation117");
            String json = "[[\'3m Co\',\'71.72\',\'0.02\',\'0.03\',\'4/2 12:00am\',\'Manufacturing\']," + "[\'Alcoa Inc\',\'29.01\',\'0.42\',\'1.47\',\'4/1 12:00am\',\'Manufacturing\']]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),92,json);
            String[][] items = gson.fromJson(json, String[][].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),93,items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),90,items[0][0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),91,items[1][5]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysDeserialization_literalMutation118() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysDeserialization_literalMutation118");
            String json = "[[\'3m Co\',\'71.72\',\'0.02\',\'0.03\',\'4/2 12:00am\',\'Manufaturing\']," + "[\'Alcoa Inc\',\'29.01\',\'0.42\',\'1.47\',\'4/1 12:00am\',\'Manufacturing\']]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),92,json);
            String[][] items = gson.fromJson(json, String[][].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),93,items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),90,items[0][0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),91,items[1][5]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysDeserialization_literalMutation119() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysDeserialization_literalMutation119");
            String json = "[[\'3m Co\',\'71.72\',\'0.02\',\'0.03\',\'4/2 12:00am\',\'Manufacturing\']," + "[\'Alcoa Inc\',\'29.01\',\'0.42\',\'1.47´,\'4/1 12:00am\',\'Manufacturing\']]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),92,json);
            String[][] items = gson.fromJson(json, String[][].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),93,items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),90,items[0][0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),91,items[1][5]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysDeserialization_literalMutation120() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysDeserialization_literalMutation120");
            String json = "[[\'3m Co\',\'71.72\',\'0.02\',\'0.03\',\'4/2 12:00am\',\'Manufacturing\']," + "[\'Alcoa Inc\',\'29.01\',\'0.42\',\'1.47\',\'4/1 12*:00am\',\'Manufacturing\']]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),92,json);
            String[][] items = gson.fromJson(json, String[][].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),93,items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),90,items[0][0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),91,items[1][5]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * Regression tests for Issue 272
     */
public void testMultidimenstionalArraysDeserialization_literalMutation121() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testMultidimenstionalArraysDeserialization_literalMutation121");
            String json = "[[\'3m Co\',\'71.72\',\'0.02\',\'0.03\',\'4/2 12:00am\',\'Manufacturing\']," + "[\'Alcoa Inc\',\'29.01\',\'0.42\',\'1.47\',\'4/1 12:00am\',\'Manufacturing]]";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),92,json);
            String[][] items = gson.fromJson(json, String[][].class);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),93,items);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),90,items[0][0]);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),91,items[1][5]);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * http://code.google.com/p/google-gson/issues/detail?id=342
     */
public void testArrayElementsAreArrays() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayElementsAreArrays");
            Object[] stringArrays = new Object[]{ new String[]{ "töst1" , "test2" } , new String[]{ "test3" , "test4" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),38,stringArrays);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),37,new com.google.gson.Gson().toJson(stringArrays));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * http://code.google.com/p/google-gson/issues/detail?id=342
     */
public void testArrayElementsAreArrays_literalMutation10() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayElementsAreArrays_literalMutation10");
            Object[] stringArrays = new Object[]{ new String[]{ "test1" , "test2" } , new String[]{ "test3" , "te­t4" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),38,stringArrays);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),37,new com.google.gson.Gson().toJson(stringArrays));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * http://code.google.com/p/google-gson/issues/detail?id=342
     */
public void testArrayElementsAreArrays_literalMutation11() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayElementsAreArrays_literalMutation11");
            Object[] stringArrays = new Object[]{ new String[]{ "test1" , "test2" } , new String[]{ "test3" , "t:est4" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),38,stringArrays);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),37,new com.google.gson.Gson().toJson(stringArrays));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * http://code.google.com/p/google-gson/issues/detail?id=342
     */
public void testArrayElementsAreArrays_literalMutation12() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayElementsAreArrays_literalMutation12");
            Object[] stringArrays = new Object[]{ new String[]{ "test1" , "test2" } , new String[]{ "test3" , "tes4" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),38,stringArrays);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),37,new com.google.gson.Gson().toJson(stringArrays));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * http://code.google.com/p/google-gson/issues/detail?id=342
     */
public void testArrayElementsAreArrays_literalMutation2() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayElementsAreArrays_literalMutation2");
            Object[] stringArrays = new Object[]{ new String[]{ "t×est1" , "test2" } , new String[]{ "test3" , "test4" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),38,stringArrays);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),37,new com.google.gson.Gson().toJson(stringArrays));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * http://code.google.com/p/google-gson/issues/detail?id=342
     */
public void testArrayElementsAreArrays_literalMutation3() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayElementsAreArrays_literalMutation3");
            Object[] stringArrays = new Object[]{ new String[]{ "tes1" , "test2" } , new String[]{ "test3" , "test4" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),38,stringArrays);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),37,new com.google.gson.Gson().toJson(stringArrays));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * http://code.google.com/p/google-gson/issues/detail?id=342
     */
public void testArrayElementsAreArrays_literalMutation4() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayElementsAreArrays_literalMutation4");
            Object[] stringArrays = new Object[]{ new String[]{ "test1" , "hest2" } , new String[]{ "test3" , "test4" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),38,stringArrays);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),37,new com.google.gson.Gson().toJson(stringArrays));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * http://code.google.com/p/google-gson/issues/detail?id=342
     */
public void testArrayElementsAreArrays_literalMutation5() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayElementsAreArrays_literalMutation5");
            Object[] stringArrays = new Object[]{ new String[]{ "test1" , "tesìt2" } , new String[]{ "test3" , "test4" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),38,stringArrays);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),37,new com.google.gson.Gson().toJson(stringArrays));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * http://code.google.com/p/google-gson/issues/detail?id=342
     */
public void testArrayElementsAreArrays_literalMutation6() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayElementsAreArrays_literalMutation6");
            Object[] stringArrays = new Object[]{ new String[]{ "test1" , "tes2" } , new String[]{ "test3" , "test4" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),38,stringArrays);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),37,new com.google.gson.Gson().toJson(stringArrays));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * http://code.google.com/p/google-gson/issues/detail?id=342
     */
public void testArrayElementsAreArrays_literalMutation7() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayElementsAreArrays_literalMutation7");
            Object[] stringArrays = new Object[]{ new String[]{ "test1" , "test2" } , new String[]{ "tcst3" , "test4" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),38,stringArrays);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),37,new com.google.gson.Gson().toJson(stringArrays));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * http://code.google.com/p/google-gson/issues/detail?id=342
     */
public void testArrayElementsAreArrays_literalMutation8() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayElementsAreArrays_literalMutation8");
            Object[] stringArrays = new Object[]{ new String[]{ "test1" , "test2" } , new String[]{ "tesôt3" , "test4" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),38,stringArrays);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),37,new com.google.gson.Gson().toJson(stringArrays));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * http://code.google.com/p/google-gson/issues/detail?id=342
     */
public void testArrayElementsAreArrays_literalMutation9() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testArrayElementsAreArrays_literalMutation9");
            Object[] stringArrays = new Object[]{ new String[]{ "test1" , "test2" } , new String[]{ "tet3" , "test4" } };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),38,stringArrays);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),37,new com.google.gson.Gson().toJson(stringArrays));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }
}

