package com.google.gson.functional;

import java.util.ArrayList;
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import java.util.List;
import com.google.gson.ParameterizedTypeFixtures;
import java.io.Reader;
import java.io.Serializable;
import java.io.StringReader;
import java.io.StringWriter;
import org.junit.Test;
import junit.framework.TestCase;
import com.google.gson.common.TestTypes;
import java.lang.reflect.Type;
import com.google.gson.reflect.TypeToken;
import java.io.Writer;

/** 
 * Functional tests for the serialization and deserialization of parameterized types in Gson.
 * 
 * @author Inderjeet Singh
 * @author Joel Leitch
 */
public class ParameterizedTypesTest extends TestCase {
    private Gson gson;

    @Override
    protected void setUp() throws Exception {
        super.setUp();
        gson = new Gson();
        fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1725,gson);
    }

    @Test(timeout = 1000)
    public void testParameterizedTypesSerialization_add386() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesSerialization_add386");
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1780,src);
            Type typeOfSrc = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1781,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1782,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1779,src.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypesSerialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesSerialization");
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1780,src);
            Type typeOfSrc = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1781,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1782,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1779,src.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypesSerialization_literalMutation2589() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesSerialization_literalMutation2589");
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(5);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1780,src);
            Type typeOfSrc = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1781,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1782,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1779,src.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypesSerialization_literalMutation2590() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesSerialization_literalMutation2590");
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(20);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1780,src);
            Type typeOfSrc = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1781,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1782,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1779,src.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypesSerialization_literalMutation2591() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesSerialization_literalMutation2591");
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(11);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1780,src);
            Type typeOfSrc = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1781,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1782,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1779,src.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypesSerialization_remove360() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesSerialization_remove360");
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1780,src);
            Type typeOfSrc = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1781,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1782,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1779,src.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1418,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypeDeserialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeDeserialization");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1736,bag);
            ParameterizedTypeFixtures.MyParameterizedType<com.google.gson.common.TestTypes.BagOfPrimitives> expected = new ParameterizedTypeFixtures.MyParameterizedType<com.google.gson.common.TestTypes.BagOfPrimitives>(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1737,expected);
            Type expectedType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1738,expectedType);
            TestTypes.BagOfPrimitives bagDefaultInstance = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1739,bagDefaultInstance);
            Gson gson = new GsonBuilder().registerTypeAdapter(expectedType, new ParameterizedTypeFixtures.MyParameterizedTypeInstanceCreator<com.google.gson.common.TestTypes.BagOfPrimitives>(bagDefaultInstance)).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),879,gson);
            String json = expected.getExpectedJson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            ParameterizedTypeFixtures.MyParameterizedType<com.google.gson.common.TestTypes.BagOfPrimitives> actual = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1740,actual);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1734,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1735,actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypeDeserialization_remove347() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeDeserialization_remove347");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1736,bag);
            ParameterizedTypeFixtures.MyParameterizedType<com.google.gson.common.TestTypes.BagOfPrimitives> expected = new ParameterizedTypeFixtures.MyParameterizedType<com.google.gson.common.TestTypes.BagOfPrimitives>(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1737,expected);
            Type expectedType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1738,expectedType);
            TestTypes.BagOfPrimitives bagDefaultInstance = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1739,bagDefaultInstance);
            Gson gson = new GsonBuilder().registerTypeAdapter(expectedType, new ParameterizedTypeFixtures.MyParameterizedTypeInstanceCreator<com.google.gson.common.TestTypes.BagOfPrimitives>(bagDefaultInstance)).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),879,gson);
            String json = expected.getExpectedJson();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1308,json);
            ParameterizedTypeFixtures.MyParameterizedType<com.google.gson.common.TestTypes.BagOfPrimitives> actual = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1740,actual);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1734,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1735,actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTypesWithMultipleParametersSerialization_add392() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_add392");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(9 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2622() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2622");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(5 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2623() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2623");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(20 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2624() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2624");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(11 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2626() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2626");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 2.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2627() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2627");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 0.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2628() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2628");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 0.5F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2630() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2630");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 3.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2631() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2631");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 1.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2632() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2632");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 1.05 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2633() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2633");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 4.2 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2635() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2635");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "pbc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2636() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2636");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "a¢bc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2637() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2637");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "ac" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2638() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2638");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.1,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2639() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2639");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abhc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2640() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2640");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":21,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2641() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2641");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringalue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2642() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2642");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValKue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersSerialization_literalMutation2643() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_literalMutation2643");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTypesWithMultipleParametersSerialization_remove366() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersSerialization_remove366");
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> src = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1805,src);
            Type typeOfSrc = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1806,typeOfSrc);
            String json = gson.toJson(src, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1631,json);
            String expected = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1807,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1803,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1804,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTypesWithMultipleParametersDeserialization_add391() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_add391");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,¥d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2599() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2599");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\"ö:\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2600() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2600");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2601() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2601");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValuÉ\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2602() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2602");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":fals<e,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2603() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2603");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intalue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2604() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2604");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(9 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2605() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2605");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(5 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2606() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2606");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(20 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2607() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2607");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(11 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2609() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2609");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 2.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2610() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2610");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 0.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2611() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2611");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 0.5F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2613() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2613");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 3.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2614() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2614");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 1.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2615() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2615");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 1.05 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2616() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2616");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 4.2 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2618() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2618");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "\tbc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2619() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2619");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testTypesWithMultipleParametersDeserialization_literalMutation2620() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_literalMutation2620");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "ac" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testTypesWithMultipleParametersDeserialization_remove365() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testTypesWithMultipleParametersDeserialization_remove365");
            Type typeOfTarget = new TypeToken<MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1801,typeOfTarget);
            String json = "{\"a\":10,\"b\":1.0,\"c\":2.1,\"d\":\"abc\"," + "\"e\":{\"longValue\":0,\"intValue\":0,\"booleanValue\":false,\"stringValue\":\"\"}}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),884,json);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> target = gson.fromJson(json, typeOfTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1416,target);
            MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives> expected = new MultiParameters<java.lang.Integer, java.lang.Float, java.lang.Double, java.lang.String, com.google.gson.common.TestTypes.BagOfPrimitives>(10 , 1.0F , 2.1 , "abc" , new TestTypes.BagOfPrimitives());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1802,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1799,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1800,target);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypeWithCustomSerializer_add380() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithCustomSerializer_add380");
            Type ptIntegerType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1759,ptIntegerType);
            Type ptStringType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1760,ptStringType);
            Gson gson = new GsonBuilder().registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.Integer>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.String>()).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1761,gson);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> intTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1762,intTarget);
            String json = gson.toJson(intTarget, ptIntegerType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1763,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1754,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.Integer>getExpectedJson(intTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1755,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> stringTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>("abc");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1764,stringTarget);
            json = gson.toJson(stringTarget, ptStringType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1758,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1756,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.String>getExpectedJson(stringTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1757,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypeWithCustomSerializer_add381() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithCustomSerializer_add381");
            Type ptIntegerType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1759,ptIntegerType);
            Type ptStringType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1760,ptStringType);
            Gson gson = new GsonBuilder().registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.Integer>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.String>()).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1761,gson);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> intTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1762,intTarget);
            String json = gson.toJson(intTarget, ptIntegerType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1763,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1754,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.Integer>getExpectedJson(intTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1755,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> stringTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>("abc");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1764,stringTarget);
            json = gson.toJson(stringTarget, ptStringType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1758,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1756,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.String>getExpectedJson(stringTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1757,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypeWithCustomSerializer() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithCustomSerializer");
            Type ptIntegerType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1759,ptIntegerType);
            Type ptStringType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1760,ptStringType);
            Gson gson = new GsonBuilder().registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.Integer>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.String>()).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1761,gson);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> intTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1762,intTarget);
            String json = gson.toJson(intTarget, ptIntegerType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1763,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1754,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.Integer>getExpectedJson(intTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1755,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> stringTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>("abc");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1764,stringTarget);
            json = gson.toJson(stringTarget, ptStringType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1758,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1756,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.String>getExpectedJson(stringTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1757,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypeWithCustomSerializer_literalMutation2566() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithCustomSerializer_literalMutation2566");
            Type ptIntegerType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1759,ptIntegerType);
            Type ptStringType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1760,ptStringType);
            Gson gson = new GsonBuilder().registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.Integer>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.String>()).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1761,gson);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> intTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(5);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1762,intTarget);
            String json = gson.toJson(intTarget, ptIntegerType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1763,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1754,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.Integer>getExpectedJson(intTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1755,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> stringTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>("abc");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1764,stringTarget);
            json = gson.toJson(stringTarget, ptStringType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1758,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1756,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.String>getExpectedJson(stringTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1757,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypeWithCustomSerializer_literalMutation2567() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithCustomSerializer_literalMutation2567");
            Type ptIntegerType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1759,ptIntegerType);
            Type ptStringType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1760,ptStringType);
            Gson gson = new GsonBuilder().registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.Integer>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.String>()).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1761,gson);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> intTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(20);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1762,intTarget);
            String json = gson.toJson(intTarget, ptIntegerType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1763,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1754,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.Integer>getExpectedJson(intTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1755,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> stringTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>("abc");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1764,stringTarget);
            json = gson.toJson(stringTarget, ptStringType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1758,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1756,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.String>getExpectedJson(stringTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1757,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypeWithCustomSerializer_literalMutation2568() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithCustomSerializer_literalMutation2568");
            Type ptIntegerType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1759,ptIntegerType);
            Type ptStringType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1760,ptStringType);
            Gson gson = new GsonBuilder().registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.Integer>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.String>()).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1761,gson);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> intTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(11);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1762,intTarget);
            String json = gson.toJson(intTarget, ptIntegerType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1763,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1754,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.Integer>getExpectedJson(intTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1755,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> stringTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>("abc");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1764,stringTarget);
            json = gson.toJson(stringTarget, ptStringType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1758,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1756,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.String>getExpectedJson(stringTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1757,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypeWithCustomSerializer_literalMutation2570() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithCustomSerializer_literalMutation2570");
            Type ptIntegerType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1759,ptIntegerType);
            Type ptStringType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1760,ptStringType);
            Gson gson = new GsonBuilder().registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.Integer>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.String>()).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1761,gson);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> intTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1762,intTarget);
            String json = gson.toJson(intTarget, ptIntegerType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1763,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1754,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.Integer>getExpectedJson(intTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1755,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> stringTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>("ebc");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1764,stringTarget);
            json = gson.toJson(stringTarget, ptStringType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1758,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1756,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.String>getExpectedJson(stringTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1757,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypeWithCustomSerializer_literalMutation2571() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithCustomSerializer_literalMutation2571");
            Type ptIntegerType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1759,ptIntegerType);
            Type ptStringType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1760,ptStringType);
            Gson gson = new GsonBuilder().registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.Integer>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.String>()).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1761,gson);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> intTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1762,intTarget);
            String json = gson.toJson(intTarget, ptIntegerType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1763,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1754,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.Integer>getExpectedJson(intTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1755,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> stringTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>("a#bc");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1764,stringTarget);
            json = gson.toJson(stringTarget, ptStringType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1758,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1756,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.String>getExpectedJson(stringTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1757,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypeWithCustomSerializer_literalMutation2572() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithCustomSerializer_literalMutation2572");
            Type ptIntegerType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1759,ptIntegerType);
            Type ptStringType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1760,ptStringType);
            Gson gson = new GsonBuilder().registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.Integer>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.String>()).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1761,gson);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> intTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1762,intTarget);
            String json = gson.toJson(intTarget, ptIntegerType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1763,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1754,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.Integer>getExpectedJson(intTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1755,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> stringTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>("ac");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1764,stringTarget);
            json = gson.toJson(stringTarget, ptStringType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1758,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1756,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.String>getExpectedJson(stringTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1757,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypeWithCustomSerializer_remove354() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithCustomSerializer_remove354");
            Type ptIntegerType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1759,ptIntegerType);
            Type ptStringType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1760,ptStringType);
            Gson gson = new GsonBuilder().registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.Integer>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.String>()).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1761,gson);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> intTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1762,intTarget);
            String json = gson.toJson(intTarget, ptIntegerType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1763,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1754,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.Integer>getExpectedJson(intTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1755,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> stringTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>("abc");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1764,stringTarget);
            json = gson.toJson(stringTarget, ptStringType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1758,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1756,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.String>getExpectedJson(stringTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1757,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypeWithCustomSerializer_remove355() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithCustomSerializer_remove355");
            Type ptIntegerType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1759,ptIntegerType);
            Type ptStringType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1760,ptStringType);
            Gson gson = new GsonBuilder().registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.Integer>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.String>()).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1761,gson);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> intTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1762,intTarget);
            String json = gson.toJson(intTarget, ptIntegerType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1763,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1754,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.Integer>getExpectedJson(intTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1755,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> stringTarget = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>("abc");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1764,stringTarget);
            json = gson.toJson(stringTarget, ptStringType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1758,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1756,com.google.gson.ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<java.lang.String>getExpectedJson(stringTarget));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1757,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypesWithCustomDeserializer() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesWithCustomDeserializer");
            Type ptIntegerType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1786,ptIntegerType);
            Type ptStringType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1787,ptStringType);
            Gson gson = new GsonBuilder().registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.Integer>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.String>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeInstanceCreator<java.lang.String>("")).registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeInstanceCreator<java.lang.Integer>(new Integer(0))).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1788,gson);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1789,src);
            String json = ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<Integer>getExpectedJson(src);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1790,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> intTarget = gson.fromJson(json, ptIntegerType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1791,intTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1783,intTarget.value.intValue());
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> srcStr = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>("abc");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1792,srcStr);
            json = ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<String>getExpectedJson(srcStr);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1785,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> stringTarget = gson.fromJson(json, ptStringType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1793,stringTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1784,stringTarget.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypesWithCustomDeserializer_add388() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesWithCustomDeserializer_add388");
            Type ptIntegerType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1786,ptIntegerType);
            Type ptStringType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1787,ptStringType);
            Gson gson = new GsonBuilder().registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.Integer>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.String>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeInstanceCreator<java.lang.String>("")).registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeInstanceCreator<java.lang.Integer>(new Integer(0))).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1788,gson);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1789,src);
            String json = ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<Integer>getExpectedJson(src);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1790,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> intTarget = gson.fromJson(json, ptIntegerType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1791,intTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1783,intTarget.value.intValue());
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> srcStr = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>("abc");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1792,srcStr);
            json = ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<String>getExpectedJson(srcStr);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1785,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> stringTarget = gson.fromJson(json, ptStringType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1793,stringTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1784,stringTarget.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypesWithCustomDeserializer_remove361() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesWithCustomDeserializer_remove361");
            Type ptIntegerType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1786,ptIntegerType);
            Type ptStringType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1787,ptStringType);
            Gson gson = new GsonBuilder().registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.Integer>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.String>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeInstanceCreator<java.lang.String>("")).registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeInstanceCreator<java.lang.Integer>(new Integer(0))).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1788,gson);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1789,src);
            String json = ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<Integer>getExpectedJson(src);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1790,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> intTarget = gson.fromJson(json, ptIntegerType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1791,intTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1783,intTarget.value.intValue());
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> srcStr = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>("abc");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1792,srcStr);
            json = ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<String>getExpectedJson(srcStr);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1785,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> stringTarget = gson.fromJson(json, ptStringType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1793,stringTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1784,stringTarget.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypesWithCustomDeserializer_remove362() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesWithCustomDeserializer_remove362");
            Type ptIntegerType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1786,ptIntegerType);
            Type ptStringType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1787,ptStringType);
            Gson gson = new GsonBuilder().registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.Integer>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeAdapter<java.lang.String>()).registerTypeAdapter(ptStringType, new ParameterizedTypeFixtures.MyParameterizedTypeInstanceCreator<java.lang.String>("")).registerTypeAdapter(ptIntegerType, new ParameterizedTypeFixtures.MyParameterizedTypeInstanceCreator<java.lang.Integer>(new Integer(0))).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1788,gson);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1789,src);
            String json = ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<Integer>getExpectedJson(src);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1790,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> intTarget = gson.fromJson(json, ptIntegerType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1791,intTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1783,intTarget.value.intValue());
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> srcStr = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.String>("abc");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1792,srcStr);
            json = ParameterizedTypeFixtures.MyParameterizedTypeAdapter.<String>getExpectedJson(srcStr);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1785,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.String> stringTarget = gson.fromJson(json, ptStringType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1793,stringTarget);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1784,stringTarget.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypesWithWriterSerialization_add389() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesWithWriterSerialization_add389");
            Writer writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1796,writer);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1797,src);
            Type typeOfSrc = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1798,typeOfSrc);
            gson.toJson(src, typeOfSrc, writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1794,src.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1795,writer.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypesWithWriterSerialization_add390() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesWithWriterSerialization_add390");
            Writer writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1796,writer);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1797,src);
            Type typeOfSrc = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1798,typeOfSrc);
            gson.toJson(src, typeOfSrc, writer);
            gson.toJson(src, typeOfSrc, writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1794,src.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1795,writer.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypesWithWriterSerialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesWithWriterSerialization");
            Writer writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1796,writer);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(9);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1797,src);
            Type typeOfSrc = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1798,typeOfSrc);
            gson.toJson(src, typeOfSrc, writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1794,src.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1795,writer.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypesWithWriterSerialization_literalMutation2594() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesWithWriterSerialization_literalMutation2594");
            Writer writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1796,writer);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(5);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1797,src);
            Type typeOfSrc = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1798,typeOfSrc);
            gson.toJson(src, typeOfSrc, writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1794,src.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1795,writer.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypesWithWriterSerialization_literalMutation2595() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesWithWriterSerialization_literalMutation2595");
            Writer writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1796,writer);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(20);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1797,src);
            Type typeOfSrc = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1798,typeOfSrc);
            gson.toJson(src, typeOfSrc, writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1794,src.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1795,writer.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypesWithWriterSerialization_literalMutation2596() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesWithWriterSerialization_literalMutation2596");
            Writer writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1796,writer);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(11);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1797,src);
            Type typeOfSrc = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1798,typeOfSrc);
            gson.toJson(src, typeOfSrc, writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1794,src.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1795,writer.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypesWithWriterSerialization_remove363() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesWithWriterSerialization_remove363");
            Writer writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1796,writer);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1797,src);
            Type typeOfSrc = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1798,typeOfSrc);
            gson.toJson(src, typeOfSrc, writer);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1794,src.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1795,writer.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypesWithWriterSerialization_remove364() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypesWithWriterSerialization_remove364");
            Writer writer = new StringWriter();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1796,writer);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> src = new ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>(10);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1797,src);
            Type typeOfSrc = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1798,typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1794,src.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1795,writer.toString());
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypeWithReaderDeserialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithReaderDeserialization");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1767,bag);
            ParameterizedTypeFixtures.MyParameterizedType<com.google.gson.common.TestTypes.BagOfPrimitives> expected = new ParameterizedTypeFixtures.MyParameterizedType<com.google.gson.common.TestTypes.BagOfPrimitives>(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1768,expected);
            Type expectedType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1769,expectedType);
            TestTypes.BagOfPrimitives bagDefaultInstance = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1770,bagDefaultInstance);
            Gson gson = new GsonBuilder().registerTypeAdapter(expectedType, new ParameterizedTypeFixtures.MyParameterizedTypeInstanceCreator<com.google.gson.common.TestTypes.BagOfPrimitives>(bagDefaultInstance)).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,gson);
            Reader json = new StringReader(expected.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),795,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> actual = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1771,actual);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1765,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1766,actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypeWithReaderDeserialization_remove356() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithReaderDeserialization_remove356");
            TestTypes.BagOfPrimitives bag = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1767,bag);
            ParameterizedTypeFixtures.MyParameterizedType<com.google.gson.common.TestTypes.BagOfPrimitives> expected = new ParameterizedTypeFixtures.MyParameterizedType<com.google.gson.common.TestTypes.BagOfPrimitives>(bag);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1768,expected);
            Type expectedType = new TypeToken<com.google.gson.ParameterizedTypeFixtures.MyParameterizedType<com.google.gson.common.TestTypes.BagOfPrimitives>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1769,expectedType);
            TestTypes.BagOfPrimitives bagDefaultInstance = new TestTypes.BagOfPrimitives();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1770,bagDefaultInstance);
            Gson gson = new GsonBuilder().registerTypeAdapter(expectedType, new ParameterizedTypeFixtures.MyParameterizedTypeInstanceCreator<com.google.gson.common.TestTypes.BagOfPrimitives>(bagDefaultInstance)).create();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),288,gson);
            Reader json = new StringReader(expected.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),795,json);
            ParameterizedTypeFixtures.MyParameterizedType<java.lang.Integer> actual = gson.fromJson(json, expectedType);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1771,actual);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1765,expected);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1766,actual);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testVariableTypeFieldsAndGenericArraysSerialization_add398() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_add398");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testVariableTypeFieldsAndGenericArraysSerialization_add399() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_add399");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testVariableTypeFieldsAndGenericArraysSerialization_add400() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_add400");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchJcked")
    public void testVariableTypeFieldsAndGenericArraysSerialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecUked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2702() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2702");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchcked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2703() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2703");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2704() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2704");
            Integer obj = 1;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2705() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2705");
            Integer obj = -1;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2706() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2706");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2708() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2708");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 2 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2709() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2709");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 0 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2710() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2710");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 0 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2712() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2712");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 1 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2713() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2713");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 4 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2714() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2714");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 3 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2716() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2716");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 4 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2717() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2717");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 2 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2718() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2718");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 1 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2719() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2719");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 6 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2721() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2721");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(2);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2722() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2722");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(8);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2723() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2723");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(5);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2724() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2724");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(3);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2726() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2726");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(4);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2727() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2727");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2728() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2728");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(10);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2729() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_literalMutation2729");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(6);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testVariableTypeFieldsAndGenericArraysSerialization_remove372() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_remove372");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testVariableTypeFieldsAndGenericArraysSerialization_remove373() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_remove373");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testVariableTypeFieldsAndGenericArraysSerialization_remove374() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysSerialization_remove374");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1831,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1832,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1833,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1834,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1835,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1836,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1837,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1829,objToSerialize.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1830,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testVariableTypeFieldsAndGenericArraysDeserialization_add395() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_add395");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testVariableTypeFieldsAndGenericArraysDeserialization_add396() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_add396");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testVariableTypeFieldsAndGenericArraysDeserialization_add397() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_add397");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecûed")
    public void testVariableTypeFieldsAndGenericArraysDeserialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchàecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2672() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2672");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "uchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2673() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2673");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2674() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2674");
            Integer obj = 1;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2675() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2675");
            Integer obj = -1;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2676() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2676");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2678() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2678");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 2 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2679() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2679");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 0 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2680() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2680");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 0 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2682() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2682");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 1 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2683() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2683");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 4 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2684() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2684");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 3 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2686() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2686");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 4 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2687() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2687");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 2 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2688() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2688");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 1 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2689() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2689");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 6 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2691() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2691");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(2);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2692() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2692");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(8);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2693() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2693");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(5);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2694() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2694");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(3);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2696() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2696");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(4);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2697() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2697");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2698() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2698");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(10);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2699() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_literalMutation2699");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(6);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testVariableTypeFieldsAndGenericArraysDeserialization_remove369() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_remove369");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testVariableTypeFieldsAndGenericArraysDeserialization_remove370() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_remove370");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testVariableTypeFieldsAndGenericArraysDeserialization_remove371() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeFieldsAndGenericArraysDeserialization_remove371");
            Integer obj = 0;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1822,obj);
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1823,array);
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1824,list);
            list.add(4);
            list.add(5);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1825,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1826,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(obj , array , list , arrayOfLists , list , arrayOfLists);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1827,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),64,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1828,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1820,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1821,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testVariableTypeDeserialization_add394() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeDeserialization_add394");
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1816,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(0 , null , null , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1817,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1818,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1819,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1814,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1815,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testVariableTypeDeserialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeDeserialization");
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1816,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(1 , null , null , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1817,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1818,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1819,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1814,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1815,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testVariableTypeDeserialization_literalMutation2663() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeDeserialization_literalMutation2663");
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1816,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(-1 , null , null , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1817,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1818,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1819,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1814,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1815,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testVariableTypeDeserialization_literalMutation2664() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeDeserialization_literalMutation2664");
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1816,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(0 , null , null , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1817,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1818,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1819,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1814,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1815,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testVariableTypeDeserialization_remove368() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeDeserialization_remove368");
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1816,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(0 , null , null , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1817,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1818,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1819,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1814,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1815,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testVariableTypeArrayDeserialization_add393() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeArrayDeserialization_add393");
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1809,array);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1810,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , array , null , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1811,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1812,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1813,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1808,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),55,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testVariableTypeArrayDeserialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeArrayDeserialization");
            Integer[] array = new Integer[]{ 2 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1809,array);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1810,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , array , null , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1811,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1812,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1813,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1808,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),55,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testVariableTypeArrayDeserialization_literalMutation2645() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeArrayDeserialization_literalMutation2645");
            Integer[] array = new Integer[]{ 0 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1809,array);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1810,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , array , null , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1811,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1812,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1813,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1808,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),55,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testVariableTypeArrayDeserialization_literalMutation2646() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeArrayDeserialization_literalMutation2646");
            Integer[] array = new Integer[]{ 0 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1809,array);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1810,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , array , null , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1811,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1812,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1813,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1808,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),55,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testVariableTypeArrayDeserialization_literalMutation2648() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeArrayDeserialization_literalMutation2648");
            Integer[] array = new Integer[]{ 1 , 1 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1809,array);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1810,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , array , null , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1811,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1812,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1813,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1808,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),55,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testVariableTypeArrayDeserialization_literalMutation2649() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeArrayDeserialization_literalMutation2649");
            Integer[] array = new Integer[]{ 1 , 4 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1809,array);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1810,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , array , null , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1811,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1812,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1813,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1808,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),55,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testVariableTypeArrayDeserialization_literalMutation2650() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeArrayDeserialization_literalMutation2650");
            Integer[] array = new Integer[]{ 1 , 3 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1809,array);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1810,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , array , null , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1811,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1812,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1813,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1808,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),55,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testVariableTypeArrayDeserialization_literalMutation2652() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeArrayDeserialization_literalMutation2652");
            Integer[] array = new Integer[]{ 1 , 2 , 4 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1809,array);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1810,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , array , null , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1811,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1812,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1813,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1808,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),55,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testVariableTypeArrayDeserialization_literalMutation2653() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeArrayDeserialization_literalMutation2653");
            Integer[] array = new Integer[]{ 1 , 2 , 2 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1809,array);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1810,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , array , null , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1811,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1812,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1813,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1808,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),55,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testVariableTypeArrayDeserialization_literalMutation2654() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeArrayDeserialization_literalMutation2654");
            Integer[] array = new Integer[]{ 1 , 2 , 1 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1809,array);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1810,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , array , null , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1811,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1812,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1813,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1808,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),55,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testVariableTypeArrayDeserialization_literalMutation2655() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeArrayDeserialization_literalMutation2655");
            Integer[] array = new Integer[]{ 1 , 2 , 6 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1809,array);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1810,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , array , null , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1811,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1812,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1813,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1808,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),55,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testVariableTypeArrayDeserialization_remove367() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testVariableTypeArrayDeserialization_remove367");
            Integer[] array = new Integer[]{ 1 , 2 , 3 };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1809,array);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1810,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , array , null , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1811,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1812,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1813,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1808,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),55,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypeWithVariableTypeDeserialization_add383() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithVariableTypeDeserialization_add383");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1774,list);
            list.add(4);
            list.add(4);
            list.add(5);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1775,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , list , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1776,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1777,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1778,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1772,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1773,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypeWithVariableTypeDeserialization_add384() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithVariableTypeDeserialization_add384");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1774,list);
            list.add(4);
            list.add(5);
            list.add(5);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1775,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , list , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1776,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1777,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1778,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1772,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1773,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypeWithVariableTypeDeserialization_add385() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithVariableTypeDeserialization_add385");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1774,list);
            list.add(4);
            list.add(5);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1775,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , list , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1776,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1777,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1778,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1772,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1773,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypeWithVariableTypeDeserialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithVariableTypeDeserialization");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1774,list);
            list.add(2);
            list.add(5);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1775,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , list , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1776,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1777,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1778,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1772,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1773,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypeWithVariableTypeDeserialization_literalMutation2574() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithVariableTypeDeserialization_literalMutation2574");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1774,list);
            list.add(8);
            list.add(5);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1775,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , list , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1776,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1777,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1778,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1772,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1773,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypeWithVariableTypeDeserialization_literalMutation2575() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithVariableTypeDeserialization_literalMutation2575");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1774,list);
            list.add(5);
            list.add(5);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1775,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , list , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1776,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1777,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1778,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1772,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1773,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypeWithVariableTypeDeserialization_literalMutation2576() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithVariableTypeDeserialization_literalMutation2576");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1774,list);
            list.add(3);
            list.add(5);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1775,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , list , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1776,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1777,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1778,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1772,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1773,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypeWithVariableTypeDeserialization_literalMutation2578() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithVariableTypeDeserialization_literalMutation2578");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1774,list);
            list.add(4);
            list.add(4);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1775,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , list , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1776,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1777,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1778,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1772,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1773,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypeWithVariableTypeDeserialization_literalMutation2579() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithVariableTypeDeserialization_literalMutation2579");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1774,list);
            list.add(4);
            list.add(2);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1775,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , list , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1776,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1777,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1778,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1772,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1773,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypeWithVariableTypeDeserialization_literalMutation2580() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithVariableTypeDeserialization_literalMutation2580");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1774,list);
            list.add(4);
            list.add(10);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1775,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , list , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1776,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1777,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1778,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1772,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1773,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testParameterizedTypeWithVariableTypeDeserialization_literalMutation2581() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithVariableTypeDeserialization_literalMutation2581");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1774,list);
            list.add(4);
            list.add(6);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1775,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , list , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1776,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1777,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1778,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1772,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1773,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypeWithVariableTypeDeserialization_remove357() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithVariableTypeDeserialization_remove357");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1774,list);
            list.add(5);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1775,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , list , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1776,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1777,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1778,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1772,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1773,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypeWithVariableTypeDeserialization_remove358() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithVariableTypeDeserialization_remove358");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1774,list);
            list.add(5);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1775,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , list , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1776,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1777,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1778,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1772,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1773,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testParameterizedTypeWithVariableTypeDeserialization_remove359() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeWithVariableTypeDeserialization_remove359");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1774,list);
            list.add(4);
            list.add(5);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1775,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , list , null , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1776,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1777,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1778,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1772,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1773,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testParameterizedTypeGenericArraysSerialization_add377() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysSerialization_add377");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1749,list);
            list.add(1);
            list.add(1);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1750,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1751,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1752,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1753,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1748,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testParameterizedTypeGenericArraysSerialization_add378() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysSerialization_add378");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1749,list);
            list.add(1);
            list.add(2);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1750,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1751,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1752,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1753,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1748,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testParameterizedTypeGenericArraysSerialization_add379() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysSerialization_add379");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1749,list);
            list.add(1);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1750,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1751,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1752,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1753,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1748,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchec8ed")
    public void testParameterizedTypeGenericArraysSerialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysSerialization");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1749,list);
            list.add(1);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1750,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1751,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1752,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1753,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1748,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testParameterizedTypeGenericArraysSerialization_literalMutation2550() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysSerialization_literalMutation2550");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1749,list);
            list.add(1);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1750,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1751,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1752,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1753,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1748,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "uncheckd")
    public void testParameterizedTypeGenericArraysSerialization_literalMutation2551() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysSerialization_literalMutation2551");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1749,list);
            list.add(1);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1750,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1751,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1752,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1753,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1748,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testParameterizedTypeGenericArraysSerialization_literalMutation2552() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysSerialization_literalMutation2552");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1749,list);
            list.add(2);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1750,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1751,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1752,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1753,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1748,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testParameterizedTypeGenericArraysSerialization_literalMutation2553() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysSerialization_literalMutation2553");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1749,list);
            list.add(0);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1750,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1751,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1752,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1753,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1748,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testParameterizedTypeGenericArraysSerialization_literalMutation2554() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysSerialization_literalMutation2554");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1749,list);
            list.add(0);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1750,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1751,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1752,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1753,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1748,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testParameterizedTypeGenericArraysSerialization_literalMutation2556() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysSerialization_literalMutation2556");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1749,list);
            list.add(1);
            list.add(1);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1750,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1751,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1752,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1753,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1748,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testParameterizedTypeGenericArraysSerialization_literalMutation2557() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysSerialization_literalMutation2557");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1749,list);
            list.add(1);
            list.add(4);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1750,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1751,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1752,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1753,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1748,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testParameterizedTypeGenericArraysSerialization_literalMutation2558() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysSerialization_literalMutation2558");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1749,list);
            list.add(1);
            list.add(3);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1750,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1751,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1752,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1753,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1748,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testParameterizedTypeGenericArraysSerialization_remove351() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysSerialization_remove351");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1749,list);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1750,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1751,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1752,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1753,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1748,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testParameterizedTypeGenericArraysSerialization_remove352() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysSerialization_remove352");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1749,list);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1750,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1751,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1752,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1753,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1748,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testParameterizedTypeGenericArraysSerialization_remove353() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysSerialization_remove353");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1749,list);
            list.add(1);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1750,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1751,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1752,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1753,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1748,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testParameterizedTypeGenericArraysDeserialization_add374() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysDeserialization_add374");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1743,list);
            list.add(1);
            list.add(1);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1744,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1745,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1746,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1747,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1741,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1742,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testParameterizedTypeGenericArraysDeserialization_add375() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysDeserialization_add375");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1743,list);
            list.add(1);
            list.add(2);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1744,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1745,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1746,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1747,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1741,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1742,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testParameterizedTypeGenericArraysDeserialization_add376() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysDeserialization_add376");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1743,list);
            list.add(1);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1744,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1745,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1746,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1747,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1741,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1742,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "nchecked")
    public void testParameterizedTypeGenericArraysDeserialization() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysDeserialization");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1743,list);
            list.add(1);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1744,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1745,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1746,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1747,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1741,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1742,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "uncheckøed")
    public void testParameterizedTypeGenericArraysDeserialization_literalMutation2534() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysDeserialization_literalMutation2534");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1743,list);
            list.add(1);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1744,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1745,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1746,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1747,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1741,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1742,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "uncheked")
    public void testParameterizedTypeGenericArraysDeserialization_literalMutation2535() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysDeserialization_literalMutation2535");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1743,list);
            list.add(1);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1744,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1745,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1746,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1747,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1741,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1742,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testParameterizedTypeGenericArraysDeserialization_literalMutation2536() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysDeserialization_literalMutation2536");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1743,list);
            list.add(2);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1744,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1745,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1746,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1747,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1741,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1742,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testParameterizedTypeGenericArraysDeserialization_literalMutation2537() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysDeserialization_literalMutation2537");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1743,list);
            list.add(0);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1744,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1745,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1746,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1747,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1741,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1742,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testParameterizedTypeGenericArraysDeserialization_literalMutation2538() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysDeserialization_literalMutation2538");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1743,list);
            list.add(0);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1744,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1745,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1746,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1747,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1741,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1742,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testParameterizedTypeGenericArraysDeserialization_literalMutation2540() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysDeserialization_literalMutation2540");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1743,list);
            list.add(1);
            list.add(1);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1744,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1745,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1746,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1747,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1741,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1742,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testParameterizedTypeGenericArraysDeserialization_literalMutation2541() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysDeserialization_literalMutation2541");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1743,list);
            list.add(1);
            list.add(4);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1744,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1745,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1746,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1747,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1741,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1742,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    public void testParameterizedTypeGenericArraysDeserialization_literalMutation2542() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysDeserialization_literalMutation2542");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1743,list);
            list.add(1);
            list.add(3);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1744,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1745,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1746,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1747,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1741,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1742,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testParameterizedTypeGenericArraysDeserialization_remove348() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysDeserialization_remove348");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1743,list);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1744,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1745,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1746,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1747,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1741,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1742,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testParameterizedTypeGenericArraysDeserialization_remove349() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysDeserialization_remove349");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1743,list);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1744,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1745,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1746,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1747,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1741,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1742,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @SuppressWarnings(value = "unchecked")
    @Test(timeout = 1000)
    public void testParameterizedTypeGenericArraysDeserialization_remove350() throws Exception {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testParameterizedTypeGenericArraysDeserialization_remove350");
            List<java.lang.Integer> list = new ArrayList<java.lang.Integer>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1743,list);
            list.add(1);
            list.add(2);
            List<java.lang.Integer>[] arrayOfLists = new List[]{ list , list };
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1744,arrayOfLists);
            Type typeOfSrc = new TypeToken<ObjectWithTypeVariables<java.lang.Integer>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1745,typeOfSrc);
            ObjectWithTypeVariables<java.lang.Integer> objToSerialize = new ObjectWithTypeVariables<java.lang.Integer>(null , null , null , arrayOfLists , null , null);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1746,objToSerialize);
            String json = gson.toJson(objToSerialize, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),265,json);
            ObjectWithTypeVariables<java.lang.Integer> objAfterDeserialization = gson.fromJson(json, typeOfSrc);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1747,objAfterDeserialization);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1741,objAfterDeserialization.getExpectedJson());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1742,json);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    /** 
     * An test object that has fields that are type variables.
     * 
     * @param <T> Enforce T to be a string to make writing the "toExpectedJson" method easier.
     */
private static class ObjectWithTypeVariables<T extends java.lang.Number> {
        private final T typeParameterObj;

        private final T[] typeParameterArray;

        private final List<T> listOfTypeParameters;

        private final List<T>[] arrayOfListOfTypeParameters;

        private final List<? extends T> listOfWildcardTypeParameters;

        private final List<? extends T>[] arrayOfListOfWildcardTypeParameters;

        @SuppressWarnings(value = "unused")
        private ObjectWithTypeVariables() {
            this(null, null, null, null, null, null);
        }

        public ObjectWithTypeVariables(T obj ,T[] array ,List<T> list ,List<T>[] arrayOfList ,List<? extends T> wildcardList ,List<? extends T>[] arrayOfWildcardList) {
            this.typeParameterObj = obj;
            this.typeParameterArray = array;
            this.listOfTypeParameters = list;
            this.arrayOfListOfTypeParameters = arrayOfList;
            this.listOfWildcardTypeParameters = wildcardList;
            this.arrayOfListOfWildcardTypeParameters = arrayOfWildcardList;
        }

        public String getExpectedJson() {
            StringBuilder sb = new StringBuilder().append("{");
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1719,sb);
            boolean needsComma = false;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1720,needsComma);
            if ((typeParameterObj) != null) {
                sb.append("\"typeParameterObj\":").append(toString(typeParameterObj));
                needsComma = true;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1713,needsComma);
            } 
            if ((typeParameterArray) != null) {
                if (needsComma) {
                    sb.append(',');
                } 
                sb.append("\"typeParameterArray\":[");
                appendObjectsToBuilder(sb, java.util.Arrays.asList(typeParameterArray));
                sb.append(']');
                needsComma = true;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1714,needsComma);
            } 
            if ((listOfTypeParameters) != null) {
                if (needsComma) {
                    sb.append(',');
                } 
                sb.append("\"listOfTypeParameters\":[");
                appendObjectsToBuilder(sb, listOfTypeParameters);
                sb.append(']');
                needsComma = true;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1715,needsComma);
            } 
            if ((arrayOfListOfTypeParameters) != null) {
                if (needsComma) {
                    sb.append(',');
                } 
                sb.append("\"arrayOfListOfTypeParameters\":[");
                appendObjectsToBuilder(sb, arrayOfListOfTypeParameters);
                sb.append(']');
                needsComma = true;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1716,needsComma);
            } 
            if ((listOfWildcardTypeParameters) != null) {
                if (needsComma) {
                    sb.append(',');
                } 
                sb.append("\"listOfWildcardTypeParameters\":[");
                appendObjectsToBuilder(sb, listOfWildcardTypeParameters);
                sb.append(']');
                needsComma = true;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1717,needsComma);
            } 
            if ((arrayOfListOfWildcardTypeParameters) != null) {
                if (needsComma) {
                    sb.append(',');
                } 
                sb.append("\"arrayOfListOfWildcardTypeParameters\":[");
                appendObjectsToBuilder(sb, arrayOfListOfWildcardTypeParameters);
                sb.append(']');
                needsComma = true;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1718,needsComma);
            } 
            sb.append('}');
            return sb.toString();
        }

        private void appendObjectsToBuilder(StringBuilder sb, Iterable<? extends T> iterable) {
            boolean isFirst = true;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1722,isFirst);
            for (T obj : iterable) {
                if (!isFirst) {
                    sb.append(',');
                } 
                isFirst = false;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1721,isFirst);
                sb.append(toString(obj));
            }
        }

        private void appendObjectsToBuilder(StringBuilder sb, List<? extends T>[] arrayOfList) {
            boolean isFirst = true;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1724,isFirst);
            for (List<? extends T> list : arrayOfList) {
                if (!isFirst) {
                    sb.append(',');
                } 
                isFirst = false;
                fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1723,isFirst);
                if (list != null) {
                    sb.append('[');
                    appendObjectsToBuilder(sb, list);
                    sb.append(']');
                } else {
                    sb.append("null");
                }
            }
        }

        public String toString(T obj) {
            return obj.toString();
        }
    }

    private static class MultiParameters<A, B, C, D, E> {
        A a;

        B b;

        C c;

        D d;

        E e;

        @SuppressWarnings(value = "unused")
        private MultiParameters() {
        }

        MultiParameters(A a ,B b ,C c ,D d ,E e) {
            super();
            this.a = a;
            this.b = b;
            this.c = c;
            this.d = d;
            this.e = e;
        }

        @Override
        public int hashCode() {
            final int prime = 31;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1711,prime);
            int result = 1;
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1712,result);
            result = (prime * result) + ((a) == null ? 0 : a.hashCode());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1706,result);
            result = (prime * result) + ((b) == null ? 0 : b.hashCode());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1707,result);
            result = (prime * result) + ((c) == null ? 0 : c.hashCode());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1708,result);
            result = (prime * result) + ((d) == null ? 0 : d.hashCode());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1709,result);
            result = (prime * result) + ((e) == null ? 0 : e.hashCode());
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1710,result);
            return result;
        }

        @Override
        @SuppressWarnings(value = "unchecked")
        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            } 
            if (obj == null) {
                return false;
            } 
            if ((getClass()) != (obj.getClass())) {
                return false;
            } 
            MultiParameters<A, B, C, D, E> other = ((MultiParameters<A, B, C, D, E>)(obj));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1705,other);
            if ((a) == null) {
                if ((other.a) != null) {
                    return false;
                } 
            } else if (!(a.equals(other.a))) {
                return false;
            } 
            if ((b) == null) {
                if ((other.b) != null) {
                    return false;
                } 
            } else if (!(b.equals(other.b))) {
                return false;
            } 
            if ((c) == null) {
                if ((other.c) != null) {
                    return false;
                } 
            } else if (!(c.equals(other.c))) {
                return false;
            } 
            if ((d) == null) {
                if ((other.d) != null) {
                    return false;
                } 
            } else if (!(d.equals(other.d))) {
                return false;
            } 
            if ((e) == null) {
                if ((other.e) != null) {
                    return false;
                } 
            } else if (!(e.equals(other.e))) {
                return false;
            } 
            return true;
        }
    }

    private static class Quantity {
        @SuppressWarnings(value = "unused")
        int q = 10;
    }

    private static class MyQuantity extends Quantity {
        @SuppressWarnings(value = "unused")
        int q2 = 20;
    }

    private interface Measurable<T> {    }

    private interface Field<T> {    }

    private interface Immutable {    }

    public static final class Amount<Q extends Quantity> implements Field<Amount<?>> , Immutable , Measurable<Q> , Serializable {
        private static final long serialVersionUID = -7560491093120970437L;

        int value = 30;
    }

    public void testDeepParameterizedTypeSerialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeepParameterizedTypeSerialization");
            Amount<MyQuantity> amount = new Amount<MyQuantity>();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1732,amount);
            String json = gson.toJson(amount);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1733,json);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1730,json.contains("value"));
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1731,json.contains("30"));
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeepParameterizedTypeDeserialization_add372() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeepParameterizedTypeDeserialization_add372");
            String json = "{value:30}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1727,json);
            Type type = new TypeToken<Amount<MyQuantity>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1728,type);
            Amount<MyQuantity> amount = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1729,amount);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1726,amount.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeepParameterizedTypeDeserialization() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeepParameterizedTypeDeserialization");
            String json = "{alue:30}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1727,json);
            Type type = new TypeToken<Amount<MyQuantity>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1728,type);
            Amount<MyQuantity> amount = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1729,amount);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1726,amount.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeepParameterizedTypeDeserialization_literalMutation2531() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeepParameterizedTypeDeserialization_literalMutation2531");
            String json = "{value:30}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1727,json);
            Type type = new TypeToken<Amount<MyQuantity>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1728,type);
            Amount<MyQuantity> amount = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1729,amount);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1726,amount.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    public void testDeepParameterizedTypeDeserialization_literalMutation2532() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeepParameterizedTypeDeserialization_literalMutation2532");
            String json = "{alue:30}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1727,json);
            Type type = new TypeToken<Amount<MyQuantity>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1728,type);
            Amount<MyQuantity> amount = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1729,amount);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1726,amount.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }

    @Test(timeout = 1000)
    public void testDeepParameterizedTypeDeserialization_remove346() {
        try {
            fr.inria.diversify.testamplification.logger.Logger.writeTestStart(Thread.currentThread(),this, "testDeepParameterizedTypeDeserialization_remove346");
            String json = "{value:30}";
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1727,json);
            Type type = new TypeToken<Amount<MyQuantity>>() {            }.getType();
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1728,type);
            Amount<MyQuantity> amount = gson.fromJson(json, type);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1729,amount);
            fr.inria.diversify.testamplification.logger.Logger.logAssertArgument(Thread.currentThread(),1726,amount.value);
        } finally {
            fr.inria.diversify.testamplification.logger.Logger.writeTestFinish(Thread.currentThread());
        }
    }
}

